# Contributing to Erda

Firstly, thanks for your interest in contributing! I hope that this will be a
pleasant first experience for you, and that you will return to continue
contributing.


## How to contribute?

Most of the contributions that we receive are code contributions, but you can
also contribute to the documentation or simply report solid bugs
for us to fix.


## How to report a bug?

* **Ensure the bug was not already reported** by searching on GitHub under [Issues](https://github.com/erda-project/erda/issues).

* If you're unable to find an open issue addressing the problem, [open a new one](https://github.com/erda-project/erda-infra/issues/new/choose). Be sure to include a **title and clear description**, as much relevant information as possible, and a **code sample** or an **executable test case** demonstrating the expected behavior that is not occurring.


## How to add a new feature or change an existing one

_Before making any significant changes, please [open an issue](https://github.com/erda-project/erda/issues)._ Discussing your proposed changes ahead of time will make the contribution process smooth for everyone.

Once we've discussed your changes and you've got your code ready, make sure that tests are passing and open your pull request. Your PR is most likely to be accepted if it:

* Update the README.md with details of changes to the interface.
* Includes tests for new functionality.
* References the original issue in description, e.g. "Resolves #123".
* Has a [good commit message](http://tbaggery.com/2008/04/19/a-note-about-git-commit-messages.html).

## How to cherry pick a merged PR?

See [cherry-pick.md](./docs/guides/dev/cherry-pick.md).