// Copyright (c) 2021 Terminus, Inc.
//
// This program is free software: you can use, redistribute, and/or modify
// it under the terms of the GNU Affero General Public License, version 3
// or later ("AGPL"), as published by the Free Software Foundation.
//
// This program is distributed in the hope that it will be useful, but WITHOUT
// ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
// FITNESS FOR A PARTICULAR PURPOSE.
//
// You should have received a copy of the GNU Affero General Public License
// along with this program. If not, see <http://www.gnu.org/licenses/>.

package pygrator

import (
	"io"
)

const DeveloperScriptPattern = `"""
Generated by Erda Migrator.
Please implement the function entry, and add it to the list entries.
"""


import django.db.models

{{range $model := .Models}}
{{$model}}

{{end}}
def entry():
    """
    please implement this and add it to the list entries
    """
    pass


entries: [callable] = [
    entry,
]
`

type DeveloperScript struct {
	Models []string
}

func GenDeveloperScript(rw io.ReadWriter, migration DeveloperScript) error {
	return generate(rw, "DeveloperScriptPattern", DeveloperScriptPattern, migration)
}
