-- direct update does not determine whether it exists, because 20210528-dicehub-base.sql is data created with a fixed id
UPDATE `dice_pipeline_template_versions` set spec='name: js-spa-release-dice\nversion: \"1.0\"\ndesc: js 进行打包构建到 nginx 并部署到 erda 的模板\n\ntemplate: |\n\n  version: \"1.1\"\n  stages:\n    - stage:\n        - git-checkout:\n            alias: git-checkout\n            version: \"1.0\"\n    - stage:\n        - js-build:\n            alias: js-build\n            version: \"1.0\"\n            params:\n              build_cmd:\n                - cnpm i\n                - cnpm run build\n              workdir: ${git-checkout}\n\n    - stage:\n        - release:\n            alias: release\n            params:\n              dice_yml: ${git-checkout}/dice.yml\n              services:\n                dice.yml中的服务名:\n                  cmd: sed -i \"s^server_name .*^^g\" /etc/nginx/conf.d/nginx.conf.template && envsubst \"`printf \'$%s\' $(bash -c \"compgen -e\")`\" < /etc/nginx/conf.d/nginx.conf.template > /etc/nginx/conf.d/default.conf && /usr/local/openresty/bin/openresty -g \'daemon off;\'\n\n                  copys:\n                    - ${js-build}/(build 产出的目录):/usr/share/nginx/html/\n                    - ${js-build}/nginx.conf.template:/etc/nginx/conf.d/\n                  image: registry.cn-hangzhou.aliyuncs.com/dice-third-party/terminus-nginx:0.2\n    - stage:\n        - dice:\n            alias: dice\n            params:\n              release_id: ${release:OUTPUT:releaseID}\n\n' where id = 13;
