-- MIGRATION_BASE

CREATE TABLE `chart_meta`
(
    `id`          int(10) NOT NULL AUTO_INCREMENT COMMENT '主键',
    `name`        varchar(64)   NOT NULL,
    `title`       varchar(64)   NOT NULL,
    `metricsName` varchar(127)  NOT NULL,
    `fields`      varchar(4096) NOT NULL,
    `parameters`  varchar(4096) NOT NULL,
    `type`        varchar(64)   NOT NULL,
    `order`       int(11) NOT NULL,
    `unit`        varchar(16)   NOT NULL,
    PRIMARY KEY (`id`),
    UNIQUE KEY `name_unique` (`name`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=308 DEFAULT CHARSET=utf8mb4;


INSERT INTO `chart_meta` (`id`, `name`, `title`, `metricsName`, `fields`, `parameters`, `type`, `order`, `unit`)
VALUES (1, 'ta_timing', '', 'ta_timing', '', '', '0', 0, 'ms'),
       (2, 'ta_req', '', 'ta_req', '', '', '0', 0, 'ms'),
       (3, 'ta_performance', '性能区间', 'ta_timing',
        '{\"avg.plt\": { \"label\":\"整页加载\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"line\", \"axis_index\": 0 }, \n\"avg.tcp\": { \"label\":\"请求排队\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"line\", \"axis_index\": 0 },\n\"avg.rlt\": { \"label\":\"资源加载\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"line\", \"axis_index\": 0 },\n\"avg.srt\": { \"label\":\"服务器响应\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"line\", \"axis_index\": 0 }}',
        '', '0', 0, 'ms'),
       (4, 'ta_apdex', '用户体验', 'ta_timing', '', '', '0', 0, 'ms'),
       (5, 'ta_plt_grade', '整页加载完成', 'ta_timing', '', '', '0', 0, 'ms'),
       (6, 'ta_wst_grade', '白屏时间', 'ta_timing', '', '', '0', 0, 'ms'),
       (7, 'ta_fst_grade', '首屏时间', 'ta_timing', '', '', '0', 0, 'ms'),
       (8, 'ta_rct_grade', '资源加载完成', 'ta_timing', '', '', '0', 0, 'ms'),
       (9, 'ta_pct_grade', '网页加载完成', 'ta_timing', '', '', '0', 0, 'ms'),
       (10, 'ta_values_grade', '对比分析', 'ta_timing',
        '{\"count.plt\": { \"label\":\"整页加载完成\", \"unit\": \"\", \"unit_type\": \"precent\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"count.wst\": { \"label\":\"白屏时间\", \"unit\": \"%\", \"unit_type\": \"precent\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"count.fst\": { \"label\":\"首屏时间\", \"unit\": \"%\", \"unit_type\": \"precent\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"count.rct\": { \"label\":\"资源加载完成\", \"unit\": \"%\", \"unit_type\": \"precent\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"count.pct\": { \"label\":\"网页加载完成\", \"unit\": \"%\", \"unit_type\": \"precent\", \"chart_type\": \"\", \"axis_index\": 0 }}',
        '', '0', 0, 'ms'),
       (11, 'ta_page_timing', '页面性能趋势', 'ta_timing',
        '{ \"count.plt\": { \"label\":\"PV\", \"unit\": \"\", \"unit_type\": \"count\", \"chart_type\": \"line\", \"axis_index\": 0 },\n\"avg.plt\": { \"label\":\"响应时间\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"line\", \"axis_index\": 1 }}',
        '', '0', 0, 'ms'),
       (12, 'ta_ajax_timing', 'Ajax性能趋势', 'ta_req',
        '{ \"count.tt\": { \"label\":\"PV\", \"unit\": \"\", \"unit_type\": \"count\", \"chart_type\": \"line\", \"axis_index\": 0 },\n\"avg.tt\": { \"label\":\"响应时间\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"line\", \"axis_index\": 1 }}',
        '', '0', 0, 'ms'),
       (13, 'ta_map', '地图', 'ta_timing', '', '', '0', 0, 'ms'),
       (14, 'ta_top_avg_time', '平均时间', 'ta_timing',
        '{\"avg.pct\": { \"label\":\"网页加载完成\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"avg.plt\": { \"label\":\"整页加载\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"avg.wst\": { \"label\":\"白屏时间\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"avg.fst\": { \"label\":\"首屏时间\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"avg.rct\": { \"label\":\"资源加载完成\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 }}',
        '', '0', 0, 'ms'),
       (15, 'ta_top_percent_time', '时间百分比', 'ta_timing',
        '{\"sumPercent.pct\": { \"label\":\"网页加载完成\", \"unit\": \"%\", \"unit_type\": \"percent\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"sumPercent.plt\": { \"label\":\"整页加载\", \"unit\": \"%\", \"unit_type\": \"percent\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"sumPercent.wst\": { \"label\":\"白屏时间\", \"unit\": \"%\", \"unit_type\": \"percent\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"sumPercent.fst\": { \"label\":\"首屏时间\", \"unit\": \"%\", \"unit_type\": \"percent\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"sumPercent.rct\": { \"label\":\"资源加载完成\", \"unit\": \"%\", \"unit_type\": \"percent\", \"chart_type\": \"\", \"axis_index\": 0 }}',
        '', '0', 0, 'ms'),
       (16, 'ta_top_cpm', '时间吞吐量', 'ta_timing',
        '{\"cpm.pct\": { \"label\":\"网页加载完成\", \"unit\": \"cpm\", \"unit_type\": \"cpm\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"cpm.plt\": { \"label\":\"整页加载\", \"unit\": \"cpm\", \"unit_type\": \"cpm\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"cpm.wst\": { \"label\":\"白屏时间\", \"unit\": \"cpm\", \"unit_type\": \"cpm\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"cpm.fst\": { \"label\":\"首屏时间\", \"unit\": \"cpm\", \"unit_type\": \"cpm\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"cpm.rct\": { \"label\":\"资源加载完成\", \"unit\": \"cpm\", \"unit_type\": \"cpm\", \"chart_type\": \"\", \"axis_index\": 0 }}',
        '', '0', 0, 'ms'),
       (17, 'ta_req_top_avg_time', '平均时间', 'ta_req',
        '{\"avg.tt\": { \"label\":\"请求耗时\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 }}',
        '', '0', 0, 'ms'),
       (18, 'ta_req_top_percent_time', '时间百分比', 'ta_req',
        '{\"sumPercent.tt\": { \"label\":\"请求耗时\", \"unit\": \"%\", \"unit_type\": \"percent\", \"chart_type\": \"\", \"axis_index\": 0 }}',
        '', '0', 0, 'ms'),
       (19, 'ta_req_top_cpm', '时间吞吐量', 'ta_req',
        '{\"cpm.tt\": { \"label\":\"请求耗时\", \"unit\": \"cpm\", \"unit_type\": \"cpm\", \"chart_type\": \"\", \"axis_index\": 0 }}',
        '', '0', 0, 'ms'),
       (20, 'ta_avg_time', '平均时间', 'ta_timing',
        '{ \"avg.plt\": { \"label\":\"整页加载\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"line\", \"axis_index\": 0 }}',
        '', '0', 0, 'ms'),
       (21, 'ta_cpm', '吞吐量', 'ta_timing',
        '{ \"cpm.plt\": { \"label\":\"吞吐量\", \"unit\": \"cpm\", \"unit_type\": \"cpm\", \"chart_type\": \"line\", \"axis_index\": 0 }}',
        '', '0', 0, 'ms'),
       (22, 'ta_percent_os', '操作系统', 'ta_timing', '', '', '0', 0, 'ms'),
       (23, 'ta_percent_device', '设备', 'ta_timing', '', '', '0', 0, 'ms'),
       (24, 'ta_percent_browser', '浏览器', 'ta_timing', '', '', '0', 0, 'ms'),
       (25, 'ta_percent_host', '域名', 'ta_timing', '', '', '0', 0, 'ms'),
       (26, 'ta_percent_page', '页面', 'ta_timing', '', '', '0', 0, 'ms'),
       (27, 'ta_req_avg_time', '平均时间', 'ta_req',
        '{ \"avg.tt\": { \"label\":\"请求耗时\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"line\", \"axis_index\": 0 }}',
        '', '0', 0, 'ms'),
       (28, 'ta_req_cpm', '吞吐量', 'ta_req',
        '{ \"cpm.tt\": { \"label\":\"吞吐量\", \"unit\": \"cpm\", \"unit_type\": \"cpm\", \"chart_type\": \"line\", \"axis_index\": 0 }}',
        '', '0', 0, 'ms'),
       (29, 'ta_req_send', '发送数据', 'ta_req',
        '{ \"sum.res\": { \"label\":\"发送数据\", \"unit\": \"KB\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0 }}',
        '', '0', 0, 'kb'),
       (30, 'ta_req_recv', '接收数据', 'ta_req',
        '{ \"sum.req\": { \"label\":\"接收数据\", \"unit\": \"KB\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0 }}',
        '', '0', 0, 'kb'),
       (31, 'ta_req_status', 'HTTP状态码', 'ta_req',
        '{ \"count.req\": { \"label\":\"HTTP状态码\", \"unit\": \"\", \"unit_type\": \"\", \"chart_type\": \"line\", \"axis_index\": 0 }}',
        '', '0', 0, ''),
       (32, 'ta_summary_info', '摘要详情', 'ta_timing',
        '{\"count.plt\": { \"label\":\"PV\", \"unit\": \"\", \"unit_type\": \"\", \"chart_type\": \"\", \"axis_index\": 0 }, \n\"sum.rdc\": { \"label\":\"DNS解析次数\", \"unit\": \"\", \"unit_type\": \"\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"avg.plt\": { \"label\":\"最终用户体验时间\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"avg.dit\": { \"label\":\"HTML完成构建\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"avg.drt\": { \"label\":\"阻塞资源加载耗时\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"avg.wst\": { \"label\":\"白屏幕时间\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"avg.put\": { \"label\":\"页面卸载\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"avg.rrt\": { \"label\":\"页面跳转\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"avg.act\": { \"label\":\"查询缓存\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"avg.dns\": { \"label\":\"查询DNS\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"avg.tcp\": { \"label\":\"建立tcp连接\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"avg.srt\": { \"label\":\"服务器响应\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"avg.rpt\": { \"label\":\"页面下载\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"avg.clt\": { \"label\":\"load事件\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"avg.set\": { \"label\":\"脚本执行\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 }}',
        '', '0', 0, 'ms'),
       (33, 'status_page', '', 'status_page', '', '', '0', 0, ''),
       (39, 'machine_cpu', 'CPU使用率', 'host_summary',
        '{\"avg.cpu_usage_active\":{\"label\": \"CPU使用率\", \"unit\": \"%\", \"unit_type\": \"PERCENT\", \"chart_type\": \"line\", \"axis_index\": 0}}',
        '', 'machine', 1, ''),
       (40, 'machine_mem', '内存使用率', 'host_summary',
        '{\"avg.mem_used_percent\":{\"label\": \"内存使用率\", \"unit\": \"%\", \"unit_type\": \"PERCENT\", \"chart_type\": \"line\", \"axis_index\": 0}}',
        '', 'machine', 2, ''),
       (41, 'machine_disk_rootfs', '磁盘使用率', 'disk',
        '{\"avg.used_percent\":{\"label\": \"磁盘使用率\", \"unit\": \"%\", \"unit_type\": \"PERCENT\", \"chart_type\": \"line\", \"axis_index\": 0}}',
        '{\"group\":\"device\"}', 'machine', 7, ''),
       (42, 'machine_load', '系统load值', 'host_summary',
        '{\"avg.load1\":{\"label\": \"机器load1\", \"unit\": \"\", \"unit_type\": \"NUMBER\", \"chart_type\": \"line\", \"axis_index\": 0},\"avg.load5\":{\"label\": \"机器load5\", \"unit\": \"\", \"unit_type\": \"NUMBER\", \"chart_type\": \"line\", \"axis_index\": 0},\"avg.load15\":{\"label\": \"机器load15\", \"unit\": \"\", \"unit_type\": \"NUMBER\", \"chart_type\": \"line\", \"axis_index\": 0}}',
        '', 'machine', 3, ''),
       (44, 'machine_disk_io_read', '磁盘读', 'diskio',
        '{\"max.read_rate\":{\"label\": \"读IO\", \"unit\": \"B/s\", \"unit_type\": \"TRAFFIC\", \"chart_type\": \"line\", \"axis_index\": 0}}',
        '{\"group\":\"name\"}', 'machine', 5, ''),
       (45, 'machine_disk_io_write', '磁盘写', 'diskio',
        '{\"max.write_rate\":{\"label\": \"写IO\", \"unit\": \"B/s\", \"unit_type\": \"TRAFFIC\", \"chart_type\": \"line\", \"axis_index\": 0}}',
        '{\"group\":\"name\"}', 'machine', 6, ''),
       (46, 'container_mem', '内存', 'docker_container_mem',
        '{\"avg.usage\":{\"label\": \"使用量(含cache)\", \"unit\": \"B\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0}, \"avg.usage_percent\":{\"label\": \"使用量百分比\", \"unit\": \"%\", \"unit_type\": \"PERCENT\", \"chart_type\": \"line\", \"axis_index\": 1}, \"avg.limit\":{\"label\": \"内存限制\", \"unit\": \"B\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"limit\", \"axis_index\": 0}}',
        '', 'container', 1, ''),
       (47, 'container_cpu', 'CPU', 'docker_container_cpu',
        '{\"avg.usage_percent\":{\"label\": \"CPU使用率\", \"unit\": \"%\", \"unit_type\": \"PERCENT\", \"chart_type\": \"line\", \"axis_index\": 0}}',
        '', 'container', 2, ''),
       (48, 'container_disk_io', '磁盘', 'docker_container_blkio',
        '{\"diffps.io_service_bytes_recursive_read\":{\"label\": \"读取\", \"unit\": \"B/s\", \"unit_type\": \"TRAFFIC\", \"chart_type\": \"line\", \"axis_index\": 0}, \"diffps.io_service_bytes_recursive_write\":{\"label\": \"写入\", \"unit\": \"B/s\", \"unit_type\": \"TRAFFIC\", \"chart_type\": \"line\", \"axis_index\": 1}}',
        '', 'container', 3, ''),
       (49, 'container_net_io', '网络', 'docker_container_net',
        '{\"diffps.rx_bytes\":{\"label\": \"接收\", \"unit\": \"B/s\", \"unit_type\": \"TRAFFIC\", \"chart_type\": \"line\", \"axis_index\": 0}, \"diffps.tx_bytes\":{\"label\": \"发送\", \"unit\": \"B/s\", \"unit_type\": \"TRAFFIC\", \"chart_type\": \"line\", \"axis_index\": 1}}',
        '', 'container', 4, ''),
       (50, 'ta_script_error', '脚本错误', 'ta_error',
        '{ \"count.count\": { \"label\":\"错误次数\", \"unit\": \"\", \"unit_type\": \"\", \"chart_type\": \"line\", \"axis_index\": 0 }}',
        '', '0', 0, ''),
       (51, 'ta_top_script_error', '错误信息', 'ta_error',
        '{ \"count.count\": { \"label\":\"错误次数\", \"unit\": \"\", \"unit_type\": \"\", \"chart_type\": \"\", \"axis_index\": 0 }}',
        '', '0', 0, ''),
       (52, 'ta_top_page_script_error', '错误页面', 'ta_error',
        '{ \"count.count\": { \"label\":\"错误次数\", \"unit\": \"\", \"unit_type\": \"\", \"chart_type\": \"\", \"axis_index\": 0 }}',
        '', '0', 0, ''),
       (53, 'ta_top_js_script_error', 'JavaScript报错次数', 'ta_error',
        '{ \"count.count\": { \"label\":\"错误次数\", \"unit\": \"\", \"unit_type\": \"\", \"chart_type\": \"line\", \"axis_index\": 0 }}',
        '', '0', 0, ''),
       (54, 'ta_top_browser_script_error', '浏览器报错次数', 'ta_error',
        '{ \"count.count\": { \"label\":\"错误次数\", \"unit\": \"\", \"unit_type\": \"\", \"chart_type\": \"line\", \"axis_index\": 0 }}',
        '', '0', 0, ''),
       (55, 'zookeeper_avg_latency', '平均延迟', 'zookeeper',
        '{\"avg.avg_latency\":{\"label\": \"\", \"unit\": \"MS\", \"unit_type\": \"TIME\", \"chart_type\": \"line\", \"axis_index\": 0}}',
        '{\"group\":\"server\"}', 'zookeeper_remove', 9, ''),
       (56, 'zookeeper_max_latency', '最大延迟', 'zookeeper',
        '{\"max.max_latency\":{\"label\": \"\", \"unit\": \"MS\", \"unit_type\": \"TIME\", \"chart_type\": \"line\", \"axis_index\": 0}}',
        '{\"group\":\"server\"}', 'zookeeper_remove', 10, ''),
       (57, 'zookeeper_min_latency', '最小延迟', 'zookeeper',
        '{\"min.min_latency\":{\"label\": \"\", \"unit\": \"MS\", \"unit_type\": \"TIME\", \"chart_type\": \"line\", \"axis_index\": 0}}',
        '{\"group\":\"server\"}', 'zookeeper_remove', 11, ''),
       (58, 'zookeeper_num_alive_connections', '活跃的连接个数', 'zookeeper',
        '{\"max.num_alive_connections\":{\"label\": \"\", \"unit\": \"\", \"unit_type\": \"NUMBER\", \"chart_type\": \"line\", \"axis_index\": 0}}',
        '{\"group\":\"server\"}', 'zookeeper_remove', 8, ''),
       (59, 'zookeeper_outstanding_requests', '正在处理的请求个数', 'zookeeper',
        '{\"max.outstanding_requests\":{\"label\": \"\", \"unit\": \"\", \"unit_type\": \"NUMBER\", \"chart_type\": \"line\", \"axis_index\": 0}}',
        '{\"group\":\"server\"}', 'zookeeper_remove', 12, ''),
       (60, 'zookeeper_znode_count', 'Znode个数', 'zookeeper',
        '{\"max.znode_count\":{\"label\": \"\", \"unit\": \"\", \"unit_type\": \"NUMBER\", \"chart_type\": \"line\", \"axis_index\": 0}}',
        '{\"group\":\"server\"}', 'zookeeper_remove', 1, ''),
       (61, 'zookeeper_watch_count', 'Watch个数', 'zookeeper',
        '{\"max.watch_count\":{\"label\": \"\", \"unit\": \"\", \"unit_type\": \"NUMBER\", \"chart_type\": \"line\", \"axis_index\": 0}}',
        '{\"group\":\"server\"}', 'zookeeper_remove', 3, ''),
       (62, 'zookeeper_ephemerals_count', 'Ephemerals个数', 'zookeeper',
        '{\"max.ephemerals_count\":{\"label\": \"\", \"unit\": \"\", \"unit_type\": \"NUMBER\", \"chart_type\": \"line\", \"axis_index\": 0}}',
        '{\"group\":\"server\"}', 'zookeeper_remove', 2, ''),
       (63, 'zookeeper_approximate_data_size', '数据量', 'zookeeper',
        '{\"avg.approximate_data_size\":{\"label\": \"\", \"unit\": \"B\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0}}',
        '{\"group\":\"server\"}', 'zookeeper_remove', 0, ''),
       (64, 'zookeeper_open_file_descriptor_count', '打开的文件个数', 'zookeeper',
        '{\"max.open_file_descriptor_count\":{\"label\": \"\", \"unit\": \"\", \"unit_type\": \"NUMBER\", \"chart_type\": \"line\", \"axis_index\": 0}}',
        '{\"group\":\"server\"}', 'zookeeper_remove', 6, ''),
       (65, 'zookeeper_max_file_descriptor_count', '历史最大打开文件个数', 'zookeeper',
        '{\"max.max_file_descriptor_count\":{\"label\": \"\", \"unit\": \"\", \"unit_type\": \"NUMBER\", \"chart_type\": \"line\", \"axis_index\": 0}}',
        '{\"group\":\"server\"}', 'zookeeper_remove', 7, ''),
       (66, 'zookeeper_packets_received', '收到数据包数量', 'zookeeper',
        '{\"diffps.packets_received\":{\"label\": \"\", \"unit\": \"个/s\", \"unit_type\": \"CPS\", \"chart_type\": \"line\", \"axis_index\": 0}}',
        '{\"group\":\"server\"}', 'zookeeper_remove', 4, ''),
       (67, 'zookeeper_packets_sent', '发送数据包数量', 'zookeeper',
        '{\"diffps.packets_sent\":{\"label\": \"\", \"unit\": \"个/s\", \"unit_type\": \"CPS\", \"chart_type\": \"line\", \"axis_index\": 0}}',
        '{\"group\":\"server\"}', 'zookeeper_remove', 5, ''),
       (68, 'elasticsearch_number_of_nodes', 'Node个数', 'es_cluster_health',
        '{\"avg.number_of_nodes\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}',
        '', 'elasticsearch_remove', 1, ''),
       (69, 'elasticsearch_number_of_data_nodes', 'DataNode个数', 'es_cluster_health',
        '{\"avg.number_of_data_nodes\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}',
        '', 'elasticsearch_remove', 2, ''),
       (70, 'elasticsearch_active_primary_shards', '主分片个数', 'es_cluster_health',
        '{\"avg.active_primary_shards\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}',
        '', 'elasticsearch_remove', 3, ''),
       (71, 'elasticsearch_active_shards', '分片个数', 'es_cluster_health',
        '{\"avg.active_shards\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}',
        '', 'elasticsearch_remove', 4, ''),
       (72, 'elasticsearch_initializing_shards', '初始化中的分片个数', 'es_cluster_health',
        '{\"avg.initializing_shards\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}',
        '', 'elasticsearch_remove', 5, ''),
       (73, 'elasticsearch_relocating_shards', '搬迁中的分片个数', 'es_cluster_health',
        '{\"avg.relocating_shards\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}',
        '', 'elasticsearch_remove', 6, ''),
       (74, 'elasticsearch_unassigned_shards', '未分配的分片个数', 'es_cluster_health',
        '{\"avg.unassigned_shards\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}',
        '', 'elasticsearch_remove', 7, ''),
       (75, 'redis_clients', '客户端连接数', 'redis',
        '{\"max.clients\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}',
        '{\"group\":\"server\"}', 'redis', 1, ''),
       (76, 'redis_pubsub_channels', '发布/订阅频道个数', 'redis',
        '{\"max.pubsub_channels\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}',
        '{\"group\":\"server\"}', 'redis', 3, ''),
       (77, 'redis_pubsub_patterns', '发布/订阅模式个数', 'redis',
        '{\"max.pubsub_patterns\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}',
        '{\"group\":\"server\"}', 'redis', 4, ''),
       (78, 'redis_expired_keys', '过期的键的个数', 'redis',
        '{\"diff.expired_keys\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}',
        '', 'redis_remove', 4, ''),
       (79, 'redis_evicted_keys', '驱逐的键的个数', 'redis',
        '{\"diff.evicted_keys\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}',
        '', 'redis_remove', 5, ''),
       (80, 'redis_mem_fragmentation_ratio', '内存碎片率', 'redis',
        '{\"max.mem_fragmentation_ratio\":{\"label\": \"\",\"unit\":\"%\",\"unit_type\":\"PERCENT\",\"chart_type\":\"line\",\"axis_index\": 0}}',
        '{\"group\":\"server\"}', 'redis', 8, ''),
       (81, 'redis_instantaneous_ops_per_sec', '命令运行频率', 'redis',
        '{\"max.instantaneous_ops_per_sec\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}',
        '{\"group\":\"server\"}', 'redis', 2, ''),
       (82, 'redis_total_connections_received', '连接的个数/秒', 'redis',
        '{\"avg.total_connections_received\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}',
        '', 'redis_remove', 8, ''),
       (83, 'redis_keyspace_hits', '命中键的次数', 'redis',
        '{\"diff.keyspace_hits\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}',
        '', 'redis_remove', 9, ''),
       (84, 'redis_keyspace_misses', '未命中键的次数', 'redis',
        '{\"diff.keyspace_misses\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}',
        '', 'redis_remove', 10, ''),
       (85, 'redis_used_cpu_sys', '系统态CPU使用率', 'redis',
        '{\"max.used_cpu_sys\":{\"label\": \"\",\"unit\":\"%\",\"unit_type\":\"PERCENT\",\"chart_type\":\"line\",\"axis_index\": 0}}',
        '{\"group\":\"server\"}', 'redis', 13, ''),
       (86, 'redis_used_cpu_user', '用户态CPU使用率', 'redis',
        '{\"max.used_cpu_user\":{\"label\": \"\",\"unit\":\"%\",\"unit_type\":\"PERCENT\",\"chart_type\":\"line\",\"axis_index\": 0}}',
        '{\"group\":\"server\"}', 'redis', 14, ''),
       (87, 'redis_used_cpu_sys_children', '后台进程系统态CPU使用率', 'redis',
        '{\"max.used_cpu_sys_children\":{\"label\": \"\",\"unit\":\"%\",\"unit_type\":\"PERCENT\",\"chart_type\":\"line\",\"axis_index\": 0}}',
        '{\"group\":\"server\"}', 'redis', 15, ''),
       (88, 'redis_used_cpu_user_children', '后台进程用户态CPU使用率', 'redis',
        '{\"max.used_cpu_user_children\":{\"label\": \"\",\"unit\":\"%\",\"unit_type\":\"PERCENT\",\"chart_type\":\"line\",\"axis_index\": 0}}',
        '{\"group\":\"server\"}', 'redis', 16, ''),
       (89, 'redis_used_memory', 'Redis管理的内存', 'redis',
        '{\"max.used_memory\":{\"label\": \"\",\"unit\":\"B\",\"unit_type\":\"CAPACITY\",\"chart_type\":\"line\",\"axis_index\": 0}}',
        '{\"group\":\"server\"}', 'redis', 9, ''),
       (90, 'redis_used_memory_rss', '常驻内存', 'redis',
        '{\"max.used_memory_rss\":{\"label\": \"\",\"unit\":\"B\",\"unit_type\":\"CAPACITY\",\"chart_type\":\"line\",\"axis_index\": 0}}',
        '{\"group\":\"server\"}', 'redis', 11, ''),
       (91, 'redis_used_memory_peak', '内存峰值', 'redis',
        '{\"max.used_memory_peak\":{\"label\": \"\",\"unit\":\"B\",\"unit_type\":\"CAPACITY\",\"chart_type\":\"line\",\"axis_index\": 0}}',
        '{\"group\":\"server\"}', 'redis', 10, ''),
       (92, 'redis_used_memory_lua', 'lua引擎内存使用量', 'redis',
        '{\"max.used_memory_lua\":{\"label\": \"\",\"unit\":\"B\",\"unit_type\":\"CAPACITY\",\"chart_type\":\"line\",\"axis_index\": 0}}',
        '{\"group\":\"server\"}', 'redis', 12, ''),
       (93, 'redis_connected_slaves', '从库连接数', 'redis',
        '{\"max.connected_slaves\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}',
        '{\"group\":\"server\"}', 'redis', 5, ''),
       (94, 'redis_latest_fork_usec', '上次的fork操作使用的时间（单位ms）', 'redis',
        '{\"avg.latest_fork_usec\":{\"label\": \"\",\"unit\":\"MS\",\"unit_type\":\"TIME\",\"chart_type\":\"line\",\"axis_index\": 0}}',
        '', 'redis_remove', 20, ''),
       (95, 'redis_rdb_changes_since_last_save', '自上次dump后rdb的改动次数', 'redis',
        '{\"avg.rdb_changes_since_last_save\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}',
        '', 'redis_remove', 21, ''),
       (96, 'redis_repl_backlog_histlen', '积压空间中写入的新数据的大小', 'redis',
        '{\"avg.repl_backlog_histlen\":{\"label\": \"\",\"unit\":\"B\",\"unit_type\":\"CAPACITY\",\"chart_type\":\"line\",\"axis_index\": 0}}',
        '', 'redis_remove', 22, ''),
       (97, 'redis_master_repl_offset', '全局的数据同步偏移量', 'redis',
        '{\"avg.master_repl_offset\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}',
        '', 'redis_remove', 23, ''),
       (98, 'mysql_slow_queries', '慢查询频率', 'mysql',
        '{\"diffps.slow_queries\":{\"label\": \"\",\"unit\":\"次/s\",\"unit_type\":\"NPS\",\"chart_type\":\"line\",\"axis_index\": 0}}',
        '{\"group\":\"server\"}', 'mysql', 2, ''),
       (99, 'mysql_threads_connected', '当前打开的连接数', 'mysql',
        '{\"max.threads_connected\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}',
        '{\"group\":\"server\"}', 'mysql', 1, ''),
       (100, 'mysql_threads_running', '当前线程数', 'mysql',
        '{\"max.threads_running\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}',
        '{\"group\":\"server\"}', 'mysql', 9, ''),
       (101, 'mysql_queries', '查询频率', 'mysql',
        '{\"diffps.queries\":{\"label\": \"\",\"unit\":\"次/s\",\"unit_type\":\"NPS\",\"chart_type\":\"line\",\"axis_index\": 0}}',
        '{\"group\":\"server\"}', 'mysql', 3, ''),
       (102, 'mysql_questions', '服务器执行的来自客户端的语句个数', 'mysql',
        '{\"diff.questions\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}',
        '', 'mysql_remove', 5, ''),
       (103, 'mysql_qcache_hits', '查询缓存命中个数', 'mysql',
        '{\"diff.qcache_hits\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}',
        '', 'mysql_remove', 6, ''),
       (104, 'mysql_qcache_inserts', '查询缓存插入个数', 'mysql',
        '{\"diff.qcache_inserts\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}',
        '', 'mysql_remove', 7, ''),
       (105, 'mysql_qcache_lowmem_prunes', '因内存不足从查询缓存中删除的查询个数', 'mysql',
        '{\"diff.qcache_lowmem_prunes\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}',
        '', 'mysql_remove', 8, ''),
       (106, 'mysql_created_tmp_disk_tables', '创建在磁盘上的临时表的个数', 'mysql',
        '{\"diff.created_tmp_disk_tables\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}',
        '', 'mysql_remove', 9, ''),
       (107, 'mysql_created_tmp_files', '创建的临时文件的个数', 'mysql',
        '{\"diff.created_tmp_files\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}',
        '', 'mysql_remove', 10, ''),
       (108, 'mysql_created_tmp_tables', '创建的临时表的个数', 'mysql',
        '{\"diff.created_tmp_tables\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}',
        '', 'mysql_remove', 11, ''),
       (109, 'mysql_table_locks_waited', '需要等待获取表锁的次数', 'mysql',
        '{\"diffps.table_locks_waited\":{\"label\": \"\",\"unit\":\"次/s\",\"unit_type\":\"NPS\",\"chart_type\":\"line\",\"axis_index\": 0}}',
        '{\"group\":\"server\"}', 'mysql', 16, ''),
       (110, 'mysql_innodb_buffer_pool_pages_dirty', 'InnoDB缓冲池中脏页面的个数', 'mysql',
        '{\"avg.innodb_buffer_pool_pages_dirty\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}',
        '', 'mysql_remove', 13, ''),
       (111, 'mysql_innodb_buffer_pool_pages_free', 'InnoDB缓冲池可用页面的个数', 'mysql',
        '{\"avg.innodb_buffer_pool_pages_free\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}',
        '', 'mysql_remove', 14, ''),
       (112, 'mysql_innodb_buffer_pool_pages_total', 'InnoDB缓冲池的页面总数', 'mysql',
        '{\"avg.innodb_buffer_pool_pages_total\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}',
        '', 'mysql_remove', 15, ''),
       (113, 'mysql_innodb_row_lock_current_waits', '当前Innodb表上被等待的行锁数量', 'mysql',
        '{\"diff.innodb_row_lock_current_waits\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}',
        '', 'mysql_remove', 16, ''),
       (114, 'mysql_innodb_buffer_pool_read_requests', 'InnoDB缓冲池逻辑读的次数', 'mysql',
        '{\"diff.innodb_buffer_pool_read_requests\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}',
        '', 'mysql_remove', 17, ''),
       (115, 'mysql_innodb_buffer_pool_reads', 'InnoDB缓冲池读从磁盘读页面的次数', 'mysql',
        '{\"diff.innodb_buffer_pool_reads\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}',
        '', 'mysql_remove', 18, ''),
       (116, 'mysql_innodb_row_lock_time', 'INNODB花费在等待行锁上的毫秒个数', 'mysql',
        '{\"diff.innodb_row_lock_time\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}',
        '', 'mysql_remove', 19, ''),
       (117, 'mysql_innodb_row_lock_waits', 'INNODB等待行锁的次数', 'mysql',
        '{\"diff.innodb_row_lock_waits\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}',
        '', 'mysql_remove', 20, ''),
       (118, 'mysql_innodb_os_log_fsyncs', 'INNODB的fsync日志文件的次数', 'mysql',
        '{\"diff.innodb_os_log_fsyncs\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}',
        '', 'mysql_remove', 21, ''),
       (119, 'mysql_innodb_data_reads', 'INNODB读数据的次数', 'mysql',
        '{\"diff.innodb_data_reads\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}',
        '', 'mysql_remove', 22, ''),
       (120, 'mysql_innodb_data_writes', 'INNODB写数据的次数', 'mysql',
        '{\"diff.innodb_data_writes\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}',
        '', 'mysql_remove', 23, ''),
       (121, 'mysql_commands_delete', '删除语句的个数', 'mysql',
        '{\"diff.commands_delete\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}',
        '', 'mysql_remove', 24, ''),
       (122, 'mysql_commands_delete_multi', '多表删除语句的个数', 'mysql',
        '{\"diff.commands_delete_multi\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}',
        '', 'mysql_remove', 25, ''),
       (123, 'mysql_commands_insert', '插入语句的个数', 'mysql',
        '{\"diff.commands_insert\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}',
        '', 'mysql_remove', 26, ''),
       (124, 'mysql_commands_insert_select', '选择插入语句的个数', 'mysql',
        '{\"diff.commands_insert_select\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}',
        '', 'mysql_remove', 27, ''),
       (125, 'mysql_commands_load', '加载语句的个数', 'mysql',
        '{\"diff.commands_load\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}',
        '', 'mysql_remove', 28, ''),
       (126, 'mysql_commands_replace', '替代语句的个数', 'mysql',
        '{\"diff.commands_replace\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}',
        '', 'mysql_remove', 29, ''),
       (127, 'mysql_commands_replace_select', '选择替代语句的个数', 'mysql',
        '{\"diff.commands_replace_select\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}',
        '', 'mysql_remove', 30, ''),
       (128, 'mysql_commands_select', '选择语句的个数', 'mysql',
        '{\"diff.commands_select\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}',
        '', 'mysql_remove', 31, ''),
       (129, 'mysql_commands_update', '更新语句的个数', 'mysql',
        '{\"diff.commands_update\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}',
        '', 'mysql_remove', 32, ''),
       (130, 'mysql_commands_update_multi', '多表更新语句的个数', 'mysql',
        '{\"diff.commands_update_multi\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}',
        '', 'mysql_remove', 33, ''),
       (131, 'mysql_open_tables', '打开的表的个数', 'mysql',
        '{\"max.open_tables\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}',
        '{\"group\":\"server\"}', 'mysql', 8, ''),
       (132, 'mysql_bytes_received', '网络接收数据量', 'mysql',
        '{\"diffps.bytes_received\":{\"label\": \"接收速度\", \"unit\": \"B/s\", \"unit_type\": \"TRAFFIC\", \"chart_type\": \"line\", \"axis_index\": 0}}',
        '{\"group\":\"server\"}', 'mysql', 6, ''),
       (133, 'mysql_bytes_sent', '网络发送数据量', 'mysql',
        '{\"diffps.bytes_sent\":{\"label\": \"发送速度\", \"unit\": \"B/s\", \"unit_type\": \"TRAFFIC\", \"chart_type\": \"line\", \"axis_index\": 0}}',
        '{\"group\":\"server\"}', 'mysql', 7, ''),
       (134, 'ai_web_top10', 'web事务 Top10', 'application_http',
        '{ \"avg.elapsed_mean\": { \"label\":\"平均响应时间\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"line\", \"axis_index\": 0 }}',
        '', '', 0, ''),
       (135, 'ai_web_avg_time', 'web事务', 'application_http',
        '{ \"avg.elapsed_mean\": { \"label\":\"平均响应时间\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"line\", \"axis_index\": 0 }}',
        '', '', 0, ''),
       (136, 'ai_web_cpm', '吞吐量', 'application_http',
        '{ \"sumCpm.elapsed_count\": { \"label\":\"吞吐量\", \"unit\": \"cpm\", \"unit_type\": \"\", \"chart_type\": \"line\", \"axis_index\": 0 }}',
        '', '', 0, ''),
       (137, 'ai_web_top_time', '平均响应时间', 'application_http',
        '{ \"avg.elapsed_mean\": { \"label\":\"平均响应时间\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"line\", \"axis_index\": 0 }}',
        '', '', 0, ''),
       (138, 'ai_web_top_cpm', '吞吐量', 'application_http',
        '{ \"sumCpm.elapsed_count\": { \"label\":\"吞吐量\", \"unit\": \"cpm\", \"unit_type\": \"\", \"chart_type\": \"line\", \"axis_index\": 0 }}',
        '', '', 0, ''),
       (139, 'ai_web_avg_time_top5', '响应时间Top5', 'application_http',
        '{ \"avg.elapsed_mean\": { \"label\":\"平均响应时间\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"line\", \"axis_index\": 0 }}',
        '', '', 0, ''),
       (140, 'ai_web_cpm_top5', '吞吐量Top5', 'application_http',
        '{ \"sumCpm.elapsed_count\": { \"label\":\"吞吐量\", \"unit\": \"cpm\", \"unit_type\": \"\", \"chart_type\": \"line\", \"axis_index\": 0 }}',
        '', '', 0, ''),
       (141, 'ai_db_top_avg_time', '平均响应时间', 'application_db',
        '{ \"avg.elapsed_mean\": { \"label\":\"平均响应时间\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"line\", \"axis_index\": 0 }}',
        '', '', 0, ''),
       (142, 'ai_db_top_cpm', '吞吐量', 'application_db',
        '{ \"sumCpm.elapsed_count\": { \"label\":\"吞吐量\", \"unit\": \"cpm\", \"unit_type\": \"\", \"chart_type\": \"line\", \"axis_index\": 0 }}',
        '', '', 0, ''),
       (143, 'ai_db_avg_time', '响应时间Top5', 'application_db',
        '{ \"avg.elapsed_mean\": { \"label\":\"平均响应时间\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"line\", \"axis_index\": 0 }}',
        '', '', 0, ''),
       (144, 'ai_db_cpm', '吞吐量Top5', 'application_db',
        '{ \"sumCpm.elapsed_count\": { \"label\":\"吞吐量\", \"unit\": \"cpm\", \"unit_type\": \"\", \"chart_type\": \"line\", \"axis_index\": 0 }}',
        '', '', 0, ''),
       (145, 'ai_cache_top_avg_time', '平均响应时间', 'application_cache',
        '{ \"avg.elapsed_mean\": { \"label\":\"平均响应时间\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"line\", \"axis_index\": 0 }}',
        '', '', 0, ''),
       (146, 'ai_cache_top_cpm', '吞吐量', 'application_cache',
        '{ \"sumCpm.elapsed_count\": { \"label\":\"吞吐量\", \"unit\": \"cpm\", \"unit_type\": \"\", \"chart_type\": \"line\", \"axis_index\": 0 }}',
        '', '', 0, ''),
       (147, 'ai_cache_avg_time', '响应时间Top5', 'application_cache',
        '{ \"avg.elapsed_mean\": { \"label\":\"平均响应时间\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"line\", \"axis_index\": 0 }}',
        '', '', 0, ''),
       (148, 'ai_cache_cpm', '吞吐量Top5', 'application_cache',
        '{ \"sumCpm.elapsed_count\": { \"label\":\"吞吐量\", \"unit\": \"cpm\", \"unit_type\": \"\", \"chart_type\": \"line\", \"axis_index\": 0 }}',
        '', '', 0, ''),
       (149, 'ai_jvm_mem_heap', 'Heap memory usage', 'jvm_memory',
        '{\"avg.init\": { \"label\":\"init\", \"unit\": \"B\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0 },\n\"avg.max\": { \"label\":\"max\", \"unit\": \"B\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0 },\n\"avg.used\": { \"label\":\"used\", \"unit\": \"B\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0 },\n\"avg.committed\": { \"label\":\"committed\", \"unit\": \"B\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0 }}',
        '', '', 0, ''),
       (150, 'ai_jvm_mem_non_heap', 'Non Heap memory usage', 'jvm_memory',
        '{\"avg.init\": { \"label\":\"init\", \"unit\": \"B\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0 },\n\"avg.max\": { \"label\":\"max\", \"unit\": \"B\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0 },\n\"avg.used\": { \"label\":\"used\", \"unit\": \"B\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0 },\n\"avg.committed\": { \"label\":\"committed\", \"unit\": \"B\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0 }}',
        '', '', 0, ''),
       (151, 'ai_jvm_mem_eden_space', 'PS-Eden-Space', 'jvm_memory',
        '{\"avg.init\": { \"label\":\"init\", \"unit\": \"B\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0 },\n\"avg.max\": { \"label\":\"max\", \"unit\": \"B\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0 },\n\"avg.used\": { \"label\":\"used\", \"unit\": \"B\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0 },\n\"avg.committed\": { \"label\":\"committed\", \"unit\": \"B\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0 }}',
        '', '', 0, ''),
       (152, 'ai_jvm_mem_old_gen', 'PS-Old-Gen', 'jvm_memory',
        '{\"avg.init\": { \"label\":\"init\", \"unit\": \"B\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0 },\n\"avg.max\": { \"label\":\"max\", \"unit\": \"B\", \"unit_type\": \"bytes\", \"chart_type\": \"line\", \"axis_index\": 0 },\n\"avg.used\": { \"label\":\"used\", \"unit\": \"B\", \"unit_type\": \"bytes\", \"chart_type\": \"line\", \"axis_index\": 0 },\n\"avg.committed\": { \"label\":\"committed\", \"unit\": \"B\", \"unit_type\": \"bytes\", \"chart_type\": \"line\", \"axis_index\": 0 }}',
        '', '', 0, ''),
       (153, 'ai_jvm_mem_survivor_space', 'PS-Survivor-Space', 'jvm_memory',
        '{\"avg.init\": { \"label\":\"init\", \"unit\": \"B\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0 },\n\"avg.max\": { \"label\":\"max\", \"unit\": \"B\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0 },\n\"avg.used\": { \"label\":\"used\", \"unit\": \"B\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0 },\n\"avg.committed\": { \"label\":\"committed\", \"unit\": \"B\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0 }}',
        '', '', 0, ''),
       (154, 'ai_gc_mark_sweep', 'GC 次数', 'jvm_gc',
        '{\"avg.time\": { \"label\":\"平均时间\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"line\", \"axis_index\": 0 },\n\"sum.count\": { \"label\":\"总次数\", \"unit\": \"\", \"unit_type\": \"\", \"chart_type\": \"line\", \"axis_index\": 0 }}',
        '', '', 0, ''),
       (155, 'ai_gc_scavenge', 'GC 平均时间', 'jvm_gc',
        '{\"avg.time\": { \"label\":\"平均时间\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"line\", \"axis_index\": 0 },\n\"sum.count\": { \"label\":\"总次数\", \"unit\": \"\", \"unit_type\": \"\", \"chart_type\": \"line\", \"axis_index\": 0 }}',
        '', '', 0, 'ms'),
       (156, 'ai_class_count', 'Class count', 'jvm_class_loader',
        '{\"avg.loaded\": { \"label\":\"loaded\", \"unit\": \"\", \"unit_type\": \"\", \"chart_type\": \"line\", \"axis_index\": 0 },\n\"avg.unloaded\": { \"label\":\"unloaded\", \"unit\": \"\", \"unit_type\": \"\", \"chart_type\": \"line\", \"axis_index\": 1 }}',
        '', '', 0, ''),
       (157, 'ai_thread', 'Thread', 'jvm_thread',
        '{\"avg.state\": { \"label\":\"线程数量\", \"unit\": \"\", \"unit_type\": \"\", \"chart_type\": \"line\", \"axis_index\": 0 }}',
        '', '', 0, ''),
       (158, 'ai_nodejs_men_heap', 'Heap memory usage', 'nodejs_memory',
        '{\"avg.heap_used\": { \"label\":\"used\", \"unit\": \"B\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0 },\n\"avg.heap_total\": { \"label\":\"total\", \"unit\": \"B\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0 }}',
        '', '', 0, ''),
       (159, 'ai_nodejs_men_non_heap', 'Non Heap memory usage', 'nodejs_memory',
        '{\"avg.external\": { \"label\":\"external\", \"unit\": \"B\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0 },\n\"avg.rss\": { \"label\":\"rss\", \"unit\": \"B\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0 }}',
        '', '', 0, ''),
       (160, 'ai_nodejs_cluster_count', 'Cluster count', 'nodejs_cluster',
        '{\"max.count\": { \"label\":\"count\", \"unit\": \"B\", \"unit_type\": \"count\", \"chart_type\": \"line\", \"axis_index\": 0 }}',
        '', '', 0, ''),
       (161, 'ai_nodejs_async_res', 'Async Resources', 'nodejs_async_resource',
        '{\"sum.count\": { \"label\":\"count\", \"unit\": \"B\", \"unit_type\": \"count\", \"chart_type\": \"line\", \"axis_index\": 0 }}',
        '', '', 0, ''),
       (162, 'ta_overview', '页面性能(1小时内)', 'ta_req',
        '{\"avg.tt\": { \"label\":\"Ajax 响应时间\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"cpm.tt\": { \"label\":\"Ajax 吞吐量\", \"unit\": \"\", \"unit_type\": \"\", \"chart_type\": \"\", \"axis_index\": 0 }}',
        '', '', 0, 'ms'),
       (163, 'ai_overview', '应用性能(1小时内)', 'application_http',
        '{\"avg.elapsed_mean\": { \"label\":\"响应时间\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"sumCpm.elapsed_count\": { \"label\":\"吞吐量\", \"unit\": \"\", \"unit_type\": \"\", \"chart_type\": \"\", \"axis_index\": 0 }}',
        '', '', 0, ''),
       (164, 'ta_overview_days', '访问量(7天内)', 'ta_timing',
        '{\"count.plt\": { \"label\":\"请求数\", \"unit\": \"\", \"unit_type\": \"count\", \"chart_type\": \"bar\", \"axis_index\": 0 }}',
        '', '', 0, 'ms'),
       (165, 'ta_top_count', '访问次数-Top20', 'ta_timing',
        '{\"count.plt\": { \"label\":\"访问次数\", \"unit\": \"\", \"unit_type\": \"\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"avg.net\": { \"label\":\"网络耗时\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"avg.srt\": { \"label\":\"服务器响应\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"avg.prt\": { \"label\":\"页面渲染\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"avg.plt\": { \"label\":\"整页加载完成\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 }}',
        '', '', 0, 'ms'),
       (166, 'ai_top_slow_http', '慢事务追踪 Top10', 'application_http_slow',
        '{\"max.elapsed_max\": { \"label\":\"最大耗时\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"max.elapsed_min\": { \"label\":\"最小耗时\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"count.elapsed_count\": { \"label\":\"发生次数\", \"unit\": \"\", \"unit_type\": \"\", \"chart_type\": \"\", \"axis_index\": 0 }}',
        '', '', 0, ''),
       (167, 'ai_top_slow_db', '慢数据库追踪 Top10', 'application_db_slow',
        '{\"max.elapsed_max\": { \"label\":\"最大耗时\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"max.elapsed_min\": { \"label\":\"最小耗时\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"count.elapsed_count\": { \"label\":\"发生次数\", \"unit\": \"\", \"unit_type\": \"\", \"chart_type\": \"\", \"axis_index\": 0 }}',
        '', '', 0, ''),
       (170, 'container_cpu_usage_percent', '', 'docker_container_cpu',
        '{\"last.usage_percent\":{\"label\": \"Usage\", \"unit\": \"%\", \"unit_type\": \"PERCENT\", \"chart_type\": \"line\", \"axis_index\": 0}}',
        '', '', 0, ''),
       (171, 'container_mem_usage', '', 'docker_container_mem',
        '{\"last.usage\":{\"label\": \"Usage\", \"unit\": \"B\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0}}',
        '', '', 0, ''),
       (172, 'ta_timing_slow', '慢加载追踪', 'ta_timing_slow',
        '{\"p95.plt\": { \"label\":\"最大耗时\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 }}',
        '', '', 0, 'ms'),
       (173, 'error_count', '错误次数', 'error_count',
        '{\"sum.count\": { \"label\":\"发生次数\", \"unit\": \"\", \"unit_type\": \"count\", \"chart_type\": \"line\", \"axis_index\": 0 }}',
        '', '', 0, ''),
       (174, 'ai_rpc_top_time', '平均响应时间', 'application_rpc',
        '{ \"avg.elapsed_mean\": { \"label\":\"平均响应时间\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"line\", \"axis_index\": 0 }}',
        '', '', 0, ''),
       (175, 'ai_rpc_top_cpm', '吞吐量', 'application_rpc',
        '{ \"sumCpm.elapsed_count\": { \"label\":\"吞吐量\", \"unit\": \"cpm\", \"unit_type\": \"\", \"chart_type\": \"line\", \"axis_index\": 0 }}',
        '', '', 0, ''),
       (176, 'ai_rpc_avg_time_top5', '响应时间Top5', 'application_rpc',
        '{ \"avg.elapsed_mean\": { \"label\":\"平均响应时间\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"line\", \"axis_index\": 0 }}',
        '', '', 0, ''),
       (177, 'ai_rpc_cpm_top5', '吞吐量Top5', 'application_rpc',
        '{ \"sumCpm.elapsed_count\": { \"label\":\"吞吐量\", \"unit\": \"cpm\", \"unit_type\": \"\", \"chart_type\": \"line\", \"axis_index\": 0 }}',
        '', '', 0, ''),
       (178, 'ai_web_error_req', '错误请求', 'application_http',
        '{ \"sum.elapsed_count\": { \"label\":\"错误请求\", \"unit\": \"次\", \"unit_type\": \"\", \"chart_type\": \"line\", \"axis_index\": 0 }}',
        '', '', 0, ''),
       (179, 'ta_m_timing', '', 'ta_timing_mobile', '', '', '0', 0, 'ms'),
       (180, 'ta_m_req', '', 'ta_req_mobile', '', '', '0', 0, 'ms'),
       (181, 'ta_m_performance', '性能区间', 'ta_timing_mobile',
        '{\"avg.plt\": { \"label\":\"整页加载\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"line\", \"axis_index\": 0 }, \n\"avg.tcp\": { \"label\":\"请求排队\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"line\", \"axis_index\": 0 },\n\"avg.rlt\": { \"label\":\"资源加载\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"line\", \"axis_index\": 0 },\n\"avg.srt\": { \"label\":\"服务器响应\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"line\", \"axis_index\": 0 }}',
        '', '0', 0, 'ms'),
       (182, 'ta_m_apdex', '用户体验', 'ta_timing_mobile', '', '', '0', 0, 'ms'),
       (183, 'ta_m_plt_grade', '整页加载完成', 'ta_timing_mobile', '', '', '0', 0, 'ms'),
       (184, 'ta_m_values_grade', '对比分析', 'ta_timing_mobile',
        '{\"count.plt\": { \"label\":\"整页加载完成\", \"unit\": \"\", \"unit_type\": \"precent\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"count.wst\": { \"label\":\"白屏时间\", \"unit\": \"%\", \"unit_type\": \"precent\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"count.fst\": { \"label\":\"首屏时间\", \"unit\": \"%\", \"unit_type\": \"precent\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"count.rct\": { \"label\":\"资源加载完成\", \"unit\": \"%\", \"unit_type\": \"precent\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"count.pct\": { \"label\":\"网页加载完成\", \"unit\": \"%\", \"unit_type\": \"precent\", \"chart_type\": \"\", \"axis_index\": 0 }}',
        '', '0', 0, 'ms'),
       (185, 'ta_m_page_timing', '页面性能趋势', 'ta_timing_mobile',
        '{ \"count.plt\": { \"label\":\"PV\", \"unit\": \"\", \"unit_type\": \"count\", \"chart_type\": \"line\", \"axis_index\": 0 },\n\"avg.plt\": { \"label\":\"响应时间\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"line\", \"axis_index\": 1 }}',
        '', '0', 0, 'ms'),
       (186, 'ta_m_req_timing', '请求性能趋势', 'ta_req_mobile',
        '{ \"count.tt\": { \"label\":\"PV\", \"unit\": \"\", \"unit_type\": \"count\", \"chart_type\": \"line\", \"axis_index\": 0 },\n\"avg.tt\": { \"label\":\"响应时间\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"line\", \"axis_index\": 1 }}',
        '', '0', 0, 'ms'),
       (187, 'ta_m_map', '地图', 'ta_timing_mobile', '', '', '0', 0, 'ms'),
       (188, 'ta_m_top_avg_time', '平均时间', 'ta_timing_mobile',
        '{\"avg.pct\": { \"label\":\"网页加载完成\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"avg.plt\": { \"label\":\"整页加载\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"avg.wst\": { \"label\":\"白屏时间\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"avg.fst\": { \"label\":\"首屏时间\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"avg.rct\": { \"label\":\"资源加载完成\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 }}',
        '', '0', 0, 'ms'),
       (189, 'ta_m_top_percent_time', '时间百分比', 'ta_timing_mobile',
        '{\"sumPercent.pct\": { \"label\":\"网页加载完成\", \"unit\": \"%\", \"unit_type\": \"percent\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"sumPercent.plt\": { \"label\":\"整页加载\", \"unit\": \"%\", \"unit_type\": \"percent\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"sumPercent.wst\": { \"label\":\"白屏时间\", \"unit\": \"%\", \"unit_type\": \"percent\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"sumPercent.fst\": { \"label\":\"首屏时间\", \"unit\": \"%\", \"unit_type\": \"percent\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"sumPercent.rct\": { \"label\":\"资源加载完成\", \"unit\": \"%\", \"unit_type\": \"percent\", \"chart_type\": \"\", \"axis_index\": 0 }}',
        '', '0', 0, 'ms'),
       (190, 'ta_m_top_cpm', '时间吞吐量', 'ta_timing_mobile',
        '{\"cpm.pct\": { \"label\":\"网页加载完成\", \"unit\": \"cpm\", \"unit_type\": \"cpm\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"cpm.plt\": { \"label\":\"整页加载\", \"unit\": \"cpm\", \"unit_type\": \"cpm\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"cpm.wst\": { \"label\":\"白屏时间\", \"unit\": \"cpm\", \"unit_type\": \"cpm\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"cpm.fst\": { \"label\":\"首屏时间\", \"unit\": \"cpm\", \"unit_type\": \"cpm\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"cpm.rct\": { \"label\":\"资源加载完成\", \"unit\": \"cpm\", \"unit_type\": \"cpm\", \"chart_type\": \"\", \"axis_index\": 0 }}',
        '', '0', 0, 'ms'),
       (191, 'ta_m_req_top_avg_time', '平均时间', 'ta_req_mobile',
        '{\"avg.tt\": { \"label\":\"请求耗时\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 }}',
        '', '0', 0, 'ms'),
       (192, 'ta_m_req_top_percent_time', '时间百分比', 'ta_req_mobile',
        '{\"sumPercent.tt\": { \"label\":\"请求耗时\", \"unit\": \"%\", \"unit_type\": \"percent\", \"chart_type\": \"\", \"axis_index\": 0 }}',
        '', '0', 0, 'ms'),
       (193, 'ta_m_req_top_cpm', '时间吞吐量', 'ta_req_mobile',
        '{\"cpm.tt\": { \"label\":\"请求耗时\", \"unit\": \"cpm\", \"unit_type\": \"cpm\", \"chart_type\": \"\", \"axis_index\": 0 }}',
        '', '0', 0, 'ms'),
       (194, 'ta_m_avg_time', '平均时间', 'ta_timing_mobile',
        '{ \"avg.plt\": { \"label\":\"整页加载\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"line\", \"axis_index\": 0 }}',
        '', '0', 0, 'ms'),
       (195, 'ta_m_cpm', '吞吐量', 'ta_timing_mobile',
        '{ \"cpm.plt\": { \"label\":\"吞吐量\", \"unit\": \"cpm\", \"unit_type\": \"cpm\", \"chart_type\": \"line\", \"axis_index\": 0 }}',
        '', '0', 0, 'ms'),
       (196, 'ta_m_percent_os', '操作系统', 'ta_timing_mobile', '', '', '0', 0, 'ms'),
       (197, 'ta_m_percent_device', '设备', 'ta_timing_mobile', '', '', '0', 0, 'ms'),
       (198, 'ta_m_percent_browser', '浏览器', 'ta_timing_mobile', '', '', '0', 0, 'ms'),
       (199, 'ta_m_percent_av', 'App版本', 'ta_timing_mobile', '', '', '0', 0, 'ms'),
       (200, 'ta_m_percent_host', '域名', 'ta_timing_mobile', '', '', '0', 0, 'ms'),
       (201, 'ta_m_percent_page', '页面', 'ta_timing_mobile', '', '', '0', 0, 'ms'),
       (202, 'ta_m_req_avg_time', '平均时间', 'ta_req_mobile',
        '{ \"avg.tt\": { \"label\":\"请求耗时\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"line\", \"axis_index\": 0 }}',
        '', '0', 0, 'ms'),
       (203, 'ta_m_req_cpm', '吞吐量', 'ta_req_mobile',
        '{ \"cpm.tt\": { \"label\":\"吞吐量\", \"unit\": \"cpm\", \"unit_type\": \"cpm\", \"chart_type\": \"line\", \"axis_index\": 0 }}',
        '', '0', 0, 'ms'),
       (204, 'ta_m_req_send', '发送数据', 'ta_req_mobile',
        '{ \"sum.res\": { \"label\":\"发送数据\", \"unit\": \"KB\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0 }}',
        '', '0', 0, 'kb'),
       (205, 'ta_m_req_recv', '接收数据', 'ta_req_mobile',
        '{ \"sum.req\": { \"label\":\"接收数据\", \"unit\": \"KB\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0 }}',
        '', '0', 0, 'kb'),
       (206, 'ta_m_req_status', 'HTTP状态码', 'ta_req_mobile',
        '{ \"count.req\": { \"label\":\"HTTP状态码\", \"unit\": \"\", \"unit_type\": \"\", \"chart_type\": \"line\", \"axis_index\": 0 }}',
        '', '0', 0, ''),
       (207, 'ta_m_top_error', '错误信息', 'ta_error_mobile',
        '{ \"count.count\": { \"label\":\"错误次数\", \"unit\": \"\", \"unit_type\": \"\", \"chart_type\": \"\", \"axis_index\": 0 }}',
        '', '0', 0, ''),
       (208, 'ta_m_top_page_error', '错误页面', 'ta_error_mobile',
        '{ \"count.count\": { \"label\":\"错误次数\", \"unit\": \"\", \"unit_type\": \"\", \"chart_type\": \"\", \"axis_index\": 0 }}',
        '', '0', 0, ''),
       (209, 'ta_m_top_error_count', '报错次数', 'ta_error_mobile',
        '{ \"count.count\": { \"label\":\"错误次数\", \"unit\": \"\", \"unit_type\": \"\", \"chart_type\": \"line\", \"axis_index\": 0 }}',
        '', '0', 0, ''),
       (210, 'ta_m_top_os_error', '系统报错次数', 'ta_error_mobile',
        '{ \"count.count\": { \"label\":\"错误次数\", \"unit\": \"\", \"unit_type\": \"\", \"chart_type\": \"line\", \"axis_index\": 0 }}',
        '', '0', 0, ''),
       (211, 'ta_m_timing_slow', '慢加载追踪', 'ta_timing_mobile_slow',
        '{\"p95.plt\": { \"label\":\"最大耗时\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 }}',
        '', '', 0, 'ms'),
       (212, 'ta_m_page_error', '页面错误', 'ta_error_mobile',
        '{ \"count.count\": { \"label\":\"错误次数\", \"unit\": \"\", \"unit_type\": \"\", \"chart_type\": \"line\", \"axis_index\": 0 }}',
        '', '0', 0, ''),
       (213, 'redis_blocked_clients', '被阻塞的客户端数', 'redis',
        '{\"max.blocked_clients\":{\"label\": \"\", \"unit\": \"\", \"unit_type\": \"NUMBER\", \"chart_type\": \"line\", \"axis_index\": 0}}',
        '{\"group\":\"server\"}', 'redis', 6, ''),
       (214, 'redis_aof_current_size', 'AOF文件大小', 'redis',
        '{\"max.aof_current_size\":{\"label\": \"\",\"unit\":\"B\",\"unit_type\":\"CAPACITY\",\"chart_type\":\"line\",\"axis_index\": 0}}',
        '{\"group\":\"server\"}', 'redis', 7, ''),
       (215, 'mysql_qps', 'QPS', 'mysql',
        '{\"diffps.(com_delete+com_insert+com_select+com_update)\":{\"label\": \"\",\"unit\":\"次/s\",\"unit_type\":\"NPS\",\"chart_type\":\"line\",\"axis_index\": 0}}',
        '{\"group\":\"server\"}', 'mysql', 4, ''),
       (216, 'mysql_tps', 'TPS', 'mysql',
        '{\"diffps.(com_commit+com_rollback)\":{\"label\": \"\",\"unit\":\"次/s\",\"unit_type\":\"NPS\",\"chart_type\":\"line\",\"axis_index\": 0}}',
        '{\"group\":\"server\"}', 'mysql', 5, ''),
       (217, 'mysql_innodb_rows_deleted', 'INNODB删除行数量', 'mysql',
        '{\"diffps.innodb_rows_deleted\":{\"label\": \"\",\"unit\":\"行/s\",\"unit_type\":\"RPS\",\"chart_type\":\"line\",\"axis_index\": 0}}',
        '{\"group\":\"server\"}', 'mysql', 10, ''),
       (218, 'mysql_innodb_rows_inserted', 'INNODB插入行数量', 'mysql',
        '{\"diffps.innodb_rows_inserted\":{\"label\": \"\",\"unit\":\"行/s\",\"unit_type\":\"RPS\",\"chart_type\":\"line\",\"axis_index\": 0}}',
        '{\"group\":\"server\"}', 'mysql', 11, ''),
       (219, 'mysql_innodb_rows_updated', 'INNODB更新行数量', 'mysql',
        '{\"diffps.innodb_rows_updated\":{\"label\": \"\",\"unit\":\"行/s\",\"unit_type\":\"RPS\",\"chart_type\":\"line\",\"axis_index\": 0}}',
        '{\"group\":\"server\"}', 'mysql', 12, ''),
       (220, 'mysql_innodb_rows_read', 'INNODB读取行数量', 'mysql',
        '{\"diffps.innodb_rows_read\":{\"label\": \"\",\"unit\":\"行/s\",\"unit_type\":\"RPS\",\"chart_type\":\"line\",\"axis_index\": 0}}',
        '{\"group\":\"server\"}', 'mysql', 13, ''),
       (221, 'mysql_innodb_data_read', 'INNODB读速度', 'mysql',
        '{\"diffps.innodb_data_read\":{\"label\": \"读速度\", \"unit\": \"B/s\", \"unit_type\": \"TRAFFIC\", \"chart_type\": \"line\", \"axis_index\": 0}}',
        '{\"group\":\"server\"}', 'mysql', 14, ''),
       (222, 'mysql_innodb_data_written', 'INNODB写速度', 'mysql',
        '{\"diffps.innodb_data_written\":{\"label\": \"写速度\", \"unit\": \"B/s\", \"unit_type\": \"TRAFFIC\", \"chart_type\": \"line\", \"axis_index\": 0}}',
        '{\"group\":\"server\"}', 'mysql', 15, ''),
       (223, 'elasticsearch_store_size', '索引存储量', 'elasticsearch_indices',
        '{\"max.store_size_in_bytes\":{\"label\": \"\",\"unit\":\"B\",\"unit_type\":\"CAPACITY\",\"chart_type\":\"line\",\"axis_index\": 0}}',
        '{\"group\":\"node_name\"}', 'terminus-elasticsearch', 1, ''),
       (224, 'elasticsearch_docs_count', '文档数量', 'elasticsearch_indices',
        '{\"max.docs_count\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}',
        '{\"group\":\"node_name\"}', 'terminus-elasticsearch', 2, ''),
       (225, 'elasticsearch_segments_count', 'Segment数量', 'elasticsearch_indices',
        '{\"max.segments_count\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}',
        '{\"group\":\"node_name\"}', 'terminus-elasticsearch', 3, ''),
       (226, 'elasticsearch_http_server_open', 'Http连接数', 'elasticsearch_http',
        '{\"max.current_open\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}',
        '{\"group\":\"node_name\"}', 'terminus-elasticsearch', 4, ''),
       (227, 'elasticsearch_transport_server_open', 'Transport连接数', 'elasticsearch_transport',
        '{\"max.server_open\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}',
        '{\"group\":\"node_name\"}', 'terminus-elasticsearch', 5, ''),
       (228, 'elasticsearch_jvm_mem_heap_used', 'JVM堆内存', 'elasticsearch_jvm',
        '{\"max.mem_heap_used_in_bytes\":{\"label\": \"\",\"unit\":\"B\",\"unit_type\":\"CAPACITY\",\"chart_type\":\"line\",\"axis_index\": 0}}',
        '{\"group\":\"node_name\"}', 'terminus-elasticsearch', 6, ''),
       (229, 'elasticsearch_gc_old_count', '老年代GC次数', 'elasticsearch_jvm',
        '{\"diffps.gc_collectors_old_collection_count\":{\"label\": \"\",\"unit\":\"次/s\",\"unit_type\":\"NPS\",\"chart_type\":\"line\",\"axis_index\": 0}}',
        '{\"group\":\"node_name\"}', 'terminus-elasticsearch', 7, ''),
       (230, 'elasticsearch_gc_young_count', '年轻代GC次数', 'elasticsearch_jvm',
        '{\"diffps.gc_collectors_young_collection_count\":{\"label\": \"\",\"unit\":\"次/s\",\"unit_type\":\"NPS\",\"chart_type\":\"line\",\"axis_index\": 0}}',
        '{\"group\":\"node_name\"}', 'terminus-elasticsearch', 8, ''),
       (231, 'elasticsearch_search_query_total', 'Search次数', 'elasticsearch_indices',
        '{\"diffps.search_query_total\":{\"label\": \"\",\"unit\":\"次/s\",\"unit_type\":\"NPS\",\"chart_type\":\"line\",\"axis_index\": 0}}',
        '{\"group\":\"node_name\"}', 'terminus-elasticsearch', 9, ''),
       (232, 'elasticsearch_indexing_index_total', 'Index次数', 'elasticsearch_indices',
        '{\"diffps.indexing_index_total\":{\"label\": \"\",\"unit\":\"次/s\",\"unit_type\":\"NPS\",\"chart_type\":\"line\",\"axis_index\": 0}}',
        '{\"group\":\"node_name\"}', 'terminus-elasticsearch', 10, ''),
       (233, 'elasticsearch_merges_total', 'Merges次数', 'elasticsearch_indices',
        '{\"diffps.merges_total\":{\"label\": \"\",\"unit\":\"次/s\",\"unit_type\":\"NPS\",\"chart_type\":\"line\",\"axis_index\": 0}}',
        '{\"group\":\"node_name\"}', 'terminus-elasticsearch', 11, ''),
       (234, 'elasticsearch_refresh_total', 'Refresh次数', 'elasticsearch_indices',
        '{\"diffps.refresh_total\":{\"label\": \"\",\"unit\":\"次/s\",\"unit_type\":\"NPS\",\"chart_type\":\"line\",\"axis_index\": 0}}',
        '{\"group\":\"node_name\"}', 'terminus-elasticsearch', 12, ''),
       (235, 'machine_procs', '进程统计', 'processes',
        '{\"max.blocked\":{\"label\": \"blocked\", \"unit\": \"个\", \"unit_type\": \"NUMBER\", \"chart_type\": \"line\", \"axis_index\": 0},\"max.sleeping\":{\"label\": \"sleeping\", \"unit\": \"个\", \"unit_type\": \"NUMBER\", \"chart_type\": \"line\", \"axis_index\": 0},\"max.running\":{\"label\": \"running\", \"unit\": \"个\", \"unit_type\": \"NUMBER\", \"chart_type\": \"line\", \"axis_index\": 0},\"max.zombies\":{\"label\": \"zombies\", \"unit\": \"个\", \"unit_type\": \"NUMBER\", \"chart_type\": \"line\", \"axis_index\": 0}}',
        '', 'machine_remove', 4, ''),
       (236, 'machine_net_io_send', '网络发送', 'net',
        '{\"max.send_rate\":{\"label\": \"读IO\", \"unit\": \"B/s\", \"unit_type\": \"TRAFFIC\", \"chart_type\": \"line\", \"axis_index\": 0}}',
        '{\"group\":\"interface\"}', 'machine', 9, ''),
       (237, 'machine_net_io_recv', '网络接收', 'net',
        '{\"max.recv_rate\":{\"label\": \"读IO\", \"unit\": \"B/s\", \"unit_type\": \"TRAFFIC\", \"chart_type\": \"line\", \"axis_index\": 0}}',
        '{\"group\":\"interface\"}', 'machine', 10, ''),
       (238, 'addon_container_mem_usage', '内存使用量', 'docker_container_summary',
        '{\"avg.mem_usage\":{\"label\": \"使用量(含cache)\", \"unit\": \"B\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0}}',
        '{\"group\":\"container_id\"}', 'addon_container', 1, ''),
       (239, 'addon_container_mem_percent', '内存使用百分比', 'docker_container_summary',
        '{\"avg.mem_usage_percent\":{\"label\": \"使用量百分比\", \"unit\": \"%\", \"unit_type\": \"PERCENT\", \"chart_type\": \"line\", \"axis_index\": 0}}',
        '{\"group\":\"container_id\"}', 'addon_container', 2, ''),
       (240, 'addon_container_mem_limit', '最大内存限制', 'docker_container_summary',
        '{\"avg.mem_limit\":{\"label\": \"内存限制\", \"unit\": \"B\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"limit\", \"axis_index\": 0}}',
        '{\"group\":\"container_id\"}', 'addon_container', 3, ''),
       (241, 'addon_container_cpu', 'CPU', 'docker_container_summary',
        '{\"avg.cpu_usage_percent\":{\"label\": \"CPU使用率\", \"unit\": \"%\", \"unit_type\": \"PERCENT\", \"chart_type\": \"line\", \"axis_index\": 0}}',
        '{\"group\":\"container_id\"}', 'addon_container', 4, ''),
       (242, 'addon_container_diskio_read', '磁盘读速度', 'docker_container_blkio',
        '{\"diffps.io_service_bytes_recursive_read\":{\"label\": \"读取\", \"unit\": \"B/s\", \"unit_type\": \"TRAFFIC\", \"chart_type\": \"line\", \"axis_index\": 0}}',
        '{\"group\":\"container_id\"}', 'addon_container', 5, ''),
       (243, 'addon_container_diskio_write', '磁盘写速度', 'docker_container_blkio',
        '{\"diffps.io_service_bytes_recursive_write\":{\"label\": \"写入\", \"unit\": \"B/s\", \"unit_type\": \"TRAFFIC\", \"chart_type\": \"line\", \"axis_index\": 0}}',
        '{\"group\":\"container_id\"}', 'addon_container', 6, ''),
       (244, 'addon_container_netio_recv', '网络接收', 'docker_container_net',
        '{\"diffps.rx_bytes\":{\"label\": \"接收\", \"unit\": \"B/s\", \"unit_type\": \"TRAFFIC\", \"chart_type\": \"line\", \"axis_index\": 0}}',
        '{\"group\":\"container_id\"}', 'addon_container', 7, ''),
       (245, 'addon_container_netio_send', '网络发送', 'docker_container_net',
        '{\"diffps.tx_bytes\":{\"label\": \"发送\", \"unit\": \"B/s\", \"unit_type\": \"TRAFFIC\", \"chart_type\": \"line\", \"axis_index\": 0}}',
        '{\"group\":\"container_id\"}', 'addon_container', 8, ''),
       (246, 'kong_req_latency', '请求延时', 'agg_kong',
        '{\"avg.reql_mean\":{\"label\":\"耗时\",\"unit\":\"ms\",\"unit_type\":\"time\",\"chart_type\":\"line\",\"axis_index\":0}}',
        '', '', 0, 's'),
       (247, 'kong_upstream_latency', '后端延时', 'agg_kong',
        '{\"avg.upl_mean\":{\"label\":\"耗时\",\"unit\":\"ms\",\"unit_type\":\"time\",\"chart_type\":\"line\",\"axis_index\":0}}',
        '', '', 0, 's'),
       (248, 'kong_qps', 'QPS', 'agg_kong',
        '{\"sumCps.cnt_count\":{\"label\":\"qps\",\"unit\":\"次/s\",\"unit_type\":\"NPS\",\"chart_type\":\"line\",\"axis_index\":0}}',
        '', '', 0, ''),
       (249, 'kong_pv', 'PV', 'agg_kong',
        '{\"sum.cnt_count\":{\"label\":\"pv\",\"unit\":\"次\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\":0}}',
        '', '', 0, ''),
       (250, 'kong_connection', '连接状态', 'agg_kong',
        '{\"avg.crd_mean\":{\"label\":\"读活跃连接数\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\":0},\"avg.cac_mean\":{\"label\":\"总连接数\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\":0},\"avg.cwr_mean\":{\"label\":\"写活跃连接数\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\":0},\"avg.cwa_mean\":{\"label\":\"非活跃连接数\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\":0}}',
        '', '', 0, ''),
       (251, 'kong_req_length', '请求大小', 'agg_kong',
        '{\"avg.reqt_mean\":{\"label\":\"字节数\",\"unit\":\"KB\",\"unit_type\":\"CAPACITY\",\"chart_type\":\"line\",\"axis_index\":0}}',
        '', '', 0, 'b'),
       (252, 'kong_resp_length', '应答大小', 'agg_kong',
        '{\"avg.bst_mean\":{\"label\":\"字节数\",\"unit\":\"KB\",\"unit_type\":\"CAPACITY\",\"chart_type\":\"line\",\"axis_index\":0}}',
        '', '', 0, 'b'),
       (253, 'machine_disk_rootfs_used', '磁盘使用量', 'disk',
        '{\"avg.used\":{\"label\": \"使用量\", \"unit\": \"B\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0}}',
        '{\"group\":\"device\"}', 'machine', 8, ''),
       (260, 'container_cpu_allocation', 'CPU分配量', 'summary_docker_container_cpu',
        '{\"avg.component_allocation\":{\"label\": \"component\", \"unit\": \"\", \"unit_type\": \"NUMBER\", \"chart_type\": \"line\", \"axis_index\": 0},\"avg.service_allocation\":{\"label\": \"service\", \"unit\": \"\", \"unit_type\": \"NUMBER\", \"chart_type\": \"line\", \"axis_index\": 0},\"avg.job_allocation\":{\"label\": \"job\", \"unit\": \"\", \"unit_type\": \"NUMBER\", \"chart_type\": \"line\", \"axis_index\": 0},\"avg.addon_allocation\":{\"label\": \"addon\", \"unit\": \"\", \"unit_type\": \"NUMBER\", \"chart_type\": \"line\", \"axis_index\": 0}}',
        '', '', 0, ''),
       (261, 'container_mem_allocation', '内存分配量', 'summary_docker_container_mem',
        '{\"avg.component_allocation\":{\"label\": \"component\", \"unit\": \"B\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0},\"avg.service_allocation\":{\"label\": \"service\", \"unit\": \"B\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0},\"avg.job_allocation\":{\"label\": \"job\", \"unit\": \"B\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0},\"avg.addon_allocation\":{\"label\": \"addon\", \"unit\": \"B\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0}}',
        '', '', 0, ''),
       (262, 'alert_trend', '告警趋势', 'analyzer-alert',
        '{\"count.count\": { \"label\":\"告警次数\", \"unit\": \"\", \"unit_type\": \"count\", \"chart_type\": \"line\", \"axis_index\": 0 }}',
        '', '', 0, ''),
       (263, 'alert_statistics', '告警统计', 'analyzer-alert', '', '', '', 0, '%'),
       (264, 'alert_type_percent', '单个集群告警类型占比', 'analyzer-alert', '', '', '', 0, '%'),
       (265, 'disk', '磁盘使用率', 'disk',
        '{\"max.used_percent\":{\"label\": \"磁盘使用率\", \"unit\": \"%\", \"unit_type\": \"PERCENT\", \"chart_type\": \"line\", \"axis_index\": 0}}',
        '{\"group\":\"device\"}', '', 0, '%'),
       (266, 'kong_success', '成功调用统计', 'agg_kong',
        '{\"sum.succ_sum\":{\"label\":\"累计调用\",\"unit\":\"次\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\":0}}',
        '', '', 0, ''),
       (267, 'kong_traffic', '实时流量统计', 'agg_kong',
        '{\"sumCps.cnt_sum\":{\"label\":\"整体QPS\",\"unit\":\"次/s\",\"unit_type\":\"NPS\",\"chart_type\":\"line\",\"axis_index\":0},\"sumCps.succ_sum\":{\"label\":\"成功QPS\",\"unit\":\"次/s\",\"unit_type\":\"NPS\",\"chart_type\":\"line\",\"axis_index\":0},\"sumCps.err_sum\":{\"label\":\"错误QPS\",\"unit\":\"次/s\",\"unit_type\":\"NPS\",\"chart_type\":\"line\",\"axis_index\":0},\"sumCps.lim_sum\":{\"label\":\"限流QPS\",\"unit\":\"次/s\",\"unit_type\":\"NPS\",\"chart_type\":\"line\",\"axis_index\":0}}',
        '', '', 0, ''),
       (268, 'kong_error', '调用错误统计', 'agg_kong',
        '{\"sum.err_sum\":{\"label\":\"总错误量\",\"unit\":\"次\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\":0}}',
        '', '', 0, ''),
       (269, 'kong_error_type', '错误类型分析', 'agg_kong',
        '{\"avg.(err_mean*100)\":{\"label\":\"总错误率\",\"unit\":\"%\",\"unit_type\":\"PERCENT\",\"chart_type\":\"line\",\"axis_index\":0},\"avg.(cerr_mean*100)\":{\"label\":\"调用方错误率\",\"unit\":\"%\",\"unit_type\":\"PERCENT\",\"chart_type\":\"line\",\"axis_index\":0},\"avg.(serr_mean*100)\":{\"label\":\"服务端错误率\",\"unit\":\"%\",\"unit_type\":\"PERCENT\",\"chart_type\":\"line\",\"axis_index\":0}}',
        '', '', 0, ''),
       (270, 'machine_tcp', 'TCP链接数', 'netstat',
        '{\"sum.tcp_close\":{\"label\": \"tcp_close\", \"unit\": \"个\", \"unit_type\": \"NUMBER\", \"chart_type\": \"line\", \"axis_index\": 0},\"sum.tcp_close_wait\":{\"label\": \"tcp_close_wait\", \"unit\": \"个\", \"unit_type\": \"NUMBER\", \"chart_type\": \"line\", \"axis_index\": 0},\"sum.tcp_closing\":{\"label\": \"tcp_closing\", \"unit\": \"个\", \"unit_type\": \"NUMBER\", \"chart_type\": \"line\", \"axis_index\": 0},\"sum.tcp_established\":{\"label\": \"tcp_established\", \"unit\": \"个\", \"unit_type\": \"NUMBER\", \"chart_type\": \"line\", \"axis_index\": 0},\"sum.tcp_fin_wait1\":{\"label\": \"tcp_fin_wait1\", \"unit\": \"个\", \"unit_type\": \"NUMBER\", \"chart_type\": \"line\", \"axis_index\": 0},\"sum.tcp_fin_wait2\":{\"label\": \"tcp_fin_wait2\", \"unit\": \"个\", \"unit_type\": \"NUMBER\", \"chart_type\": \"line\", \"axis_index\": 0},\"sum.tcp_last_ack\":{\"label\": \"tcp_last_ack\", \"unit\": \"个\", \"unit_type\": \"NUMBER\", \"chart_type\": \"line\", \"axis_index\": 0},\"sum.tcp_none\":{\"label\": \"tcp_none\", \"unit\": \"个\", \"unit_type\": \"NUMBER\", \"chart_type\": \"line\", \"axis_index\": 0},\"sum.tcp_syn_recv\":{\"label\": \"tcp_syn_recv\", \"unit\": \"个\", \"unit_type\": \"NUMBER\", \"chart_type\": \"line\", \"axis_index\": 0},\"sum.tcp_syn_sent\":{\"label\": \"tcp_syn_sent\", \"unit\": \"个\", \"unit_type\": \"NUMBER\", \"chart_type\": \"line\", \"axis_index\": 0},\"sum.udp_socket\":{\"label\": \"udp_socket\", \"unit\": \"个\", \"unit_type\": \"NUMBER\", \"chart_type\": \"line\", \"axis_index\": 0}}',
        '', 'machine_remove', 11, ''),
       (271, 'gateway_latency', '请求延时', 'application_http',
        '{\"avg.latency_mean\":{\"label\":\"平均延时\",\"unit\":\"ms\",\"unit_type\":\"time\",\"chart_type\":\"line\",\"axis_index\":0},\"max.latency_max\":{\"label\":\"峰值延时\",\"unit\":\"ms\",\"unit_type\":\"time\",\"chart_type\":\"line\",\"axis_index\":0},\"avg.upstream_latency_mean\":{\"label\":\"平均延时\",\"unit\":\"ms\",\"unit_type\":\"time\",\"chart_type\":\"line\",\"axis_index\":0},\"max.upstream_latency_max\":{\"label\":\"峰值延时\",\"unit\":\"ms\",\"unit_type\":\"time\",\"chart_type\":\"line\",\"axis_index\":0}}',
        '', '', 0, 's'),
       (272, 'gateway_qps', '访问量', 'application_http',
        '{\"sumCps.cnt_sum\":{\"label\":\"QPS\",\"unit\":\"\",\"unit_type\":\"NPS\",\"chart_type\":\"line\",\"axis_index\":0}}',
        '', '', 0, ''),
       (273, 'gateway_traffic', '流量', 'application_http',
        '{\"sumCps.out_bytes_sum\":{\"label\":\"应答流量\",\"unit\":\"B/s\",\"unit_type\":\"TRAFFIC\",\"chart_type\":\"line\",\"axis_index\":0},\"sumCps.in_bytes_sum\":{\"label\":\"请求流量\",\"unit\":\"B/s\",\"unit_type\":\"TRAFFIC\",\"chart_type\":\"line\",\"axis_index\":0}}',
        '', '', 0, ''),
       (274, 'gateway_connection', '连接数', 'application_http',
        '{\"avg.active_conns_mean\":{\"label\":\"平均连接数\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\":0},\"avg.idle_conns_mean\":{\"label\":\"平均连接数\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\":0},\"avg.total_conns_mean\":{\"label\":\"平均连接数\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\":0},\"max.active_conns_max\":{\"label\":\"峰值连接数\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\":0},\"max.idle_conns_max\":{\"label\":\"峰值连接数\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\":0},\"max.total_conns_max\":{\"label\":\"峰值连接数\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\":0}}',
        '', '', 0, ''),
       (275, 'system_elasticsearch_store_size', '索引存储量', 'elasticsearch_indices',
        '{\"max.store_size_in_bytes\":{\"label\": \"\",\"unit\":\"B\",\"unit_type\":\"CAPACITY\",\"chart_type\":\"line\",\"axis_index\": 0}}',
        '{\"group\":\"node_name\"}', 'elasticsearch', 1, ''),
       (276, 'system_elasticsearch_docs_count', '文档数量', 'elasticsearch_indices',
        '{\"max.docs_count\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}',
        '{\"group\":\"node_name\"}', 'elasticsearch', 2, ''),
       (277, 'system_elasticsearch_segments_count', 'Segment数量', 'elasticsearch_indices',
        '{\"max.segments_count\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}',
        '{\"group\":\"node_name\"}', 'elasticsearch', 3, ''),
       (278, 'system_elasticsearch_http_server_open', 'Http连接数', 'elasticsearch_http',
        '{\"max.current_open\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}',
        '{\"group\":\"node_name\"}', 'elasticsearch', 4, ''),
       (279, 'system_elasticsearch_transport_server_open', 'Transport连接数', 'elasticsearch_transport',
        '{\"max.server_open\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}',
        '{\"group\":\"node_name\"}', 'elasticsearch', 5, ''),
       (280, 'system_elasticsearch_jvm_mem_heap_used', 'JVM堆内存', 'elasticsearch_jvm',
        '{\"max.mem_heap_used_in_bytes\":{\"label\": \"\",\"unit\":\"B\",\"unit_type\":\"CAPACITY\",\"chart_type\":\"line\",\"axis_index\": 0}}',
        '{\"group\":\"node_name\"}', 'elasticsearch', 6, ''),
       (281, 'system_elasticsearch_gc_old_count', '老年代GC次数', 'elasticsearch_jvm',
        '{\"diffps.gc_collectors_old_collection_count\":{\"label\": \"\",\"unit\":\"次/s\",\"unit_type\":\"NPS\",\"chart_type\":\"line\",\"axis_index\": 0}}',
        '{\"group\":\"node_name\"}', 'elasticsearch', 7, ''),
       (282, 'system_elasticsearch_gc_young_count', '年轻代GC次数', 'elasticsearch_jvm',
        '{\"diffps.gc_collectors_young_collection_count\":{\"label\": \"\",\"unit\":\"次/s\",\"unit_type\":\"NPS\",\"chart_type\":\"line\",\"axis_index\": 0}}',
        '{\"group\":\"node_name\"}', 'elasticsearch', 8, ''),
       (283, 'system_elasticsearch_search_query_total', 'Search次数', 'elasticsearch_indices',
        '{\"diffps.search_query_total\":{\"label\": \"\",\"unit\":\"次/s\",\"unit_type\":\"NPS\",\"chart_type\":\"line\",\"axis_index\": 0}}',
        '{\"group\":\"node_name\"}', 'elasticsearch', 9, ''),
       (284, 'system_elasticsearch_indexing_index_total', 'Index次数', 'elasticsearch_indices',
        '{\"diffps.indexing_index_total\":{\"label\": \"\",\"unit\":\"次/s\",\"unit_type\":\"NPS\",\"chart_type\":\"line\",\"axis_index\": 0}}',
        '{\"group\":\"node_name\"}', 'elasticsearch', 10, ''),
       (285, 'system_elasticsearch_merges_total', 'Merges次数', 'elasticsearch_indices',
        '{\"diffps.merges_total\":{\"label\": \"\",\"unit\":\"次/s\",\"unit_type\":\"NPS\",\"chart_type\":\"line\",\"axis_index\": 0}}',
        '{\"group\":\"node_name\"}', 'elasticsearch', 11, ''),
       (286, 'system_elasticasearch_refresh_total', 'Refresh次数', 'elasticsearch_indices',
        '{\"diffps.refresh_total\":{\"label\": \"\",\"unit\":\"次/s\",\"unit_type\":\"NPS\",\"chart_type\":\"line\",\"axis_index\": 0}}',
        '{\"group\":\"node_name\"}', 'elasticsearch', 12, ''),
       (287, 'system_addon_kafka_heap_used', '堆内存使用', 'addon_java_memory',
        '{\"avg.HeapMemoryUsage_used\":{\"label\": \"堆内存使用\", \"unit\": \"B\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0}}',
        '{\"group\":\"jolokia_host\"}', 'kafka', 1, ''),
       (288, 'system_addon_kafka_non_heap_used', '非堆内存使用', 'addon_java_memory',
        '{\"avg.NonHeapMemoryUsage_used\":{\"label\": \"非堆内存使用\", \"unit\": \"B\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0}}',
        '{\"group\":\"jolokia_host\"}', 'kafka', 2, ''),
       (289, 'system_addon_kafka_gc', '老年代GC次数', 'addon_java_garbagecollector',
        '{\"diffps.CollectionCount\":{\"label\": \"\",\"unit\":\"次/s\",\"unit_type\":\"NPS\",\"chart_type\":\"line\",\"axis_index\": 0}}',
        '{\"group\":\"jolokia_host\", \"match_name\": \"*Old*\"}', 'kafka', 3, ''),
       (290, 'system_addon_kafka_old_gc_time', '老年代GC累计耗时', 'addon_java_garbagecollector',
        '{\"max.CollectionTime\":{ \"label\":\"GC累计耗时\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"line\", \"axis_index\": 0 }}',
        '{\"group\":\"jolokia_host\", \"match_name\": \"*Old*\"}', 'kafka', 4, 'ms'),
       (291, 'system_addon_kafka_lag', 'Topic消费堆积', 'kafka_consumer',
        '{\"avg.topic\":{ \"label\":\"消息堆积数\", \"unit\": \"\", \"unit_type\": \"\", \"chart_type\": \"line\", \"axis_index\": 0 }}',
        '{\"group\":\"((doc%5B\"tags.topic\"%5D.value%20%2B\"%2F\"%2Bdoc%5B\"tags.group\"%5D.value))\"}', 'kafka', 5,
        ''),
       (292, 'system_addon_kafka_produce_rate', 'Topic生产速度', 'kafka_consumer',
        '{\"avg.produce_rate_per_sec\":{ \"label\":\"生产速度\", \"unit\": \"/s\", \"unit_type\": \"\", \"chart_type\": \"line\", \"axis_index\": 0 }}',
        '{\"group\":\"topic\"}', 'kafka', 6, ''),
       (293, 'system_addon_kafka_consume_rate', 'Topic消费速度', 'kafka_consumer',
        '{\"avg.consume_rate_per_sec\":{ \"label\":\"消费速度\", \"unit\": \"/s\", \"unit_type\": \"\", \"chart_type\": \"line\", \"axis_index\": 0 }}',
        '{\"group\":\"((doc%5B\"tags.topic\"%5D.value%20%2B\"%2F\"%2Bdoc%5B\"tags.group\"%5D.value))\"}', 'kafka', 7,
        ''),
       (294, 'system_addon_cassandra_heap_used', '堆内存使用', 'addon_java_memory',
        '{\"avg.HeapMemoryUsage_used\":{\"label\": \"堆内存使用\", \"unit\": \"B\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0}}',
        '{\"group\":\"jolokia_host\"}', 'cassandra', 1, ''),
       (295, 'system_addon_cassandra_non_heap_used', '非堆内存使用', 'addon_java_memory',
        '{\"avg.NonHeapMemoryUsage_used\":{\"label\": \"非堆内存使用\", \"unit\": \"B\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0}}',
        '{\"group\":\"jolokia_host\"}', 'cassandra', 2, ''),
       (296, 'system_addon_cassandra_gc', '老年代GC次数', 'addon_java_garbagecollector',
        '{\"diffps.CollectionCount\":{\"label\": \"\",\"unit\":\"次/s\",\"unit_type\":\"NPS\",\"chart_type\":\"line\",\"axis_index\": 0}}',
        '{\"group\":\"jolokia_host\", \"match_name\": \"*Old*\"}', 'cassandra', 3, ''),
       (297, 'system_addon_cassandra_old_gc_time', '老年代GC累计耗时', 'addon_java_garbagecollector',
        '{\"max.CollectionTime\":{ \"label\":\"GC累计耗时\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"line\", \"axis_index\": 0 }}',
        '{\"group\":\"jolokia_host\", \"match_name\": \"*Old*\"}', 'cassandra', 4, 'ms'),
       (298, 'system_etcd_resident_memory', '常驻内存', 'etcd',
        '{\"avg.process_resident_memory_bytes\":{\"label\": \"\",\"unit\": \"B\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0}}',
        '{\"group\":\"url_host\"}', 'etcd', 1, ''),
       (299, 'system_etcd_virtual_memory', '虚拟内存', 'etcd',
        '{\"avg.process_virtual_memory_bytes\":{\"label\": \"\",\"unit\": \"B\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0}}',
        '{\"group\":\"url_host\"}', 'etcd', 2, ''),
       (300, 'system_etcd_process_open_fds', '打开的文件数', 'etcd',
        '{\"max.process_open_fds\":{\"label\": \"\",\"unit\": \"\", \"unit_type\": \"count\", \"chart_type\": \"line\", \"axis_index\": 0}}',
        '{\"group\":\"url_host\"}', 'etcd', 3, ''),
       (301, 'system_etcd_http_request_size_total', 'HTTP QPS', 'etcd',
        '{\"uprate.count\":{\"label\": \"\",\"unit\": \"\", \"unit_type\": \"count\", \"chart_type\": \"line\", \"axis_index\": 0}}',
        '{\"group\":\"url_host\",\"filter_prom_metric\":\"http_request_size_bytes\",\"filter_prom_metric_type\":\"summary\"}',
        'etcd', 4, ''),
       (302, 'system_etcd_http_request_size', 'HTTP累计请求大小', 'etcd',
        '{\"max.sum\":{\"label\": \"\",\"unit\": \"B\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0}}',
        '{\"group\":\"url_host\",\"filter_prom_metric\":\"http_request_size_bytes\",\"filter_prom_metric_type\":\"summary\"}',
        'etcd', 5, ''),
       (303, 'system_etcd_response_size', 'HTTP累计响应大小', 'etcd',
        '{\"max.sum\":{\"label\": \"\",\"unit\": \"B\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0}}',
        '{\"group\":\"url_host\",\"filter_prom_metric\":\"http_response_size_bytes\",\"filter_prom_metric_type\":\"summary\"}',
        'etcd', 6, ''),
       (304, 'system_etcd_grpc_server_started_total', 'GRPC接收请求数', 'etcd',
        '{\"max.grpc_server_started_total\":{\"label\": \"\",\"unit\": \"\", \"unit_type\": \"count\", \"chart_type\": \"line\", \"axis_index\": 0}}',
        '{\"group\":\"(doc[\'tags.url_host\'].value + \'/\' + doc[\'tags.grpc_method\'].value)\"}', 'etcd', 7, ''),
       (305, 'system_etcd_grpc_server_handled_total', 'GRPC完成请求数', 'etcd',
        '{\"max.grpc_server_handled_total\":{\"label\": \"\",\"unit\": \"\", \"unit_type\": \"count\", \"chart_type\": \"line\", \"axis_index\": 0}}',
        '{\"group\":\"(doc[\'tags.url_host\'].value + \'/\' + doc[\'tags.grpc_method\'].value)\"}', 'etcd', 8, ''),
       (306, 'system_etcd_grpc_server_msg_received_total', 'GRPC接收消息数', 'etcd',
        '{\"max.grpc_server_msg_received_total\":{\"label\": \"\",\"unit\": \"\", \"unit_type\": \"count\", \"chart_type\": \"line\", \"axis_index\": 0}}',
        '{\"group\":\"(doc[\'tags.url_host\'].value + \'/\' + doc[\'tags.grpc_method\'].value)\"}', 'etcd', 10, ''),
       (307, 'system_etcd_grpc_server_msg_sent_total', 'GRPC发送消息数', 'etcd',
        '{\"max.grpc_server_msg_sent_total\":{\"label\": \"\",\"unit\": \"\", \"unit_type\": \"count\", \"chart_type\": \"line\", \"axis_index\": 0}}',
        '{\"group\":\"(doc[\'tags.url_host\'].value + \'/\' + doc[\'tags.grpc_method\'].value)\"}', 'etcd', 11, '');

CREATE TABLE `sp_alert`
(
    `id`             int(11) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键',
    `name`           varchar(255)  NOT NULL DEFAULT '' COMMENT '告警名称',
    `alert_scope`    varchar(255)  NOT NULL DEFAULT 'micro_service' COMMENT '告警所在的组织域，包含org、project和app',
    `alert_scope_id` varchar(255)  NOT NULL DEFAULT '' COMMENT '告警范围id',
    `alert_type`     varchar(64)   NOT NULL DEFAULT '' COMMENT '告警类型',
    `attributes`     varchar(2048) NOT NULL DEFAULT '' COMMENT '告警扩展信息',
    `enable`         int(1) NOT NULL DEFAULT '1' COMMENT '告警开关',
    `created`        timestamp     NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '告警创建时间',
    `updated`        timestamp     NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '告警更新时间',
    PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='监控告警策略记录表';

CREATE TABLE `sp_alert_expression`
(
    `id`         int(11) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键',
    `alert_id`   int(11) NOT NULL COMMENT '告警外键ID',
    `attributes` varchar(2048) NOT NULL DEFAULT '' COMMENT '告警规则扩展信息',
    `expression` varchar(4096) NOT NULL DEFAULT '' COMMENT '告警规则表达式',
    `version`    varchar(64)   NOT NULL DEFAULT '1.0' COMMENT '告警规则版本',
    `enable`     int(1) NOT NULL DEFAULT '1' COMMENT '告警规则开关',
    `created`    datetime      NOT NULL COMMENT '告警规则创建时间',
    `updated`    datetime      NOT NULL COMMENT '告警规则更新时间',
    PRIMARY KEY (`id`),
    KEY          `INDEX_ALERT_ID` (`alert_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='监控告警策略中记录表达式的表,monitor和analyzer都会使用';

CREATE TABLE `sp_alert_notify`
(
    `id`               int(11) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键',
    `alert_id`         int(11) NOT NULL COMMENT '告警外键ID',
    `notify_key`       varchar(128)  NOT NULL COMMENT '告警属性key',
    `notify_target`    varchar(1024) NOT NULL COMMENT '通知信息JSON',
    `notify_target_id` varchar(1024)          DEFAULT NULL COMMENT '通知地址 已废弃',
    `silence`          int(11) NOT NULL DEFAULT '1800000' COMMENT '静默时间，单位ms',
    `silence_policy`   varchar(128)  NOT NULL DEFAULT 'fixed' COMMENT '静默时间策略',
    `enable`           int(1) NOT NULL DEFAULT '1' COMMENT '通知开关',
    `created`          datetime      NOT NULL COMMENT '通知创建时间',
    `updated`          datetime      NOT NULL COMMENT '通知更新时间',
    PRIMARY KEY (`id`),
    KEY                `INDEX_NOTIFY_KEY` (`notify_key`),
    KEY                `INDEX_ALERT_ID` (`alert_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='监控告警策略中记录通知对象的表,monitor和analyzer-alert都会使';

CREATE TABLE `sp_chart_profile`
(
    `id`              bigint(20) NOT NULL AUTO_INCREMENT,
    `created_at`      datetime     NOT NULL,
    `updated_at`      datetime              DEFAULT NULL,
    `unique_id`       varchar(125)          DEFAULT NULL,
    `layout`          text,
    `drawer_info_map` text,
    `url_config`      text,
    `name`            varchar(125) NOT NULL,
    `category`        varchar(125) NOT NULL,
    `cluster_name`    varchar(125)          DEFAULT '',
    `organization`    varchar(125)          DEFAULT '',
    `editable`        tinyint(1) unsigned DEFAULT '0',
    `deletable`       tinyint(1) DEFAULT '0',
    `cluster_level`   tinyint(1) DEFAULT '0',
    `cluster_type`    varchar(20)  NOT NULL DEFAULT '',
    PRIMARY KEY (`id`),
    UNIQUE KEY `unique_id` (`unique_id`,`organization`,`cluster_name`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=100 DEFAULT CHARSET=utf8mb4 COMMENT='告警消息跳转的页面配置';


INSERT INTO `sp_chart_profile` (`id`, `created_at`, `updated_at`, `unique_id`, `layout`, `drawer_info_map`,
                                `url_config`, `name`, `category`, `cluster_name`, `organization`, `editable`,
                                `deletable`, `cluster_level`, `cluster_type`)
VALUES (1, '2019-01-25 14:12:53', '2019-02-26 15:31:21', 'haproxy',
        '[{\"w\":12,\"h\":9,\"x\":0,\"y\":0,\"i\":\"chart-21243f4d\",\"moved\":false,\"static\":false},{\"w\":12,\"h\":9,\"x\":0,\"y\":9,\"i\":\"chart-22d39691\",\"moved\":false,\"static\":false},{\"w\":12,\"h\":9,\"x\":0,\"y\":18,\"i\":\"chart-c9362df9\",\"moved\":false,\"static\":false},{\"w\":12,\"h\":9,\"x\":0,\"y\":27,\"i\":\"chart-a1234e6e\",\"moved\":false,\"static\":false}]',
        '{\"chart-21243f4d\":{\"chartType\":\"line\",\"name\":\"haproxy_status\",\"paneldata#url\":\"/api/spot/metrics/charts/haproxy/histogram?start=before_1h&end=now&points=60&filter_pxname=marathon_http_in&uprate=hrsp_1xx&uprate=hrsp_2xx&uprate=hrsp_3xx&uprate=hrsp_4xx&uprate=hrsp_5xx&uprate=hrsp_other&format=flat_chart\",\"panelsetting#title#show\":true,\"panelsetting#legend#show\":true,\"panelsetting#legend#data\":\"[\\\"hrsp_1xx\\\",\\\"hrsp_2xx\\\",\\\"hrsp_3xx\\\",\\\"hrsp_4xx\\\",\\\"hrsp_5xx\\\",\\\"hrsp_other\\\"]\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    datas = datas.map(v => {\\n        let idx = v.name.indexOf(\\\".\\\");\\n        if(idx>=0)\\n            v.name = v.name.substr(idx+1);\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\",\"panelsetting#title#text\":\"总请求状态码统计\",\"panelsetting#legend#bottom\":\"0\",\"panelsetting#yAxis#name\":\"次数/s\"},\"chart-22d39691\":{\"chartType\":\"line\",\"name\":\"haproxy_conn_rate\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"总连接数趋势\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"[\\\"连接频率\\\"]\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#name\":\"个数/s\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"paneldata#url\":\"/api/spot/metrics/charts/haproxy/histogram?start=before_1h&end=now&points=60&filter_pxname=marathon_http_in&avg=conn_rate&format=flat_chart\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    let map = {\\\"avg.conn_rate\\\":\\\"连接频率\\\"};\\n    datas = datas.map(v => {\\n        if (!!map[v.name]) v.name = map[v.name];\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\"},\"chart-c9362df9\":{\"chartType\":\"line\",\"name\":\"haproxy_req_rate\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"总请求量趋势\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"[\\\"请求速率\\\"]\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#name\":\"次数/s\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"paneldata#url\":\"/api/spot/metrics/charts/haproxy/histogram?start=before_1h&end=now&points=60&filter_pxname=marathon_http_in&avg=req_rate&format=flat_chart\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    let map = {\\\"avg.req_rate\\\":\\\"请求速率\\\"};\\n    datas = datas.map(v => {\\n        if (!!map[v.name]) {\\n            v.name = map[v.name];\\n        }\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\"},\"chart-a1234e6e\":{\"chartType\":\"line\",\"name\":\"haproxy_net_io\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"总网络IO\",\"panelsetting#title#top\":\"\",\"panelsetting#title#left\":\"\",\"panelsetting#title#right\":\"\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"[\\\"输入速度\\\",\\\"输出速度\\\"]\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#axisLabel#formatter\":\"function(value){\\n    var units=[\\\"B\\\",\\\"KB\\\",\\\"MB\\\",\\\"GB\\\",\\\"TB\\\",\\\"PB\\\",\\\"EB\\\",\\\"ZB\\\",\\\"YB\\\",\\\"BB\\\",\\\"NB\\\",\\\"DB\\\"], unit=\\\"B\\\";\\n    for(var i=0;value>=1024;i++) {\\n        value = value/1024;\\n        unit = units[i+1];\\n    }\\n    return value.toFixed(2)+\\\" \\\"+unit;\\n}\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"paneldata#url\":\"/api/spot/metrics/charts/haproxy/histogram?start=before_1h&end=now&points=60&filter_pxname=marathon_http_in&uprate=bin&uprate=bout&format=flat_chart\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    let map = {\\\"uprate.bin\\\":\\\"输入速度\\\", \\\"uprate.bout\\\":\\\"输出速度\\\"};\\n    datas = datas.map(v => {\\n        if (!!map[v.name]) v.name = map[v.name];\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\"}}',
        '{\"chartGroupName\":\"Haproxy\",\"chart-21243f4d\":{\"filterTagsKeys\":[[\"filterTagKey1\",\"filterTagValue1\"]],\"excludeTagsKeys\":[],\"aggregatorKeys\":[[\"aggregator1\",\"aggregatorType1\",\"aggregatorField1\",\"aggregatorScript1\"],[\"aggregator2\",\"aggregatorType2\",\"aggregatorField2\",\"aggregatorScript2\"],[\"aggregator3\",\"aggregatorType3\",\"aggregatorField3\",\"aggregatorScript3\"],[\"aggregator4\",\"aggregatorType4\",\"aggregatorField4\",\"aggregatorScript4\"],[\"aggregator5\",\"aggregatorType5\",\"aggregatorField5\",\"aggregatorScript5\"],[\"aggregator6\",\"aggregatorType6\",\"aggregatorField6\",\"aggregatorScript6\"]],\"tagGroupKeys\":[],\"searchType\":\"histogram\",\"extraFieldKeys\":[],\"points\":60,\"start\":\"before_1h\",\"end\":\"now\",\"configType\":\"form\",\"metric\":\"haproxy\",\"filterTagKey1\":\"pxname\",\"filterTagValue1\":\"marathon_http_in\",\"aggregatorType1\":\"field\",\"aggregator1\":\"uprate\",\"aggregatorField1\":\"hrsp_1xx\",\"aggregatorType2\":\"field\",\"aggregator2\":\"uprate\",\"aggregatorField2\":\"hrsp_2xx\",\"aggregatorType3\":\"field\",\"aggregator3\":\"uprate\",\"aggregatorField3\":\"hrsp_3xx\",\"aggregatorType4\":\"field\",\"aggregator4\":\"uprate\",\"aggregatorField4\":\"hrsp_4xx\",\"aggregatorType5\":\"field\",\"aggregator5\":\"uprate\",\"aggregatorField5\":\"hrsp_5xx\",\"aggregatorType6\":\"field\",\"aggregator6\":\"uprate\",\"aggregatorField6\":\"hrsp_other\"},\"chart-22d39691\":{\"metric\":\"haproxy\",\"searchType\":\"histogram\",\"filterTagsKeys\":[[\"filterTagKey1\",\"filterTagValue1\"]],\"excludeTagsKeys\":[],\"aggregatorKeys\":[[\"aggregator1\",\"aggregatorType1\",\"aggregatorField1\",\"aggregatorScript1\"]],\"tagGroupKeys\":[],\"extraFieldKeys\":[],\"points\":60,\"start\":\"before_1h\",\"end\":\"now\",\"configType\":\"form\",\"filterTagKey1\":\"pxname\",\"filterTagValue1\":\"marathon_http_in\",\"aggregatorType1\":\"field\",\"aggregator1\":\"avg\",\"aggregatorField1\":\"conn_rate\"},\"chart-c9362df9\":{\"metric\":\"haproxy\",\"searchType\":\"histogram\",\"filterTagsKeys\":[[\"filterTagKey1\",\"filterTagValue1\"]],\"excludeTagsKeys\":[],\"aggregatorKeys\":[[\"aggregator1\",\"aggregatorType1\",\"aggregatorField1\",\"aggregatorScript1\"]],\"tagGroupKeys\":[],\"extraFieldKeys\":[],\"points\":60,\"start\":\"before_1h\",\"end\":\"now\",\"configType\":\"form\",\"filterTagKey1\":\"pxname\",\"filterTagValue1\":\"marathon_http_in\",\"aggregatorType1\":\"field\",\"aggregator1\":\"avg\",\"aggregatorField1\":\"req_rate\"},\"chart-a1234e6e\":{\"metric\":\"haproxy\",\"searchType\":\"histogram\",\"filterTagsKeys\":[[\"filterTagKey1\",\"filterTagValue1\"]],\"excludeTagsKeys\":[],\"aggregatorKeys\":[[\"aggregator1\",\"aggregatorType1\",\"aggregatorField1\",\"aggregatorScript1\"],[\"aggregator2\",\"aggregatorType2\",\"aggregatorField2\",\"aggregatorScript2\"]],\"tagGroupKeys\":[],\"extraFieldKeys\":[],\"points\":60,\"start\":\"before_1h\",\"end\":\"now\",\"configType\":\"form\",\"filterTagKey1\":\"pxname\",\"filterTagValue1\":\"marathon_http_in\",\"aggregatorType1\":\"field\",\"aggregator1\":\"uprate\",\"aggregatorField1\":\"bin\",\"aggregatorType2\":\"field\",\"aggregator2\":\"uprate\",\"aggregatorField2\":\"bout\"}}',
        'Haproxy', 'platform', '', '', 1, 0, 0, 'dcos'),
       (2, '2019-01-28 16:06:38', '2019-02-26 15:43:05', 'mysql',
        '[{\"w\":6,\"h\":9,\"x\":0,\"y\":0,\"i\":\"chart-72ac6b54\",\"moved\":false,\"static\":false},{\"w\":6,\"h\":9,\"x\":6,\"y\":0,\"i\":\"chart-82b7e595\",\"moved\":false,\"static\":false},{\"w\":6,\"h\":9,\"x\":0,\"y\":9,\"i\":\"chart-396649b8\",\"moved\":false,\"static\":false},{\"w\":6,\"h\":9,\"x\":6,\"y\":9,\"i\":\"chart-8480e6dc\",\"moved\":false,\"static\":false},{\"w\":12,\"h\":9,\"x\":0,\"y\":18,\"i\":\"chart-e93df521\",\"moved\":false,\"static\":false},{\"w\":6,\"h\":9,\"x\":0,\"y\":36,\"i\":\"chart-31eb0594\",\"moved\":false,\"static\":false},{\"w\":12,\"h\":9,\"x\":0,\"y\":54,\"i\":\"chart-4cefde59\",\"moved\":false,\"static\":false},{\"w\":12,\"h\":9,\"x\":0,\"y\":27,\"i\":\"chart-81effac4\",\"moved\":false,\"static\":false},{\"w\":6,\"h\":9,\"x\":6,\"y\":36,\"i\":\"chart-85a687ef\",\"moved\":false,\"static\":false},{\"w\":6,\"h\":9,\"x\":0,\"y\":45,\"i\":\"chart-9131f2ab\",\"moved\":false,\"static\":false},{\"w\":6,\"h\":9,\"x\":6,\"y\":45,\"i\":\"chart-7758eb3d\",\"moved\":false,\"static\":false},{\"w\":12,\"h\":9,\"x\":0,\"y\":63,\"i\":\"chart-d7676889\",\"moved\":false,\"static\":false}]',
        '{\"chart-72ac6b54\":{\"name\":\"mysql_connected\",\"chartType\":\"line\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"连接数统计\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#name\":\"个数\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"paneldata#url\":\"/api/spot/metrics/charts/mysql/histogram?end=now&filter_cluster_name=terminus-dev&filter_component_name=platform&format=flat_chart&group=server&limit=20&max=threads_connected&points=60&sort=count&start=before_1h\",\"paneldata#dataConvertor\":\"\"},\"chart-82b7e595\":{\"name\":\"mysql_slow_queries\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"慢查询统计\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#name\":\"次/s\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/mysql/histogram?diffps=slow_queries&end=now&filter_cluster_name=terminus-dev&filter_component_name=platform&format=flat_chart&group=server&limit=20&points=60&sort=count&start=before_1h\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    datas = datas.map(v => {\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\"},\"chart-396649b8\":{\"name\":\"mysql_qps\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"QPS\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#name\":\"次/s\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/mysql/histogram?diffps=%28com_delete%2Bcom_insert%2Bcom_select%2Bcom_update%29&end=now&filter_cluster_name=terminus-dev&filter_component_name=platform&format=flat_chart&group=server&limit=20&points=60&sort=count&start=before_1h\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    datas = datas.map(v => {\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\"},\"chart-8480e6dc\":{\"name\":\"mysql_tps\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"TPS\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#name\":\"次/s\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/mysql/histogram?diffps=%28com_commit%2Bcom_rollback%29&end=now&filter_cluster_name=terminus-dev&filter_component_name=platform&format=flat_chart&group=server&limit=20&points=60&sort=count&start=before_1h\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    datas = datas.map(v => {\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\"},\"chart-e93df521\":{\"name\":\"mysql_bytes_received\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"网络接收量\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#axisLabel#formatter\":\"function(value){\\n    var units=[\\\"B/s\\\",\\\"KB/s\\\",\\\"MB/s\\\",\\\"GB/s\\\",\\\"TB/s\\\",\\\"PB/s\\\",\\\"EB/s\\\",\\\"ZB/s\\\",\\\"YB/s\\\",\\\"BB/s\\\",\\\"NB/s\\\",\\\"DB/s\\\"], unit=\\\"B/s\\\";\\n    var nag = \\\"\\\";\\n    if(value<0) {\\n        nag = \\\"-\\\";\\n        value = -value;\\n    }\\n    for(var i=0;value>=1024;i++) {\\n        value = value/1024;\\n        unit = units[i+1];\\n    }\\n    return nag + value.toFixed(2)+\\\" \\\"+unit;\\n}\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/mysql/histogram?diffps=bytes_received&end=now&filter_cluster_name=terminus-dev&filter_component_name=platform&format=flat_chart&group=server&limit=20&points=60&sort=count&start=before_1h\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    datas = datas.map(v => {\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\"},\"chart-31eb0594\":{\"name\":\"mysql_innodb_rows_deleted\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"INNODB删除行数量\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#name\":\"行/s\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/mysql/histogram?diffps=innodb_rows_deleted&end=now&filter_cluster_name=terminus-dev&filter_component_name=platform&format=flat_chart&group=server&limit=20&points=60&sort=count&start=before_1h\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    datas = datas.map(v => {\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\"},\"chart-4cefde59\":{\"name\":\"mysql_innodb_data_read\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"INNODB读速度\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#axisLabel#formatter\":\"function(value){\\n    var units=[\\\"B/s\\\",\\\"KB/s\\\",\\\"MB/s\\\",\\\"GB/s\\\",\\\"TB/s\\\",\\\"PB/s\\\",\\\"EB/s\\\",\\\"ZB/s\\\",\\\"YB/s\\\",\\\"BB/s\\\",\\\"NB/s\\\",\\\"DB/s\\\"], unit=\\\"B/s\\\";\\n    var nag = \\\"\\\";\\n    if(value<0) {\\n        nag = \\\"-\\\";\\n        value = -value;\\n    }\\n    for(var i=0;value>=1024;i++) {\\n        value = value/1024;\\n        unit = units[i+1];\\n    }\\n    return nag + value.toFixed(2)+\\\" \\\"+unit;\\n}\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/mysql/histogram?diffps=innodb_data_read&end=now&filter_cluster_name=terminus-dev&filter_component_name=platform&format=flat_chart&group=server&limit=20&points=60&sort=count&start=before_1h\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    datas = datas.map(v => {\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\"},\"chart-81effac4\":{\"name\":\"mysql_bytes_sent\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"网络发送量\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#axisLabel#formatter\":\"function(value){\\n    var units=[\\\"B/s\\\",\\\"KB/s\\\",\\\"MB/s\\\",\\\"GB/s\\\",\\\"TB/s\\\",\\\"PB/s\\\",\\\"EB/s\\\",\\\"ZB/s\\\",\\\"YB/s\\\",\\\"BB/s\\\",\\\"NB/s\\\",\\\"DB/s\\\"], unit=\\\"B/s\\\";\\n    var nag = \\\"\\\";\\n    if(value<0) {\\n        nag = \\\"-\\\";\\n        value = -value;\\n    }\\n    for(var i=0;value>=1024;i++) {\\n        value = value/1024;\\n        unit = units[i+1];\\n    }\\n    return nag + value.toFixed(2)+\\\" \\\"+unit;\\n}\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/mysql/histogram?diffps=bytes_sent&end=now&filter_cluster_name=terminus-dev&filter_component_name=platform&format=flat_chart&group=server&limit=20&points=60&sort=count&start=before_1h\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    datas = datas.map(v => {\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\"},\"chart-85a687ef\":{\"name\":\"mysql_innodb_rows_inserted\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"INNODB插入行数量\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#name\":\"行/s\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/mysql/histogram?diffps=innodb_rows_inserted&end=now&filter_cluster_name=terminus-dev&filter_component_name=platform&format=flat_chart&group=server&limit=20&points=60&sort=count&start=before_1h\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    datas = datas.map(v => {\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\"},\"chart-9131f2ab\":{\"name\":\"mysql_innodb_rows_updated\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"INNODB更新行数量\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#name\":\"行/s\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/mysql/histogram?diffps=innodb_rows_updated&end=now&filter_cluster_name=terminus-dev&filter_component_name=platform&format=flat_chart&group=server&limit=20&points=60&sort=count&start=before_1h\"},\"chart-7758eb3d\":{\"name\":\"mysql_innodb_rows_read\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"INNODB读取行数量\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#name\":\"行/s\",\"panelsetting#yAxis#axisLabel#formatter\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    datas = datas.map(v => {\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/mysql/histogram?diffps=innodb_rows_read&end=now&filter_cluster_name=terminus-dev&filter_component_name=platform&format=flat_chart&group=server&limit=20&points=60&sort=count&start=before_1h\"},\"chart-d7676889\":{\"name\":\"mysql_innodb_data_written\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"INNODB写速度\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#axisLabel#formatter\":\"function(value){\\n    var units=[\\\"B/s\\\",\\\"KB/s\\\",\\\"MB/s\\\",\\\"GB/s\\\",\\\"TB/s\\\",\\\"PB/s\\\",\\\"EB/s\\\",\\\"ZB/s\\\",\\\"YB/s\\\",\\\"BB/s\\\",\\\"NB/s\\\",\\\"DB/s\\\"], unit=\\\"B/s\\\";\\n    var nag = \\\"\\\";\\n    if(value<0) {\\n        nag = \\\"-\\\";\\n        value = -value;\\n    }\\n    for(var i=0;value>=1024;i++) {\\n        value = value/1024;\\n        unit = units[i+1];\\n    }\\n    return nag + value.toFixed(2)+\\\" \\\"+unit;\\n}\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/mysql/histogram?diffps=innodb_data_written&end=now&filter_cluster_name=terminus-dev&filter_component_name=platform&format=flat_chart&group=server&limit=20&points=60&sort=count&start=before_1h\"}}',
        '{\"chart-72ac6b54\":{\"metric\":\"mysql\",\"searchType\":\"histogram\",\"configType\":\"form\",\"start\":\"before_1h\",\"end\":\"now\",\"points\":\"60\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"group1\":\"server\",\"sort1\":\"count\",\"limit1\":20,\"aggregator1\":\"max\",\"aggregatorType1\":\"field\",\"aggregatorField1\":\"threads_connected\"},\"chart-82b7e595\":{\"metric\":\"mysql\",\"searchType\":\"histogram\",\"configType\":\"form\",\"start\":\"before_1h\",\"end\":\"now\",\"points\":\"60\",\"group1\":\"server\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"aggregator1\":\"diffps\",\"aggregatorType1\":\"field\",\"aggregatorField1\":\"slow_queries\"},\"chart-396649b8\":{\"metric\":\"mysql\",\"searchType\":\"histogram\",\"configType\":\"form\",\"start\":\"before_1h\",\"end\":\"now\",\"points\":\"60\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"group1\":\"server\",\"aggregator1\":\"diffps\",\"aggregatorType1\":\"script\",\"aggregatorScript1\":\"com_delete+com_insert+com_select+com_update\"},\"chart-8480e6dc\":{\"metric\":\"mysql\",\"searchType\":\"histogram\",\"configType\":\"form\",\"start\":\"before_1h\",\"end\":\"now\",\"points\":\"60\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"group1\":\"server\",\"aggregator1\":\"diffps\",\"aggregatorType1\":\"script\",\"aggregatorScript1\":\"com_commit+com_rollback\"},\"chart-e93df521\":{\"metric\":\"mysql\",\"searchType\":\"histogram\",\"configType\":\"form\",\"start\":\"before_1h\",\"end\":\"now\",\"points\":\"60\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"group1\":\"server\",\"aggregator1\":\"diffps\",\"aggregatorType1\":\"field\",\"aggregatorField1\":\"bytes_received\"},\"chart-31eb0594\":{\"metric\":\"mysql\",\"searchType\":\"histogram\",\"configType\":\"form\",\"start\":\"before_1h\",\"end\":\"now\",\"points\":\"60\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"group1\":\"server\",\"aggregator1\":\"diffps\",\"aggregatorType1\":\"field\",\"aggregatorField1\":\"innodb_rows_deleted\"},\"chart-4cefde59\":{\"configType\":\"form\",\"start\":\"before_1h\",\"end\":\"now\",\"metric\":\"mysql\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"group1\":\"server\",\"aggregator1\":\"diffps\",\"aggregatorType1\":\"field\",\"aggregatorField1\":\"innodb_data_read\",\"searchType\":\"histogram\",\"points\":\"60\"},\"chart-81effac4\":{\"configType\":\"form\",\"start\":\"before_1h\",\"end\":\"now\",\"metric\":\"mysql\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"group1\":\"server\",\"aggregator1\":\"diffps\",\"aggregatorType1\":\"field\",\"aggregatorField1\":\"bytes_sent\",\"searchType\":\"histogram\",\"points\":\"60\"},\"chart-85a687ef\":{\"metric\":\"mysql\",\"searchType\":\"histogram\",\"configType\":\"form\",\"start\":\"before_1h\",\"end\":\"now\",\"points\":\"60\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"group1\":\"server\",\"aggregator1\":\"diffps\",\"aggregatorType1\":\"field\",\"aggregatorField1\":\"innodb_rows_inserted\"},\"chart-9131f2ab\":{\"configType\":\"form\",\"start\":\"before_1h\",\"end\":\"now\",\"metric\":\"mysql\",\"searchType\":\"histogram\",\"points\":\"60\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"group1\":\"server\",\"aggregator1\":\"diffps\",\"aggregatorType1\":\"field\",\"aggregatorField1\":\"innodb_rows_updated\"},\"chart-7758eb3d\":{\"configType\":\"form\",\"start\":\"before_1h\",\"end\":\"now\",\"metric\":\"mysql\",\"searchType\":\"histogram\",\"points\":\"60\",\"group1\":\"server\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"aggregator1\":\"diffps\",\"aggregatorType1\":\"field\",\"aggregatorField1\":\"innodb_rows_read\"},\"chart-d7676889\":{\"configType\":\"form\",\"start\":\"before_1h\",\"end\":\"now\",\"metric\":\"mysql\",\"searchType\":\"histogram\",\"points\":\"60\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"group1\":\"server\",\"aggregator1\":\"diffps\",\"aggregatorType1\":\"field\",\"aggregatorField1\":\"innodb_data_written\"}}',
        'MySQL', 'platform', '', '', 1, 0, 1, ''),
       (3, '2019-01-28 16:22:55', '2019-03-04 15:41:13', 'netdisk',
        '[{\"w\":12,\"h\":9,\"x\":0,\"y\":0,\"i\":\"chart-2d88edd5\",\"moved\":false,\"static\":false},{\"w\":12,\"h\":9,\"x\":0,\"y\":9,\"i\":\"chart-76bac597\",\"moved\":false,\"static\":false},{\"w\":12,\"h\":9,\"x\":0,\"y\":18,\"i\":\"chart-0e42f27d\",\"moved\":false,\"static\":false}]',
        '{\"chart-2d88edd5\":{\"name\":\"netdisk_used_percent\",\"chartType\":\"line\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"网盘使用率\",\"panelsetting#legend#show\":true,\"panelsetting#legend#data\":\"[\\\"使用百分比\\\"]\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"paneldata#url\":\"/api/spot/metrics/charts/disk/histogram?start=before_1h&end=now&points=60&filter_component_name=platform&avg=used_percent&format=flat_chart\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    let map = {\\\"avg.used_percent\\\":\\\"使用百分比\\\"};\\n    datas = datas.map(v => {\\n        if (!!map[v.name]) v.name = map[v.name];\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\",\"panelsetting#legend#bottom\":\"0\",\"panelsetting#yAxis#name\":\"百分比\",\"panelsetting#yAxis#axisLabel#formatter\":\"function(value){\\n    return value.toFixed(2)+\\\" %\\\";\\n}\"},\"chart-76bac597\":{\"name\":\"netdisk_used\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"网盘使用量\",\"panelsetting#legend#show\":false,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"[\\\"使用量\\\"]\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#axisLabel#formatter\":\"function(value){\\n    var units=[\\\"B\\\",\\\"KB\\\",\\\"MB\\\",\\\"GB\\\",\\\"TB\\\",\\\"PB\\\",\\\"EB\\\",\\\"ZB\\\",\\\"YB\\\",\\\"BB\\\",\\\"NB\\\",\\\"DB\\\"], unit=\\\"B\\\";\\n    for(var i=0;value>=1024;i++) {\\n        value = value/1024;\\n        unit = units[i+1];\\n    }\\n    return value.toFixed(2)+\\\" \\\"+unit;\\n}\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/disk/histogram?start=before_1h&end=now&points=60&filter_component_name=platform&avg=used&format=flat_chart\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    let map = {\\\"avg.used\\\":\\\"使用量\\\"};\\n    datas = datas.map(v => {\\n        if (!!map[v.name]) v.name = map[v.name];\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\"},\"chart-0e42f27d\":{\"name\":\"netdisk_uprate\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"增长率\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"[\\\"增长量/秒\\\"]\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#axisLabel#formatter\":\"function(value){\\n    var units=[\\\"B/s\\\",\\\"KB/s\\\",\\\"MB/s\\\",\\\"GB/s\\\",\\\"TB/s\\\",\\\"PB/s\\\",\\\"EB/s\\\",\\\"ZB/s\\\",\\\"YB/s\\\",\\\"BB/s\\\",\\\"NB/s\\\",\\\"DB/s\\\"], unit=\\\"B/s\\\";\\n    var nag = \\\"\\\";\\n    if(value<0) {\\n        nag = \\\"-\\\";\\n        value = -value;\\n    }\\n    for(var i=0;value>=1024;i++) {\\n        value = value/1024;\\n        unit = units[i+1];\\n    }\\n    return nag + value.toFixed(2)+\\\" \\\"+unit;\\n}\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/disk/histogram?start=before_1h&end=now&points=60&filter_component_name=platform&diffps=used&format=flat_chart\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    let map = {\\\"diffps.used\\\":\\\"增长量/秒\\\"};\\n    datas = datas.map(v => {\\n        if (!!map[v.name]) v.name = map[v.name];\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\"}}',
        '{\"chartGroupName\":\"网盘\",\"chart-2d88edd5\":{\"filterTagsKeys\":[[\"filterTagKey1\",\"filterTagValue1\"]],\"excludeTagsKeys\":[],\"aggregatorKeys\":[[\"aggregator1\",\"aggregatorType1\",\"aggregatorField1\",\"aggregatorScript1\"]],\"tagGroupKeys\":[],\"searchType\":\"histogram\",\"extraFieldKeys\":[],\"points\":60,\"start\":\"before_1h\",\"end\":\"now\",\"configType\":\"form\",\"metric\":\"disk\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"aggregatorType1\":\"field\",\"aggregator1\":\"avg\",\"aggregatorField1\":\"used_percent\"},\"chart-76bac597\":{\"metric\":\"disk\",\"searchType\":\"histogram\",\"filterTagsKeys\":[[\"filterTagKey1\",\"filterTagValue1\"]],\"excludeTagsKeys\":[],\"aggregatorKeys\":[[\"aggregator1\",\"aggregatorType1\",\"aggregatorField1\",\"aggregatorScript1\"]],\"tagGroupKeys\":[],\"extraFieldKeys\":[],\"points\":60,\"start\":\"before_1h\",\"end\":\"now\",\"configType\":\"form\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"aggregatorType1\":\"field\",\"aggregator1\":\"avg\",\"aggregatorField1\":\"used\"},\"chart-0e42f27d\":{\"metric\":\"disk\",\"searchType\":\"histogram\",\"filterTagsKeys\":[[\"filterTagKey1\",\"filterTagValue1\"]],\"excludeTagsKeys\":[],\"aggregatorKeys\":[[\"aggregator1\",\"aggregatorType1\",\"aggregatorField1\",\"aggregatorScript1\"]],\"tagGroupKeys\":[],\"extraFieldKeys\":[],\"points\":60,\"start\":\"before_1h\",\"end\":\"now\",\"configType\":\"form\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"aggregatorType1\":\"field\",\"aggregator1\":\"diffps\",\"aggregatorField1\":\"used\"}}',
        '网盘', 'platform', '', '', 1, 0, 0, ''),
       (4, '2019-01-29 11:07:50', '2019-02-26 15:45:33', 'zookeeper',
        '[{\"w\":12,\"h\":9,\"x\":0,\"y\":0,\"i\":\"chart-b018f93f\",\"moved\":false,\"static\":false},{\"w\":12,\"h\":9,\"x\":0,\"y\":9,\"i\":\"chart-7d9445b6\",\"moved\":false,\"static\":false},{\"w\":12,\"h\":9,\"x\":0,\"y\":27,\"i\":\"chart-edf1eac5\",\"moved\":false,\"static\":false},{\"w\":12,\"h\":9,\"x\":0,\"y\":36,\"i\":\"chart-b8815391\",\"moved\":false,\"static\":false},{\"w\":12,\"h\":9,\"x\":0,\"y\":63,\"i\":\"chart-b75b4e45\",\"moved\":false,\"static\":false},{\"w\":12,\"h\":9,\"x\":0,\"y\":54,\"i\":\"chart-3f371ce7\",\"moved\":false,\"static\":false},{\"w\":12,\"h\":9,\"x\":0,\"y\":18,\"i\":\"chart-3112cabc\",\"moved\":false,\"static\":false},{\"w\":12,\"h\":9,\"x\":0,\"y\":45,\"i\":\"chart-ebe336d5\",\"moved\":false,\"static\":false}]',
        '{\"chart-b018f93f\":{\"name\":\"zookeeper_data_size\",\"chartType\":\"line\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"数据量统计\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#axisLabel#formatter\":\"function(value){\\n    var units=[\\\"B\\\",\\\"KB\\\",\\\"MB\\\",\\\"GB\\\",\\\"TB\\\",\\\"PB\\\",\\\"EB\\\",\\\"ZB\\\",\\\"YB\\\",\\\"BB\\\",\\\"NB\\\",\\\"DB\\\"], unit=\\\"B\\\";\\n    var nag = \\\"\\\";\\n    if(value<0) {\\n        nag = \\\"-\\\";\\n        value = -value;\\n    }\\n    for(var i=0;value>=1024;i++) {\\n        value = value/1024;\\n        unit = units[i+1];\\n    }\\n    return nag + value.toFixed(2)+\\\" \\\"+unit;\\n}\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"paneldata#url\":\"/api/spot/metrics/charts/zookeeper/histogram?start=before_1h&end=now&points=60&filter_component_name=platform&max=approximate_data_size&group=server&sort=count&limit=20&format=flat_chart\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    datas = datas.map(v => {\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\"},\"chart-7d9445b6\":{\"name\":\"zookeeper_znode_count\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"Znode数量\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#name\":\"个数\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/zookeeper/histogram?start=before_1h&end=now&points=60&filter_component_name=platform&max=znode_count&group=server&sort=count&limit=20&format=flat_chart\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    datas = datas.map(v => {\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\"},\"chart-edf1eac5\":{\"name\":\"zookeeper_watch\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"Watct数量\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#name\":\"个数\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/zookeeper/histogram?start=before_1h&end=now&points=60&filter_component_name=platform&max=watch_count&group=server&sort=count&limit=20&format=flat_chart\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    datas = datas.map(v => {\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\"},\"chart-b8815391\":{\"name\":\"zookeeper_packets\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"发送数据包统计\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#name\":\"个/s\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"panelsetting#xAxis#name\":\"\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/zookeeper/histogram?start=before_1h&end=now&points=60&filter_component_name=platform&diffps=packets_sent&group=server&sort=count&limit=20&format=flat_chart\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    datas = datas.map(v => {\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\"},\"chart-b75b4e45\":{\"name\":\"zookeeper_open_files\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"打开文件数\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#name\":\"个\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/zookeeper/histogram?start=before_1h&end=now&points=60&filter_component_name=platform&max=open_file_descriptor_count&group=server&sort=count&limit=20&format=flat_chart\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    datas = datas.map(v => {\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\"},\"chart-3f371ce7\":{\"name\":\"zookeeper_connections\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"活跃连接数\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#name\":\"个\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/zookeeper/histogram?start=before_1h&end=now&points=60&filter_component_name=platform&max=num_alive_connections&group=server&sort=count&limit=20&format=flat_chart\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    datas = datas.map(v => {\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\"},\"chart-3112cabc\":{\"name\":\"zookeeper_ephemerals_count\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"临时Znode数量\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#name\":\"个数\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/zookeeper/histogram?start=before_1h&end=now&points=60&filter_component_name=platform&max=ephemerals_count&group=server&sort=count&limit=20&format=flat_chart\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    datas = datas.map(v => {\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\"},\"chart-ebe336d5\":{\"name\":\"zookeeper_packets_received\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"接收数据包统计\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#name\":\"个/s\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/zookeeper/histogram?start=before_1h&end=now&points=60&filter_component_name=platform&diffps=packets_received&group=server&sort=count&limit=20&format=flat_chart\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    datas = datas.map(v => {\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\"}}',
        '{\"chartGroupName\":\"ZooKeeper\",\"chart-b018f93f\":{\"filterTagsKeys\":[[\"filterTagKey1\",\"filterTagValue1\"]],\"excludeTagsKeys\":[],\"aggregatorKeys\":[[\"aggregator1\",\"aggregatorType1\",\"aggregatorField1\",\"aggregatorScript1\"]],\"tagGroupKeys\":[[\"group1\",\"sort1\",\"limit1\"]],\"searchType\":\"histogram\",\"extraFieldKeys\":[],\"points\":60,\"start\":\"before_1h\",\"end\":\"now\",\"configType\":\"form\",\"metric\":\"zookeeper\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"aggregatorType1\":\"field\",\"aggregator1\":\"max\",\"aggregatorField1\":\"approximate_data_size\",\"group1\":\"server\",\"sort1\":\"count\",\"limit1\":20},\"chart-7d9445b6\":{\"filterTagsKeys\":[[\"filterTagKey1\",\"filterTagValue1\"]],\"excludeTagsKeys\":[],\"aggregatorKeys\":[[\"aggregator1\",\"aggregatorType1\",\"aggregatorField1\",\"aggregatorScript1\"]],\"tagGroupKeys\":[[\"group1\",\"sort1\",\"limit1\"]],\"searchType\":\"histogram\",\"extraFieldKeys\":[],\"points\":60,\"start\":\"before_1h\",\"end\":\"now\",\"configType\":\"form\",\"metric\":\"zookeeper\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"aggregatorType1\":\"field\",\"aggregator1\":\"max\",\"aggregatorField1\":\"znode_count\",\"group1\":\"server\",\"sort1\":\"count\",\"limit1\":20},\"chart-edf1eac5\":{\"filterTagsKeys\":[[\"filterTagKey1\",\"filterTagValue1\"]],\"excludeTagsKeys\":[],\"aggregatorKeys\":[[\"aggregator1\",\"aggregatorType1\",\"aggregatorField1\",\"aggregatorScript1\"]],\"tagGroupKeys\":[[\"group1\",\"sort1\",\"limit1\"]],\"searchType\":\"histogram\",\"extraFieldKeys\":[],\"points\":60,\"start\":\"before_1h\",\"end\":\"now\",\"configType\":\"form\",\"metric\":\"zookeeper\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"aggregatorType1\":\"field\",\"aggregator1\":\"max\",\"aggregatorField1\":\"watch_count\",\"group1\":\"server\",\"sort1\":\"count\",\"limit1\":20},\"chart-b8815391\":{\"filterTagsKeys\":[[\"filterTagKey1\",\"filterTagValue1\"]],\"excludeTagsKeys\":[],\"aggregatorKeys\":[[\"aggregator1\",\"aggregatorType1\",\"aggregatorField1\",\"aggregatorScript1\"]],\"tagGroupKeys\":[[\"group1\",\"sort1\",\"limit1\"]],\"searchType\":\"histogram\",\"extraFieldKeys\":[],\"points\":60,\"start\":\"before_1h\",\"end\":\"now\",\"configType\":\"form\",\"metric\":\"zookeeper\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"aggregatorType1\":\"field\",\"aggregator1\":\"diffps\",\"aggregatorField1\":\"packets_sent\",\"group1\":\"server\",\"sort1\":\"count\",\"limit1\":20},\"chart-b75b4e45\":{\"filterTagsKeys\":[[\"filterTagKey1\",\"filterTagValue1\"]],\"excludeTagsKeys\":[],\"aggregatorKeys\":[[\"aggregator2\",\"aggregatorType2\",\"aggregatorField2\",\"aggregatorScript2\"]],\"tagGroupKeys\":[[\"group1\",\"sort1\",\"limit1\"]],\"searchType\":\"histogram\",\"extraFieldKeys\":[],\"points\":60,\"start\":\"before_1h\",\"end\":\"now\",\"configType\":\"form\",\"metric\":\"zookeeper\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"aggregatorType2\":\"field\",\"aggregator2\":\"max\",\"aggregatorField2\":\"open_file_descriptor_count\",\"group1\":\"server\",\"sort1\":\"count\",\"limit1\":20},\"chart-3f371ce7\":{\"filterTagsKeys\":[[\"filterTagKey1\",\"filterTagValue1\"]],\"excludeTagsKeys\":[],\"aggregatorKeys\":[[\"aggregator1\",\"aggregatorType1\",\"aggregatorField1\",\"aggregatorScript1\"]],\"tagGroupKeys\":[[\"group1\",\"sort1\",\"limit1\"]],\"searchType\":\"histogram\",\"extraFieldKeys\":[],\"points\":60,\"start\":\"before_1h\",\"end\":\"now\",\"configType\":\"form\",\"metric\":\"zookeeper\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"aggregatorType1\":\"field\",\"aggregator1\":\"max\",\"aggregatorField1\":\"num_alive_connections\",\"group1\":\"server\",\"sort1\":\"count\",\"limit1\":20},\"chart-3112cabc\":{\"metric\":\"zookeeper\",\"searchType\":\"histogram\",\"filterTagsKeys\":[[\"filterTagKey1\",\"filterTagValue1\"]],\"excludeTagsKeys\":[],\"aggregatorKeys\":[[\"aggregator1\",\"aggregatorType1\",\"aggregatorField1\",\"aggregatorScript1\"]],\"tagGroupKeys\":[[\"group1\",\"sort1\",\"limit1\"]],\"extraFieldKeys\":[],\"points\":60,\"start\":\"before_1h\",\"end\":\"now\",\"configType\":\"form\",\"aggregatorType1\":\"field\",\"aggregator1\":\"max\",\"aggregatorField1\":\"ephemerals_count\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"group1\":\"server\",\"sort1\":\"count\",\"limit1\":20},\"chart-ebe336d5\":{\"filterTagsKeys\":[[\"filterTagKey1\",\"filterTagValue1\"]],\"excludeTagsKeys\":[],\"aggregatorKeys\":[[\"aggregator1\",\"aggregatorType1\",\"aggregatorField1\",\"aggregatorScript1\"]],\"tagGroupKeys\":[[\"group1\",\"sort1\",\"limit1\"]],\"searchType\":\"histogram\",\"extraFieldKeys\":[],\"points\":60,\"start\":\"before_1h\",\"end\":\"now\",\"configType\":\"form\",\"metric\":\"zookeeper\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"group1\":\"server\",\"sort1\":\"count\",\"limit1\":20,\"aggregatorType1\":\"field\",\"aggregator1\":\"diffps\",\"aggregatorField1\":\"packets_received\"}}',
        'ZooKeeper', 'platform', '', '', 1, 0, 0, ''),
       (5, '2019-01-29 16:14:04', '2019-02-26 15:50:39', 'redis',
        '[{\"w\":12,\"h\":10,\"x\":0,\"y\":0,\"i\":\"chart-a419a263\",\"moved\":false,\"static\":false},{\"w\":12,\"h\":10,\"x\":0,\"y\":10,\"i\":\"chart-ccd1e273\",\"moved\":false,\"static\":false},{\"w\":12,\"h\":9,\"x\":0,\"y\":20,\"i\":\"chart-7a7d86f6\",\"moved\":false,\"static\":false},{\"w\":12,\"h\":9,\"x\":0,\"y\":29,\"i\":\"chart-802cb2b6\",\"moved\":false,\"static\":false},{\"w\":12,\"h\":10,\"x\":0,\"y\":38,\"i\":\"chart-eb6283cb\",\"moved\":false,\"static\":false},{\"w\":12,\"h\":9,\"x\":0,\"y\":48,\"i\":\"chart-4d04f04c\",\"moved\":false,\"static\":false},{\"w\":12,\"h\":9,\"x\":0,\"y\":57,\"i\":\"chart-8d7732c7\",\"moved\":false,\"static\":false},{\"w\":12,\"h\":9,\"x\":0,\"y\":66,\"i\":\"chart-1a8542ab\",\"moved\":false,\"static\":false}]',
        '{\"chart-a419a263\":{\"name\":\"redis_clients\",\"chartType\":\"line\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"客户端连接数\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"paneldata#url\":\"/api/spot/metrics/charts/redis/histogram?start=before_1h&end=now&points=60&filter_component_name=platform&max=clients&group=server&sort=count&limit=20&format=flat_chart\",\"panelsetting#yAxis#name\":\"个数\",\"paneldata#dataConvertor\":\"\"},\"chart-ccd1e273\":{\"name\":\"redis_ops_per_sec\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"命令运行频率\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#name\":\"次/s\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/redis/histogram?start=before_1h&end=now&points=60&filter_component_name=platform&max=instantaneous_ops_per_sec&group=server&sort=count&limit=20&format=flat_chart\",\"paneldata#dataConvertor\":\"\"},\"chart-7a7d86f6\":{\"name\":\"redis_pubsub_channels\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"被订阅的频道数量\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#name\":\"个\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/redis/histogram?start=before_1h&end=now&points=60&filter_component_name=platform&max=pubsub_channels&group=server&sort=count&limit=20&format=flat_chart\",\"paneldata#dataConvertor\":\"\"},\"chart-802cb2b6\":{\"name\":\"redis_pubsub_patterns\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"被订阅的模式数量\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#name\":\"个数\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/redis/histogram?start=before_1h&end=now&points=60&filter_component_name=platform&max=pubsub_patterns&group=server&sort=count&limit=20&format=flat_chart\",\"paneldata#dataConvertor\":\"\"},\"chart-eb6283cb\":{\"name\":\"redis_mem_fragmentation_ratio\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"内存碎片率\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/redis/histogram?start=before_1h&end=now&points=60&filter_component_name=platform&max=mem_fragmentation_ratio&group=server&sort=count&limit=20&format=flat_chart\",\"paneldata#dataConvertor\":\"\"},\"chart-4d04f04c\":{\"name\":\"redis_used_memory\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"内存使用量\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#axisLabel#formatter\":\"function(value){\\n    var units=[\\\"B\\\",\\\"KB\\\",\\\"MB\\\",\\\"GB\\\",\\\"TB\\\",\\\"PB\\\",\\\"EB\\\",\\\"ZB\\\",\\\"YB\\\",\\\"BB\\\",\\\"NB\\\",\\\"DB\\\"], unit=\\\"B\\\";\\n    var nag = \\\"\\\";\\n    if(value<0) {\\n        nag = \\\"-\\\";\\n        value = -value;\\n    }\\n    for(var i=0;value>=1024;i++) {\\n        value = value/1024;\\n        unit = units[i+1];\\n    }\\n    return nag + value.toFixed(2)+\\\" \\\"+unit;\\n}\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/redis/histogram?start=before_1h&end=now&points=60&filter_component_name=platform&max=used_memory&group=server&sort=count&limit=20&format=flat_chart\",\"paneldata#dataConvertor\":\"\"},\"chart-8d7732c7\":{\"name\":\"redis_blocked_clients\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"阻塞中的命令\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#name\":\"个数\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"panelsetting#xAxis#name\":\"\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/redis/histogram?start=before_1h&end=now&points=60&filter_component_name=platform&max=blocked_clients&group=server&sort=count&limit=20&format=flat_chart\"},\"chart-1a8542ab\":{\"name\":\"redis_aof_current_size\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"AOF文件大小\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#axisLabel#formatter\":\"function(value){\\n    var units=[\\\"B\\\",\\\"KB\\\",\\\"MB\\\",\\\"GB\\\",\\\"TB\\\",\\\"PB\\\",\\\"EB\\\",\\\"ZB\\\",\\\"YB\\\",\\\"BB\\\",\\\"NB\\\",\\\"DB\\\"], unit=\\\"B\\\";\\n    var nag = \\\"\\\";\\n    if(value<0) {\\n        nag = \\\"-\\\";\\n        value = -value;\\n    }\\n    for(var i=0;value>=1024;i++) {\\n        value = value/1024;\\n        unit = units[i+1];\\n    }\\n    return nag + value.toFixed(2)+\\\" \\\"+unit;\\n}\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/redis/histogram?start=before_1h&end=now&points=60&filter_component_name=platform&max=aof_current_size&group=server&sort=count&limit=20&format=flat_chart\"}}',
        '{\"chartGroupName\":\"Redis\",\"chart-a419a263\":{\"filterTagsKeys\":[[\"filterTagKey1\",\"filterTagValue1\"]],\"excludeTagsKeys\":[],\"aggregatorKeys\":[[\"aggregator1\",\"aggregatorType1\",\"aggregatorField1\",\"aggregatorScript1\"]],\"tagGroupKeys\":[[\"group1\",\"sort1\",\"limit1\"]],\"searchType\":\"histogram\",\"extraFieldKeys\":[],\"points\":60,\"start\":\"before_1h\",\"end\":\"now\",\"configType\":\"form\",\"metric\":\"redis\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"aggregatorType1\":\"field\",\"aggregator1\":\"max\",\"aggregatorField1\":\"clients\",\"group1\":\"server\",\"sort1\":\"count\",\"limit1\":20},\"chart-ccd1e273\":{\"metric\":\"redis\",\"searchType\":\"histogram\",\"filterTagsKeys\":[[\"filterTagKey1\",\"filterTagValue1\"]],\"excludeTagsKeys\":[],\"aggregatorKeys\":[[\"aggregator1\",\"aggregatorType1\",\"aggregatorField1\",\"aggregatorScript1\"]],\"tagGroupKeys\":[[\"group1\",\"sort1\",\"limit1\"]],\"extraFieldKeys\":[],\"points\":60,\"start\":\"before_1h\",\"end\":\"now\",\"configType\":\"form\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"group1\":\"server\",\"sort1\":\"count\",\"limit1\":20,\"aggregatorType1\":\"field\",\"aggregator1\":\"max\",\"aggregatorField1\":\"instantaneous_ops_per_sec\"},\"chart-7a7d86f6\":{\"metric\":\"redis\",\"searchType\":\"histogram\",\"filterTagsKeys\":[[\"filterTagKey1\",\"filterTagValue1\"]],\"excludeTagsKeys\":[],\"aggregatorKeys\":[[\"aggregator1\",\"aggregatorType1\",\"aggregatorField1\",\"aggregatorScript1\"]],\"tagGroupKeys\":[[\"group1\",\"sort1\",\"limit1\"]],\"extraFieldKeys\":[],\"points\":60,\"start\":\"before_1h\",\"end\":\"now\",\"configType\":\"form\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"group1\":\"server\",\"sort1\":\"count\",\"limit1\":20,\"aggregatorType1\":\"field\",\"aggregator1\":\"max\",\"aggregatorField1\":\"pubsub_channels\"},\"chart-802cb2b6\":{\"filterTagsKeys\":[[\"filterTagKey1\",\"filterTagValue1\"]],\"excludeTagsKeys\":[],\"aggregatorKeys\":[[\"aggregator1\",\"aggregatorType1\",\"aggregatorField1\",\"aggregatorScript1\"]],\"tagGroupKeys\":[[\"group1\",\"sort1\",\"limit1\"]],\"searchType\":\"histogram\",\"extraFieldKeys\":[],\"points\":60,\"start\":\"before_1h\",\"end\":\"now\",\"configType\":\"form\",\"metric\":\"redis\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"group1\":\"server\",\"sort1\":\"count\",\"limit1\":20,\"aggregatorType1\":\"field\",\"aggregator1\":\"max\",\"aggregatorField1\":\"pubsub_patterns\"},\"chart-eb6283cb\":{\"metric\":\"redis\",\"searchType\":\"histogram\",\"filterTagsKeys\":[[\"filterTagKey1\",\"filterTagValue1\"]],\"excludeTagsKeys\":[],\"aggregatorKeys\":[[\"aggregator1\",\"aggregatorType1\",\"aggregatorField1\",\"aggregatorScript1\"]],\"tagGroupKeys\":[[\"group1\",\"sort1\",\"limit1\"]],\"extraFieldKeys\":[],\"points\":60,\"start\":\"before_1h\",\"end\":\"now\",\"configType\":\"form\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"group1\":\"server\",\"sort1\":\"count\",\"limit1\":20,\"aggregatorType1\":\"field\",\"aggregator1\":\"max\",\"aggregatorField1\":\"mem_fragmentation_ratio\"},\"chart-4d04f04c\":{\"metric\":\"redis\",\"searchType\":\"histogram\",\"filterTagsKeys\":[[\"filterTagKey1\",\"filterTagValue1\"]],\"excludeTagsKeys\":[],\"aggregatorKeys\":[[\"aggregator1\",\"aggregatorType1\",\"aggregatorField1\",\"aggregatorScript1\"]],\"tagGroupKeys\":[[\"group1\",\"sort1\",\"limit1\"]],\"extraFieldKeys\":[],\"points\":60,\"start\":\"before_1h\",\"end\":\"now\",\"configType\":\"form\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"group1\":\"server\",\"sort1\":\"count\",\"limit1\":20,\"aggregatorType1\":\"field\",\"aggregator1\":\"max\",\"aggregatorField1\":\"used_memory\"},\"chart-8d7732c7\":{\"metric\":\"redis\",\"searchType\":\"histogram\",\"filterTagsKeys\":[[\"filterTagKey1\",\"filterTagValue1\"]],\"excludeTagsKeys\":[],\"aggregatorKeys\":[[\"aggregator1\",\"aggregatorType1\",\"aggregatorField1\",\"aggregatorScript1\"]],\"tagGroupKeys\":[[\"group1\",\"sort1\",\"limit1\"]],\"extraFieldKeys\":[],\"points\":60,\"start\":\"before_1h\",\"end\":\"now\",\"configType\":\"form\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"group1\":\"server\",\"sort1\":\"count\",\"limit1\":20,\"aggregatorType1\":\"field\",\"aggregator1\":\"max\",\"aggregatorField1\":\"blocked_clients\"},\"chart-1a8542ab\":{\"metric\":\"redis\",\"searchType\":\"histogram\",\"filterTagsKeys\":[[\"filterTagKey1\",\"filterTagValue1\"]],\"excludeTagsKeys\":[],\"aggregatorKeys\":[[\"aggregator1\",\"aggregatorType1\",\"aggregatorField1\",\"aggregatorScript1\"]],\"tagGroupKeys\":[[\"group1\",\"sort1\",\"limit1\"]],\"extraFieldKeys\":[],\"points\":60,\"start\":\"before_1h\",\"end\":\"now\",\"configType\":\"form\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"group1\":\"server\",\"sort1\":\"count\",\"limit1\":20,\"aggregatorType1\":\"field\",\"aggregator1\":\"max\",\"aggregatorField1\":\"aof_current_size\"}}',
        'Redis', 'platform', '', '', 1, 0, 1, ''),
       (6, '2019-01-29 19:31:56', '2019-02-26 15:55:41', 'elasticsearch',
        '[{\"w\":6,\"h\":10,\"x\":0,\"y\":0,\"i\":\"chart-7b0bbde8\",\"moved\":false,\"static\":false},{\"w\":6,\"h\":10,\"x\":6,\"y\":0,\"i\":\"chart-222d188d\",\"moved\":false,\"static\":false},{\"w\":6,\"h\":10,\"x\":0,\"y\":20,\"i\":\"chart-1e6ed063\",\"moved\":false,\"static\":false},{\"w\":6,\"h\":10,\"x\":6,\"y\":20,\"i\":\"chart-9210b9a2\",\"moved\":false,\"static\":false},{\"w\":6,\"h\":10,\"x\":0,\"y\":40,\"i\":\"chart-76d73d21\",\"moved\":false,\"static\":false},{\"w\":6,\"h\":10,\"x\":6,\"y\":40,\"i\":\"chart-834e0148\",\"moved\":false,\"static\":false},{\"w\":12,\"h\":10,\"x\":0,\"y\":10,\"i\":\"chart-f4f3a12c\",\"moved\":false,\"static\":false},{\"w\":6,\"h\":9,\"x\":0,\"y\":50,\"i\":\"chart-74b2ed53\",\"moved\":false,\"static\":false},{\"w\":6,\"h\":9,\"x\":6,\"y\":50,\"i\":\"chart-805f898b\",\"moved\":false,\"static\":false},{\"w\":6,\"h\":9,\"x\":0,\"y\":59,\"i\":\"chart-e670d96e\",\"moved\":false,\"static\":false},{\"w\":12,\"h\":10,\"x\":0,\"y\":30,\"i\":\"chart-515e2ea4\",\"moved\":false,\"static\":false},{\"w\":6,\"h\":9,\"x\":6,\"y\":59,\"i\":\"chart-2af2bafa\",\"moved\":false,\"static\":false}]',
        '{\"chart-7b0bbde8\":{\"name\":\"elasticsearch_store_size\",\"chartType\":\"line\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"索引总存储量\",\"panelsetting#legend#show\":false,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#axisLabel#formatter\":\"function(value){\\n    var units=[\\\"B\\\",\\\"KB\\\",\\\"MB\\\",\\\"GB\\\",\\\"TB\\\",\\\"PB\\\",\\\"EB\\\",\\\"ZB\\\",\\\"YB\\\",\\\"BB\\\",\\\"NB\\\",\\\"DB\\\"], unit=\\\"B\\\";\\n    for(var i=0;value>=1024;i++) {\\n        value = value/1024;\\n        unit = units[i+1];\\n    }\\n    return value.toFixed(2)+\\\" \\\"+unit;\\n}\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"paneldata#url\":\"/api/spot/metrics/charts/elasticsearch_indices/histogram?start=before_1h&end=now&points=60&filter_component_name=platform&max=store_size_in_bytes&group=node_id&sort=count&limit=20&reduce=sum&format=flat_chart\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    let map = {\\\"max.store_size_in_bytes\\\":\\\"存储大小\\\"};\\n    datas = datas.map(v => {\\n        if (!!map[v.name]) v.name = map[v.name];\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\"},\"chart-222d188d\":{\"name\":\"elasticsearch_docs_count\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"文档总数量\",\"panelsetting#legend#show\":false,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#name\":\"个/s\",\"panelsetting#yAxis#axisLabel#formatter\":\"function(value){\\n    if(value>1000) return Math.round(value / 1000) + \\\" K\\\";\\n    return value;\\n}\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/elasticsearch_indices/histogram?start=before_1h&end=now&points=60&filter_component_name=platform&diffps=docs_count&group=node_id&sort=count&limit=20&reduce=sum&format=flat_chart\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    let map = {\\\"diffps.docs_count\\\":\\\"文档数量\\\"};\\n    datas = datas.map(v => {\\n        if (!!map[v.name]) v.name = map[v.name];\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\"},\"chart-1e6ed063\":{\"name\":\"elasticsearch\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"Http连接数\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#name\":\"个\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"panelsetting#xAxis#name\":\"\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/elasticsearch_http/histogram?start=before_1h&end=now&points=60&filter_component_name=platform&max=current_open&group=node_name&sort=count&limit=20&format=flat_chart\"},\"chart-9210b9a2\":{\"name\":\"elasticsearch_transport\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"Transport连接数\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#name\":\"个\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/elasticsearch_transport/histogram?start=before_1h&end=now&points=60&filter_component_name=platform&max=server_open&group=node_name&sort=count&limit=20&format=flat_chart\"},\"chart-76d73d21\":{\"name\":\"elasticsearch_gc_collectors_old_collection_count\",\"chartType\":\"line\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"老年代GC次数\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"paneldata#url\":\"/api/spot/metrics/charts/elasticsearch_jvm/histogram?start=before_1h&end=now&points=60&filter_component_name=platform&diffps=gc_collectors_old_collection_count&group=node_name&sort=count&limit=20&format=flat_chart\",\"panelsetting#yAxis#name\":\"次/s\",\"panelsetting#yAxis#axisLabel#formatter\":\"\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    datas = datas.map(v => {\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\"},\"chart-834e0148\":{\"name\":\"elasticsearch_gc_collectors_young_collection_count\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"年轻代GC次数\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/elasticsearch_jvm/histogram?start=before_1h&end=now&points=60&filter_component_name=platform&diffps=gc_collectors_young_collection_count&group=node_name&sort=count&limit=20&format=flat_chart\",\"panelsetting#yAxis#name\":\"次/s\",\"panelsetting#yAxis#axisLabel#formatter\":\"\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    datas = datas.map(v => {\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\"},\"chart-f4f3a12c\":{\"name\":\"elasticsearch_segment\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/elasticsearch_indices/histogram?start=before_1h&end=now&points=60&filter_component_name=platform&max=segments_count&group=node_name&sort=count&limit=20&format=flat_chart\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"Segment数量\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#axisLabel#formatter\":\"function(value){\\n    var nag = \\\"\\\";\\n    if(value<0) {\\n        nag = \\\"-\\\";\\n        value = -value;\\n    }\\n    if(value>1000) return nag + Math.round(value / 1000) + \\\" K\\\";\\n    return nag + Math.round(value);\\n}\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\"},\"chart-74b2ed53\":{\"name\":\"elasticsearch_search_query_total\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"Search次数\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#name\":\"次/s\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/elasticsearch_indices/histogram?start=before_1h&end=now&points=60&filter_component_name=platform&diffps=search_query_total&group=node_name&sort=count&limit=20&format=flat_chart\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    datas = datas.map(v => {\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\"},\"chart-805f898b\":{\"name\":\"elasticsearch_indexing_index_total\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"Index次数\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#name\":\"次/s\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/elasticsearch_indices/histogram?start=before_1h&end=now&points=60&filter_component_name=platform&diffps=indexing_index_total&group=node_name&sort=count&limit=20&format=flat_chart\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    datas = datas.map(v => {\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\"},\"chart-e670d96e\":{\"name\":\"elasticsearch_merges\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"Merges次数\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#name\":\"次/s\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/elasticsearch_indices/histogram?start=before_1h&end=now&points=60&filter_component_name=platform&diffps=merges_total&group=node_name&sort=count&limit=20&format=flat_chart\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    datas = datas.map(v => {\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\"},\"chart-515e2ea4\":{\"name\":\"elasticsearch_jvm_heap\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"JVM堆内存\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#axisLabel#formatter\":\"function(value){\\n    var units=[\\\"B\\\",\\\"KB\\\",\\\"MB\\\",\\\"GB\\\",\\\"TB\\\",\\\"PB\\\",\\\"EB\\\",\\\"ZB\\\",\\\"YB\\\",\\\"BB\\\",\\\"NB\\\",\\\"DB\\\"], unit=\\\"B\\\";\\n    for(var i=0;value>=1024;i++) {\\n        value = value/1024;\\n        unit = units[i+1];\\n    }\\n    return value.toFixed(2)+\\\" \\\"+unit;\\n}\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/elasticsearch_jvm/histogram?start=before_1h&end=now&points=60&filter_component_name=platform&max=mem_heap_used_in_bytes&group=node_name&sort=count&limit=20&format=flat_chart\"},\"chart-2af2bafa\":{\"chartType\":\"line\",\"name\":\"elasticsearch_refresh_total\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"Refresh次数\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#name\":\"次/s\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"paneldata#url\":\"/api/spot/metrics/charts/elasticsearch_indices/histogram?start=before_1h&end=now&points=60&filter_component_name=platform&diffps=refresh_total&group=node_name&sort=count&limit=20&format=flat_chart\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    datas = datas.map(v => {\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\"}}',
        '{\"chartGroupName\":\"Elasticsearch\",\"chart-7b0bbde8\":{\"metric\":\"elasticsearch_indices\",\"searchType\":\"histogram\",\"filterTagsKeys\":[[\"filterTagKey1\",\"filterTagValue1\"]],\"excludeTagsKeys\":[],\"aggregatorKeys\":[[\"aggregator1\",\"aggregatorType1\",\"aggregatorField1\",\"aggregatorScript1\"]],\"tagGroupKeys\":[[\"group1\",\"sort1\",\"limit1\"]],\"extraFieldKeys\":[[\"extraKey1\",\"extraValue1\"]],\"points\":60,\"start\":\"before_1h\",\"end\":\"now\",\"configType\":\"form\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"group1\":\"node_id\",\"sort1\":\"count\",\"limit1\":20,\"aggregatorType1\":\"field\",\"aggregator1\":\"max\",\"aggregatorField1\":\"store_size_in_bytes\",\"extraKey1\":\"reduce\",\"extraValue1\":\"sum\"},\"chart-222d188d\":{\"filterTagsKeys\":[[\"filterTagKey1\",\"filterTagValue1\"]],\"excludeTagsKeys\":[],\"aggregatorKeys\":[[\"aggregator1\",\"aggregatorType1\",\"aggregatorField1\",\"aggregatorScript1\"]],\"tagGroupKeys\":[[\"group1\",\"sort1\",\"limit1\"]],\"searchType\":\"histogram\",\"extraFieldKeys\":[[\"extraKey1\",\"extraValue1\"]],\"points\":60,\"start\":\"before_1h\",\"end\":\"now\",\"configType\":\"form\",\"metric\":\"elasticsearch_indices\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"group1\":\"node_id\",\"sort1\":\"count\",\"limit1\":20,\"aggregatorType1\":\"field\",\"aggregator1\":\"diffps\",\"aggregatorField1\":\"docs_count\",\"extraKey1\":\"reduce\",\"extraValue1\":\"sum\"},\"chart-1e6ed063\":{\"filterTagsKeys\":[[\"filterTagKey1\",\"filterTagValue1\"]],\"excludeTagsKeys\":[],\"aggregatorKeys\":[[\"aggregator1\",\"aggregatorType1\",\"aggregatorField1\",\"aggregatorScript1\"]],\"tagGroupKeys\":[[\"group1\",\"sort1\",\"limit1\"]],\"searchType\":\"histogram\",\"extraFieldKeys\":[],\"points\":60,\"start\":\"before_1h\",\"end\":\"now\",\"configType\":\"form\",\"metric\":\"elasticsearch_http\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"group1\":\"node_name\",\"sort1\":\"count\",\"limit1\":20,\"aggregatorType1\":\"field\",\"aggregator1\":\"max\",\"aggregatorField1\":\"current_open\"},\"chart-9210b9a2\":{\"filterTagsKeys\":[[\"filterTagKey1\",\"filterTagValue1\"]],\"excludeTagsKeys\":[],\"aggregatorKeys\":[[\"aggregator1\",\"aggregatorType1\",\"aggregatorField1\",\"aggregatorScript1\"]],\"tagGroupKeys\":[[\"group1\",\"sort1\",\"limit1\"]],\"searchType\":\"histogram\",\"extraFieldKeys\":[],\"points\":60,\"start\":\"before_1h\",\"end\":\"now\",\"configType\":\"form\",\"metric\":\"elasticsearch_transport\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"group1\":\"node_name\",\"sort1\":\"count\",\"limit1\":20,\"aggregatorType1\":\"field\",\"aggregator1\":\"max\",\"aggregatorField1\":\"server_open\"},\"chart-76d73d21\":{\"filterTagsKeys\":[[\"filterTagKey1\",\"filterTagValue1\"]],\"excludeTagsKeys\":[],\"aggregatorKeys\":[[\"aggregator1\",\"aggregatorType1\",\"aggregatorField1\",\"aggregatorScript1\"]],\"tagGroupKeys\":[[\"group1\",\"sort1\",\"limit1\"]],\"searchType\":\"histogram\",\"extraFieldKeys\":[],\"points\":60,\"start\":\"before_1h\",\"end\":\"now\",\"configType\":\"form\",\"metric\":\"elasticsearch_jvm\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"group1\":\"node_name\",\"sort1\":\"count\",\"limit1\":20,\"aggregatorType1\":\"field\",\"aggregator1\":\"diffps\",\"aggregatorField1\":\"gc_collectors_old_collection_count\"},\"chart-834e0148\":{\"filterTagsKeys\":[[\"filterTagKey1\",\"filterTagValue1\"]],\"excludeTagsKeys\":[],\"aggregatorKeys\":[[\"aggregator1\",\"aggregatorType1\",\"aggregatorField1\",\"aggregatorScript1\"]],\"tagGroupKeys\":[[\"group1\",\"sort1\",\"limit1\"]],\"searchType\":\"histogram\",\"extraFieldKeys\":[],\"points\":60,\"start\":\"before_1h\",\"end\":\"now\",\"configType\":\"form\",\"metric\":\"elasticsearch_jvm\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"group1\":\"node_name\",\"sort1\":\"count\",\"limit1\":20,\"aggregatorType1\":\"field\",\"aggregator1\":\"diffps\",\"aggregatorField1\":\"gc_collectors_young_collection_count\"},\"chart-f4f3a12c\":{\"filterTagsKeys\":[[\"filterTagKey1\",\"filterTagValue1\"]],\"excludeTagsKeys\":[],\"aggregatorKeys\":[[\"aggregator1\",\"aggregatorType1\",\"aggregatorField1\",\"aggregatorScript1\"]],\"tagGroupKeys\":[[\"group1\",\"sort1\",\"limit1\"]],\"searchType\":\"histogram\",\"extraFieldKeys\":[],\"points\":60,\"start\":\"before_1h\",\"end\":\"now\",\"configType\":\"form\",\"metric\":\"elasticsearch_indices\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"group1\":\"node_name\",\"sort1\":\"count\",\"limit1\":20,\"aggregatorType1\":\"field\",\"aggregator1\":\"max\",\"aggregatorField1\":\"segments_count\"},\"chart-74b2ed53\":{\"metric\":\"elasticsearch_indices\",\"searchType\":\"histogram\",\"filterTagsKeys\":[[\"filterTagKey1\",\"filterTagValue1\"]],\"excludeTagsKeys\":[],\"aggregatorKeys\":[[\"aggregator1\",\"aggregatorType1\",\"aggregatorField1\",\"aggregatorScript1\"]],\"tagGroupKeys\":[[\"group1\",\"sort1\",\"limit1\"]],\"extraFieldKeys\":[],\"points\":60,\"start\":\"before_1h\",\"end\":\"now\",\"configType\":\"form\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"group1\":\"node_name\",\"sort1\":\"count\",\"limit1\":20,\"aggregatorType1\":\"field\",\"aggregator1\":\"diffps\",\"aggregatorField1\":\"search_query_total\"},\"chart-805f898b\":{\"metric\":\"elasticsearch_indices\",\"searchType\":\"histogram\",\"filterTagsKeys\":[[\"filterTagKey1\",\"filterTagValue1\"]],\"excludeTagsKeys\":[],\"aggregatorKeys\":[[\"aggregator1\",\"aggregatorType1\",\"aggregatorField1\",\"aggregatorScript1\"]],\"tagGroupKeys\":[[\"group1\",\"sort1\",\"limit1\"]],\"extraFieldKeys\":[],\"points\":60,\"start\":\"before_1h\",\"end\":\"now\",\"configType\":\"form\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"group1\":\"node_name\",\"sort1\":\"count\",\"limit1\":20,\"aggregatorType1\":\"field\",\"aggregator1\":\"diffps\",\"aggregatorField1\":\"indexing_index_total\"},\"chart-e670d96e\":{\"metric\":\"elasticsearch_indices\",\"searchType\":\"histogram\",\"filterTagsKeys\":[[\"filterTagKey1\",\"filterTagValue1\"]],\"excludeTagsKeys\":[],\"aggregatorKeys\":[[\"aggregator1\",\"aggregatorType1\",\"aggregatorField1\",\"aggregatorScript1\"]],\"tagGroupKeys\":[[\"group1\",\"sort1\",\"limit1\"]],\"extraFieldKeys\":[],\"points\":60,\"start\":\"before_1h\",\"end\":\"now\",\"configType\":\"form\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"group1\":\"node_name\",\"sort1\":\"count\",\"limit1\":20,\"aggregatorType1\":\"field\",\"aggregator1\":\"diffps\",\"aggregatorField1\":\"merges_total\"},\"chart-515e2ea4\":{\"metric\":\"elasticsearch_jvm\",\"searchType\":\"histogram\",\"filterTagsKeys\":[[\"filterTagKey1\",\"filterTagValue1\"]],\"excludeTagsKeys\":[],\"aggregatorKeys\":[[\"aggregator1\",\"aggregatorType1\",\"aggregatorField1\",\"aggregatorScript1\"]],\"tagGroupKeys\":[[\"group1\",\"sort1\",\"limit1\"]],\"extraFieldKeys\":[],\"points\":60,\"start\":\"before_1h\",\"end\":\"now\",\"configType\":\"form\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"group1\":\"node_name\",\"sort1\":\"count\",\"limit1\":20,\"aggregatorType1\":\"field\",\"aggregator1\":\"max\",\"aggregatorField1\":\"mem_heap_used_in_bytes\"},\"chart-2af2bafa\":{\"metric\":\"elasticsearch_indices\",\"searchType\":\"histogram\",\"filterTagsKeys\":[[\"filterTagKey1\",\"filterTagValue1\"]],\"excludeTagsKeys\":[],\"aggregatorKeys\":[[\"aggregator1\",\"aggregatorType1\",\"aggregatorField1\",\"aggregatorScript1\"]],\"tagGroupKeys\":[[\"group1\",\"sort1\",\"limit1\"]],\"extraFieldKeys\":[],\"points\":60,\"start\":\"before_1h\",\"end\":\"now\",\"configType\":\"form\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"group1\":\"node_name\",\"sort1\":\"count\",\"limit1\":20,\"aggregatorType1\":\"field\",\"aggregator1\":\"diffps\",\"aggregatorField1\":\"refresh_total\"}}',
        'Elasticsearch', 'platform', '', '', 1, 0, 1, ''),
       (7, '2019-03-22 09:53:19', '2019-03-22 17:07:57', 'cassandra',
        '[{\"w\":6,\"h\":9,\"x\":0,\"y\":0,\"i\":\"chart-87569e6f\",\"moved\":false,\"static\":false},{\"w\":6,\"h\":9,\"x\":6,\"y\":27,\"i\":\"chart-df7336c7\",\"moved\":false,\"static\":false},{\"w\":6,\"h\":9,\"x\":0,\"y\":36,\"i\":\"chart-5bb6bdd9\",\"moved\":false,\"static\":false},{\"w\":6,\"h\":9,\"x\":0,\"y\":45,\"i\":\"chart-9d5b507a\",\"moved\":false,\"static\":false},{\"w\":6,\"h\":9,\"x\":6,\"y\":0,\"i\":\"chart-91b50afa\",\"moved\":false,\"static\":false},{\"w\":6,\"h\":9,\"x\":0,\"y\":9,\"i\":\"chart-7551e461\",\"moved\":false,\"static\":false},{\"w\":6,\"h\":9,\"x\":6,\"y\":9,\"i\":\"chart-7fb1f0d2\",\"moved\":false,\"static\":false},{\"w\":6,\"h\":9,\"x\":0,\"y\":18,\"i\":\"chart-768a4779\",\"moved\":false,\"static\":false},{\"w\":6,\"h\":9,\"x\":6,\"y\":18,\"i\":\"chart-e95fa570\",\"moved\":false,\"static\":false},{\"w\":6,\"h\":9,\"x\":0,\"y\":27,\"i\":\"chart-c94244a1\",\"moved\":false,\"static\":false},{\"w\":6,\"h\":9,\"x\":6,\"y\":36,\"i\":\"chart-e7cdff92\",\"moved\":false,\"static\":false},{\"w\":6,\"h\":9,\"x\":0,\"y\":54,\"i\":\"chart-08c3e007\",\"moved\":false,\"static\":false},{\"w\":6,\"h\":9,\"x\":6,\"y\":54,\"i\":\"chart-f242b484\",\"moved\":false,\"static\":false},{\"w\":6,\"h\":9,\"x\":0,\"y\":63,\"i\":\"chart-18598f6d\",\"moved\":false,\"static\":false},{\"w\":6,\"h\":9,\"x\":6,\"y\":63,\"i\":\"chart-f555214f\",\"moved\":false,\"static\":false},{\"w\":6,\"h\":9,\"x\":6,\"y\":45,\"i\":\"chart-5cfa97f5\",\"moved\":false,\"static\":false}]',
        '{\"chart-87569e6f\":{\"name\":\"cassandra_java_memory_committed\",\"chartType\":\"line\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"HeapMemory - Committed\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#axisLabel#formatter\":\"function(value){\\n    var units=[\\\"B\\\",\\\"KB\\\",\\\"MB\\\",\\\"GB\\\",\\\"TB\\\",\\\"PB\\\",\\\"EB\\\",\\\"ZB\\\",\\\"YB\\\",\\\"BB\\\",\\\"NB\\\",\\\"DB\\\"], unit=\\\"B\\\";\\n    var nag = \\\"\\\";\\n    if(value<0) {\\n        nag = \\\"-\\\";\\n        value = -value;\\n    }\\n    for(var i=0;value>=1024;i++) {\\n        value = value/1024;\\n        unit = units[i+1];\\n    }\\n    return nag + value.toFixed(2)+\\\" \\\"+unit;\\n}\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"paneldata#url\":\"/api/spot/metrics/charts/cassandra_java_memory/histogram?end=now&filter_cluster_name=terminus-dev&filter_component_name=platform&format=flat_chart&group=jolokia_host&limit=20&max=HeapMemoryUsage_committed&points=60&sort=count&start=before_1h\",\"paneldata#dataConvertor\":\"\"},\"chart-df7336c7\":{\"name\":\"non_heap_memory_usage_used\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"NonHeapMemory -Used\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#axisLabel#formatter\":\"function(value){\\n    var units=[\\\"B\\\",\\\"KB\\\",\\\"MB\\\",\\\"GB\\\",\\\"TB\\\",\\\"PB\\\",\\\"EB\\\",\\\"ZB\\\",\\\"YB\\\",\\\"BB\\\",\\\"NB\\\",\\\"DB\\\"], unit=\\\"B\\\";\\n    for(var i=0;value>=1024;i++) {\\n        value = value/1024;\\n        unit = units[i+1];\\n    }\\n    return value.toFixed(2)+\\\" \\\"+unit;\\n}\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/cassandra_java_memory/histogram?end=now&filter_cluster_name=terminus-dev&filter_component_name=platform&format=flat_chart&group=jolokia_host&limit=20&max=NonHeapMemoryUsage_used&points=60&sort=count&start=before_1h\",\"paneldata#dataConvertor\":\"\"},\"chart-5bb6bdd9\":{\"name\":\"cassandra_java_garbagecollector_old\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"GC - G1 Old Generation\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#name\":\"次/s\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/cassandra_java_garbagecollector/histogram?diffps=CollectionCount&end=now&filter_cluster_name=terminus-dev&filter_component_name=platform&filter_name=G1%20Old%20Generation&format=flat_chart&group=jolokia_host&limit=20&points=60&sort=count&start=before_1h\"},\"chart-9d5b507a\":{\"name\":\"cassandra_client\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"客户端连接统计\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#name\":\"个\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/cassandra_client/histogram?end=now&filter_cluster_name=terminus-dev&filter_component_name=platform&filter_name=connectedNativeClients&format=flat_chart&group=jolokia_host&limit=20&max=Value&points=60&sort=count&start=before_1h\"},\"chart-bc32a7a7\":{},\"chart-91b50afa\":{\"name\":\"cassandra_java_memory_init\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/cassandra_java_memory/histogram?end=now&filter_cluster_name=terminus-dev&filter_component_name=platform&format=flat_chart&group=jolokia_host&limit=20&max=HeapMemoryUsage_init&points=60&sort=count&start=before_1h\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"HeapMemory - Init\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#axisLabel#formatter\":\"function(value){\\n    var units=[\\\"B\\\",\\\"KB\\\",\\\"MB\\\",\\\"GB\\\",\\\"TB\\\",\\\"PB\\\",\\\"EB\\\",\\\"ZB\\\",\\\"YB\\\",\\\"BB\\\",\\\"NB\\\",\\\"DB\\\"], unit=\\\"B\\\";\\n    for(var i=0;value>=1024;i++) {\\n        value = value/1024;\\n        unit = units[i+1];\\n    }\\n    return value.toFixed(2)+\\\" \\\"+unit;\\n}\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\"},\"chart-7551e461\":{\"name\":\"cassandra_java_memory_max\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"HeapMemory - Max\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#axisLabel#formatter\":\"function(value){\\n    var units=[\\\"B\\\",\\\"KB\\\",\\\"MB\\\",\\\"GB\\\",\\\"TB\\\",\\\"PB\\\",\\\"EB\\\",\\\"ZB\\\",\\\"YB\\\",\\\"BB\\\",\\\"NB\\\",\\\"DB\\\"], unit=\\\"B\\\";\\n    for(var i=0;value>=1024;i++) {\\n        value = value/1024;\\n        unit = units[i+1];\\n    }\\n    return value.toFixed(2)+\\\" \\\"+unit;\\n}\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/cassandra_java_memory/histogram?end=now&filter_cluster_name=terminus-dev&filter_component_name=platform&format=flat_chart&group=jolokia_host&limit=20&max=HeapMemoryUsage_max&points=60&sort=count&start=before_1h\"},\"chart-7fb1f0d2\":{\"name\":\"cassandra_java_memory_used\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"HeapMemory - Used\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#axisLabel#formatter\":\"function(value){\\n    var units=[\\\"B\\\",\\\"KB\\\",\\\"MB\\\",\\\"GB\\\",\\\"TB\\\",\\\"PB\\\",\\\"EB\\\",\\\"ZB\\\",\\\"YB\\\",\\\"BB\\\",\\\"NB\\\",\\\"DB\\\"], unit=\\\"B\\\";\\n    for(var i=0;value>=1024;i++) {\\n        value = value/1024;\\n        unit = units[i+1];\\n    }\\n    return value.toFixed(2)+\\\" \\\"+unit;\\n}\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/cassandra_java_memory/histogram?end=now&filter_cluster_name=terminus-dev&filter_component_name=platform&format=flat_chart&group=jolokia_host&limit=20&max=HeapMemoryUsage_used&points=60&sort=count&start=before_1h\"},\"chart-768a4779\":{\"name\":\"non_heap_memory_usage_committed\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"NonHeapMemoryUsage - Commited\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#axisLabel#formatter\":\"function(value){\\n    var units=[\\\"B\\\",\\\"KB\\\",\\\"MB\\\",\\\"GB\\\",\\\"TB\\\",\\\"PB\\\",\\\"EB\\\",\\\"ZB\\\",\\\"YB\\\",\\\"BB\\\",\\\"NB\\\",\\\"DB\\\"], unit=\\\"B\\\";\\n    for(var i=0;value>=1024;i++) {\\n        value = value/1024;\\n        unit = units[i+1];\\n    }\\n    return value.toFixed(2)+\\\" \\\"+unit;\\n}\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/cassandra_java_memory/histogram?end=now&filter_cluster_name=terminus-dev&filter_component_name=platform&format=flat_chart&group=jolokia_host&limit=20&max=NonHeapMemoryUsage_committed&points=60&sort=count&start=before_1h\"},\"chart-e95fa570\":{\"name\":\"non_heap_memory_usage_init\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"NonHeapMemory - Init\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#axisLabel#formatter\":\"function(value){\\n    var units=[\\\"B\\\",\\\"KB\\\",\\\"MB\\\",\\\"GB\\\",\\\"TB\\\",\\\"PB\\\",\\\"EB\\\",\\\"ZB\\\",\\\"YB\\\",\\\"BB\\\",\\\"NB\\\",\\\"DB\\\"], unit=\\\"B\\\";\\n    for(var i=0;value>=1024;i++) {\\n        value = value/1024;\\n        unit = units[i+1];\\n    }\\n    return value.toFixed(2)+\\\" \\\"+unit;\\n}\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/cassandra_java_memory/histogram?end=now&filter_cluster_name=terminus-dev&filter_component_name=platform&format=flat_chart&group=jolokia_host&limit=20&max=NonHeapMemoryUsage_init&points=60&sort=count&start=before_1h\"},\"chart-c94244a1\":{\"name\":\"non_heap_memory_usage_max\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"NonHeapMemory - Max\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#axisLabel#formatter\":\"function(value){\\n    var units=[\\\"B\\\",\\\"KB\\\",\\\"MB\\\",\\\"GB\\\",\\\"TB\\\",\\\"PB\\\",\\\"EB\\\",\\\"ZB\\\",\\\"YB\\\",\\\"BB\\\",\\\"NB\\\",\\\"DB\\\"], unit=\\\"B\\\";\\n    for(var i=0;value>=1024;i++) {\\n        value = value/1024;\\n        unit = units[i+1];\\n    }\\n    return value.toFixed(2)+\\\" \\\"+unit;\\n}\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/cassandra_java_memory/histogram?end=now&filter_cluster_name=terminus-dev&filter_component_name=platform&format=flat_chart&group=jolokia_host&limit=20&max=NonHeapMemoryUsage_max&points=60&sort=count&start=before_1h\"},\"chart-e7cdff92\":{\"name\":\"cassandra_java_garbagecollector_young\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"GC - G1 Young Generation\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/cassandra_java_garbagecollector/histogram?diffps=CollectionCount&end=now&filter_cluster_name=terminus-dev&filter_component_name=platform&filter_name=G1%20Young%20Generation&format=flat_chart&group=jolokia_host&limit=20&points=60&sort=count&start=before_1h\",\"panelsetting#yAxis#name\":\"次/s\"},\"chart-08c3e007\":{\"name\":\"cassandra_client_request_read\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"常规读请求次数\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#name\":\"次/s\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/cassandra_clientrequest/histogram?start=before_1h&end=now&points=60&filter_component_name=platform&filter_scope=Read&diffps=Count&group=jolokia_host&sort=count&limit=20&format=flat_chart\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    datas = datas.map(v => {\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\"},\"chart-f242b484\":{\"name\":\"cassandra_client_request_write\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"常规写请求次数\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#name\":\"次/s\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/cassandra_clientrequest/histogram?start=before_1h&end=now&points=60&filter_component_name=platform&filter_scope=Write&diffps=Count&group=jolokia_host&sort=count&limit=20&format=flat_chart\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    datas = datas.map(v => {\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\"},\"chart-18598f6d\":{\"name\":\"cassandra_client_request_cas_read\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"CAS读请求次数\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#name\":\"次/s\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/cassandra_clientrequest/histogram?start=before_1h&end=now&points=60&filter_component_name=platform&filter_scope=CASRead&diffps=Count&group=jolokia_host&sort=count&limit=20&format=flat_chart\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    datas = datas.map(v => {\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\"},\"chart-f555214f\":{\"name\":\"cassandra_client_request_cas_write\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"CASWrite\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#name\":\"次/s\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/cassandra_clientrequest/histogram?start=before_1h&end=now&points=60&filter_component_name=platform&filter_scope=CASWrite&diffps=Count&group=jolokia_host&sort=count&limit=20&format=flat_chart\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    datas = datas.map(v => {\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\"},\"chart-5cfa97f5\":{\"name\":\"cassandra_client_request_range_slice\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"范围查询次数\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/cassandra_clientrequest/histogram?start=before_1h&end=now&points=60&filter_component_name=platform&filter_scope=RangeSlice&diffps=Count&group=jolokia_host&sort=count&limit=20&format=flat_chart\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    datas = datas.map(v => {\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\"}}',
        '{\"chart-87569e6f\":{\"configType\":\"form\",\"start\":\"before_1h\",\"end\":\"now\",\"metric\":\"cassandra_java_memory\",\"searchType\":\"histogram\",\"points\":\"60\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"group1\":\"jolokia_host\",\"aggregator1\":\"max\",\"aggregatorType1\":\"field\",\"aggregatorField1\":\"HeapMemoryUsage_committed\"},\"chart-df7336c7\":{\"configType\":\"form\",\"start\":\"before_1h\",\"end\":\"now\",\"metric\":\"cassandra_java_memory\",\"searchType\":\"histogram\",\"points\":\"60\",\"group1\":\"jolokia_host\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"aggregator4\":\"max\",\"aggregatorType4\":\"field\",\"aggregatorField4\":\"NonHeapMemoryUsage_used\"},\"chart-5bb6bdd9\":{\"configType\":\"form\",\"start\":\"before_1h\",\"end\":\"now\",\"metric\":\"cassandra_java_garbagecollector\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"filterTagKey2\":\"name\",\"filterTagValue2\":\"G1 Old Generation\",\"group1\":\"jolokia_host\",\"aggregator1\":\"diffps\",\"aggregatorType1\":\"field\",\"aggregatorField1\":\"CollectionCount\",\"searchType\":\"histogram\",\"points\":\"60\"},\"chart-9d5b507a\":{\"configType\":\"form\",\"start\":\"before_1h\",\"end\":\"now\",\"metric\":\"cassandra_client\",\"searchType\":\"histogram\",\"points\":\"60\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"filterTagKey2\":\"name\",\"filterTagValue2\":\"connectedNativeClients\",\"group1\":\"jolokia_host\",\"aggregator1\":\"max\",\"aggregatorType1\":\"field\",\"aggregatorField1\":\"Value\"},\"chart-91b50afa\":{\"metric\":\"cassandra_java_memory\",\"searchType\":\"histogram\",\"configType\":\"form\",\"start\":\"before_1h\",\"end\":\"now\",\"points\":\"60\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"group1\":\"jolokia_host\",\"aggregator1\":\"max\",\"aggregatorType1\":\"field\",\"aggregatorField1\":\"HeapMemoryUsage_init\"},\"chart-7551e461\":{\"metric\":\"cassandra_java_memory\",\"searchType\":\"histogram\",\"configType\":\"form\",\"start\":\"before_1h\",\"end\":\"now\",\"points\":\"60\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"group1\":\"jolokia_host\",\"aggregator1\":\"max\",\"aggregatorType1\":\"field\",\"aggregatorField1\":\"HeapMemoryUsage_max\"},\"chart-7fb1f0d2\":{\"metric\":\"cassandra_java_memory\",\"searchType\":\"histogram\",\"configType\":\"form\",\"start\":\"before_1h\",\"end\":\"now\",\"points\":\"60\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"group1\":\"jolokia_host\",\"aggregator1\":\"max\",\"aggregatorType1\":\"field\",\"aggregatorField1\":\"HeapMemoryUsage_used\"},\"chart-768a4779\":{\"metric\":\"cassandra_java_memory\",\"searchType\":\"histogram\",\"configType\":\"form\",\"start\":\"before_1h\",\"end\":\"now\",\"points\":\"60\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"group1\":\"jolokia_host\",\"aggregator1\":\"max\",\"aggregatorType1\":\"field\",\"aggregatorField1\":\"NonHeapMemoryUsage_committed\"},\"chart-e95fa570\":{\"metric\":\"cassandra_java_memory\",\"searchType\":\"histogram\",\"configType\":\"form\",\"start\":\"before_1h\",\"end\":\"now\",\"points\":\"60\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"group1\":\"jolokia_host\",\"aggregator1\":\"max\",\"aggregatorType1\":\"field\",\"aggregatorField1\":\"NonHeapMemoryUsage_init\"},\"chart-c94244a1\":{\"metric\":\"cassandra_java_memory\",\"searchType\":\"histogram\",\"configType\":\"form\",\"start\":\"before_1h\",\"end\":\"now\",\"points\":\"60\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"group1\":\"jolokia_host\",\"aggregator1\":\"max\",\"aggregatorType1\":\"field\",\"aggregatorField1\":\"NonHeapMemoryUsage_max\"},\"chart-e7cdff92\":{\"configType\":\"form\",\"start\":\"before_1h\",\"end\":\"now\",\"metric\":\"cassandra_java_garbagecollector\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"filterTagKey2\":\"name\",\"filterTagValue2\":\"G1 Young Generation\",\"group1\":\"jolokia_host\",\"aggregator1\":\"diffps\",\"aggregatorType1\":\"field\",\"aggregatorField1\":\"CollectionCount\",\"searchType\":\"histogram\",\"points\":\"60\"},\"chart-08c3e007\":{\"configType\":\"form\",\"start\":\"before_1h\",\"end\":\"now\",\"metric\":\"cassandra_clientrequest\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"filterTagKey2\":\"scope\",\"filterTagValue2\":\"Read\",\"group1\":\"jolokia_host\",\"aggregator1\":\"diffps\",\"aggregatorType1\":\"field\",\"aggregatorField1\":\"Count\",\"searchType\":\"histogram\",\"points\":\"60\"},\"chart-f242b484\":{\"configType\":\"form\",\"start\":\"before_1h\",\"end\":\"now\",\"metric\":\"cassandra_clientrequest\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"filterTagKey2\":\"scope\",\"filterTagValue2\":\"Write\",\"group1\":\"jolokia_host\",\"aggregator1\":\"diffps\",\"aggregatorType1\":\"field\",\"aggregatorField1\":\"Count\",\"searchType\":\"histogram\",\"points\":\"60\"},\"chart-18598f6d\":{\"configType\":\"form\",\"start\":\"before_1h\",\"end\":\"now\",\"metric\":\"cassandra_clientrequest\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"filterTagKey2\":\"scope\",\"filterTagValue2\":\"CASRead\",\"group1\":\"jolokia_host\",\"aggregator1\":\"diffps\",\"aggregatorType1\":\"field\",\"aggregatorField1\":\"Count\",\"searchType\":\"histogram\",\"points\":\"60\"},\"chart-f555214f\":{\"configType\":\"form\",\"start\":\"before_1h\",\"end\":\"now\",\"metric\":\"cassandra_clientrequest\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"filterTagKey2\":\"scope\",\"filterTagValue2\":\"CASWrite\",\"group1\":\"jolokia_host\",\"aggregator1\":\"diffps\",\"aggregatorType1\":\"field\",\"aggregatorField1\":\"Count\",\"searchType\":\"histogram\",\"points\":\"60\"},\"chart-5cfa97f5\":{\"configType\":\"form\",\"start\":\"before_1h\",\"end\":\"now\",\"metric\":\"cassandra_clientrequest\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"filterTagKey2\":\"scope\",\"filterTagValue2\":\"RangeSlice\",\"group1\":\"jolokia_host\",\"aggregator1\":\"diffps\",\"aggregatorType1\":\"field\",\"aggregatorField1\":\"Count\",\"searchType\":\"histogram\",\"points\":\"60\"}}',
        'Cassandra', 'platform', '', '', 1, 0, 1, ''),
       (8, '2019-01-29 13:24:12', '2019-03-27 12:04:11', 'load',
        '[{\"w\":12,\"h\":10,\"x\":0,\"y\":0,\"i\":\"chart-dd5bce36\",\"moved\":false,\"static\":false},{\"w\":12,\"h\":9,\"x\":0,\"y\":10,\"i\":\"chart-38a3fc41\",\"moved\":false,\"static\":false},{\"w\":12,\"h\":9,\"x\":0,\"y\":19,\"i\":\"chart-de716f2c\",\"moved\":false,\"static\":false},{\"w\":12,\"h\":9,\"x\":0,\"y\":28,\"i\":\"chart-2408fc58\",\"moved\":false,\"static\":false},{\"w\":12,\"h\":9,\"x\":0,\"y\":37,\"i\":\"chart-37c4eb51\",\"moved\":false,\"static\":false},{\"w\":12,\"h\":9,\"x\":0,\"y\":46,\"i\":\"chart-30f67812\",\"moved\":false,\"static\":false}]',
        '{\"chart-dd5bce36\":{\"name\":\"load\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/system/histogram?align=false&align_end=true&avg=load1&avg=load5&end=now&filter_cluster_name=terminus-dev&filter_host_ip=10.168.0.101&format=flat_chart&points=10&start=before_10m\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    datas = datas.map(v => {\\n        let idx = v.name.indexOf(\\\".\\\");\\n        if(idx>=0)\\n            v.name = v.name.substr(idx+1);\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"系统负载\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\"},\"chart-38a3fc41\":{\"name\":\"load_cpu\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"CPU使用率\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/cpu/histogram?align=false&align_end=true&avg=usage_active&end=now&filter_cluster_name=terminus-dev&filter_cpu=cpu-total&filter_host_ip=10.168.0.101&format=flat_chart&points=10&start=before_10m\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    datas = datas.map(v => {\\n        let idx = v.name.indexOf(\\\".\\\");\\n        if(idx>=0)\\n            v.name = v.name.substr(idx+1);\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\",\"panelsetting#yAxis#name\":\"%\"},\"chart-de716f2c\":{\"name\":\"load_mem\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"内存使用率\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#name\":\"%\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/mem/histogram?start=before_10m&end=now&points=10&filter_host_ip=10.168.0.101&max=used_percent&align=false&align_end=true&format=flat_chart\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    datas = datas.map(v => {\\n        let idx = v.name.indexOf(\\\".\\\");\\n        if(idx>=0)\\n            v.name = v.name.substr(idx+1);\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\"},\"chart-2408fc58\":{\"name\":\"load_diskio_readd\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"磁盘读\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#name\":\"\",\"panelsetting#yAxis#axisLabel#formatter\":\"function(value){\\n    var units=[\\\"B/s\\\",\\\"KB/s\\\",\\\"MB/s\\\",\\\"GB/s\\\",\\\"TB/s\\\",\\\"PB/s\\\",\\\"EB/s\\\",\\\"ZB/s\\\",\\\"YB/s\\\",\\\"BB/s\\\",\\\"NB/s\\\",\\\"DB/s\\\"], unit=\\\"B/s\\\";\\n    var nag = \\\"\\\";\\n    if(value<0) {\\n        nag = \\\"-\\\";\\n        value = -value;\\n    }\\n    for(var i=0;value>=1024;i++) {\\n        value = value/1024;\\n        unit = units[i+1];\\n    }\\n    return nag + value.toFixed(2)+\\\" \\\"+unit;\\n}\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/diskio/histogram?start=before_10m&end=now&points=10&filter_host_ip=10.168.0.101&diffps=read_bytes&group=name&sort=count&limit=20&align=false&align_end=true&format=flat_chart\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    datas = datas.map(v => {\\n        let idx = v.name.indexOf(\\\".\\\");\\n        if(idx>=0)\\n            v.name = v.name.substr(idx+1);\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\"},\"chart-37c4eb51\":{\"name\":\"load_diskio_write\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"磁盘写\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#axisLabel#formatter\":\"function(value){\\n    var units=[\\\"B/s\\\",\\\"KB/s\\\",\\\"MB/s\\\",\\\"GB/s\\\",\\\"TB/s\\\",\\\"PB/s\\\",\\\"EB/s\\\",\\\"ZB/s\\\",\\\"YB/s\\\",\\\"BB/s\\\",\\\"NB/s\\\",\\\"DB/s\\\"], unit=\\\"B/s\\\";\\n    var nag = \\\"\\\";\\n    if(value<0) {\\n        nag = \\\"-\\\";\\n        value = -value;\\n    }\\n    for(var i=0;value>=1024;i++) {\\n        value = value/1024;\\n        unit = units[i+1];\\n    }\\n    return nag + value.toFixed(2)+\\\" \\\"+unit;\\n}\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/diskio/histogram?start=before_10m&end=now&points=10&filter_host_ip=10.168.0.101&diffps=write_bytes&group=name&sort=count&limit=20&align=false&align_end=true&format=flat_chart\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    datas = datas.map(v => {\\n        let idx = v.name.indexOf(\\\".\\\");\\n        if(idx>=0)\\n            v.name = v.name.substr(idx+1);\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\"},\"chart-30f67812\":{\"name\":\"load_process\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"进程统计\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#name\":\"个数\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/processes/histogram?start=before_10m&end=now&points=10&filter_host_ip=10.168.0.101&max=blocked&max=sleeping&max=running&max=zombies&align=false&align_end=true&format=flat_chart\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    datas = datas.map(v => {\\n        let idx = v.name.indexOf(\\\".\\\");\\n        if(idx>=0)\\n            v.name = v.name.substr(idx+1);\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\"}}',
        '{\"chartGroupName\":\"Load\",\"chart-dd5bce36\":{\"configType\":\"form\",\"fixedUrl\":\"\",\"start\":\"before_10m\",\"end\":\"now\",\"metric\":\"system\",\"filterTagKey1\":\"host_ip\",\"filterTagValue1\":\"10.168.0.101\",\"aggregator1\":\"avg\",\"aggregatorType1\":\"field\",\"aggregatorField1\":\"load1\",\"aggregator2\":\"avg\",\"aggregatorType2\":\"field\",\"aggregatorField2\":\"load5\",\"searchType\":\"histogram\",\"points\":10,\"extraKey1\":\"align\",\"extraValue1\":\"false\",\"extraKey2\":\"align_end\",\"extraValue2\":\"true\"},\"chart-38a3fc41\":{\"configType\":\"form\",\"start\":\"before_10m\",\"end\":\"now\",\"metric\":\"cpu\",\"filterTagKey1\":\"host_ip\",\"filterTagValue1\":\"10.168.0.101\",\"filterTagKey2\":\"cpu\",\"filterTagValue2\":\"cpu-total\",\"aggregator1\":\"avg\",\"aggregatorType1\":\"field\",\"aggregatorField1\":\"usage_active\",\"searchType\":\"histogram\",\"points\":10,\"extraKey1\":\"align\",\"extraValue1\":\"false\",\"extraKey2\":\"align_end\",\"extraValue2\":\"true\"},\"chart-de716f2c\":{\"configType\":\"form\",\"start\":\"before_10m\",\"end\":\"now\",\"metric\":\"mem\",\"filterTagKey1\":\"host_ip\",\"filterTagValue1\":\"10.168.0.101\",\"aggregator1\":\"max\",\"aggregatorType1\":\"field\",\"aggregatorField1\":\"used_percent\",\"searchType\":\"histogram\",\"points\":10,\"extraKey1\":\"align\",\"extraValue1\":\"false\",\"extraKey2\":\"align_end\",\"extraValue2\":\"true\"},\"chart-2408fc58\":{\"configType\":\"form\",\"start\":\"before_10m\",\"end\":\"now\",\"metric\":\"diskio\",\"filterTagKey1\":\"host_ip\",\"filterTagValue1\":\"10.168.0.101\",\"group1\":\"name\",\"sort1\":\"count\",\"limit1\":20,\"aggregator1\":\"diffps\",\"aggregatorType1\":\"field\",\"aggregatorField1\":\"read_bytes\",\"searchType\":\"histogram\",\"points\":10,\"extraKey1\":\"align\",\"extraValue1\":\"false\",\"extraKey2\":\"align_end\",\"extraValue2\":\"true\"},\"chart-37c4eb51\":{\"configType\":\"form\",\"start\":\"before_10m\",\"end\":\"now\",\"metric\":\"diskio\",\"filterTagKey1\":\"host_ip\",\"filterTagValue1\":\"10.168.0.101\",\"group1\":\"name\",\"sort1\":\"count\",\"limit1\":20,\"aggregator1\":\"diffps\",\"aggregatorType1\":\"field\",\"aggregatorField1\":\"write_bytes\",\"searchType\":\"histogram\",\"points\":10,\"extraKey1\":\"align\",\"extraValue1\":\"false\",\"extraKey2\":\"align_end\",\"extraValue2\":\"true\"},\"chart-30f67812\":{\"configType\":\"form\",\"start\":\"before_10m\",\"end\":\"now\",\"metric\":\"processes\",\"filterTagKey1\":\"host_ip\",\"filterTagValue1\":\"10.168.0.101\",\"aggregator1\":\"max\",\"aggregatorType1\":\"field\",\"aggregatorField1\":\"blocked\",\"aggregator2\":\"max\",\"aggregatorType2\":\"field\",\"aggregatorField2\":\"sleeping\",\"aggregator3\":\"max\",\"aggregatorType3\":\"field\",\"aggregatorField3\":\"running\",\"aggregator4\":\"max\",\"aggregatorType4\":\"field\",\"aggregatorField4\":\"zombies\",\"searchType\":\"histogram\",\"points\":10,\"extraKey1\":\"align\",\"extraValue1\":\"false\",\"extraKey2\":\"align_end\",\"extraValue2\":\"true\"},\"chart-b0d09e03\":{\"filterTagsKeys\":[[\"filterTagKey1\",\"filterTagValue1\"]],\"excludeTagsKeys\":[],\"aggregatorKeys\":[[\"aggregator1\",\"aggregatorType1\",\"aggregatorField1\",\"aggregatorScript1\"]],\"tagGroupKeys\":[[\"group1\",\"sort1\",\"limit1\"]],\"searchType\":\"histogram\",\"extraFieldKeys\":[],\"points\":60,\"start\":\"before_1h\",\"end\":\"now\",\"configType\":\"form\",\"metric\":\"procstat\",\"group1\":\"process_name\",\"sort1\":\"count\",\"limit1\":100,\"aggregatorType1\":\"field\",\"aggregator1\":\"diffps\",\"aggregatorField1\":\"read_bytes\",\"filterTagKey1\":\"host_ip\",\"filterTagValue1\":\"10.168.0.101\"},\"chart-4da6eff8\":{\"filterTagsKeys\":[[\"filterTagKey1\",\"filterTagValue1\"]],\"excludeTagsKeys\":[],\"aggregatorKeys\":[[\"aggregator1\",\"aggregatorType1\",\"aggregatorField1\",\"aggregatorScript1\"]],\"tagGroupKeys\":[],\"searchType\":\"histogram\",\"extraFieldKeys\":[[\"extraKey1\",\"extraValue1\"]],\"points\":2,\"start\":\"before_1h\",\"end\":\"now\",\"configType\":\"fixed\",\"fixedUrl\":\"/api/metrics/charts/procstat/histogram?start=before_5m&end=now&points=5&filter_host_ip=10.168.0.101&diffps=write_bytes&align=false&format=flat_chart&timestamp=1548833640000&group=process_name\",\"metric\":\"procstat\",\"filterTagKey1\":\"host_ip\",\"filterTagValue1\":\"10.168.0.101\",\"aggregatorType1\":\"field\",\"aggregator1\":\"max\",\"aggregatorField1\":\"write_bytes\",\"extraKey1\":\"align\",\"extraValue1\":\"false\"}}',
        'Load', 'alert', '', '', 0, 0, 0, ''),
       (9, '2019-01-29 14:12:35', '2019-03-27 13:05:32', 'diskio',
        '[{\"w\":12,\"h\":9,\"x\":0,\"y\":0,\"i\":\"chart-ebf178a2\",\"moved\":false,\"static\":false},{\"w\":12,\"h\":9,\"x\":0,\"y\":9,\"i\":\"chart-897b6a03\",\"moved\":false,\"static\":false},{\"w\":12,\"h\":9,\"x\":0,\"y\":18,\"i\":\"chart-d6270c93\",\"moved\":false,\"static\":false}]',
        '{\"chart-ebf178a2\":{\"name\":\"diskio_\",\"chartType\":\"line\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"Disk IO Util\",\"panelsetting#legend#show\":true,\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"paneldata#url\":\"/api/spot/metrics/charts/disk/histogram?start=before_10m&end=now&points=10&filter_host_ip=10.168.0.101&max=pct_util&group=device&sort=count&limit=20&align=false&align_end=true&format=flat_chart\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    datas = datas.map(v => {\\n        let idx = v.name.indexOf(\\\".\\\");\\n        if(idx>=0)\\n            v.name = v.name.substr(idx+1);\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\",\"panelsetting#legend#bottom\":\"0\",\"panelsetting#yAxis#name\":\"%\"},\"chart-897b6a03\":{\"name\":\"diskio_\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"系统负载\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/system/histogram?start=before_10m&end=now&points=10&filter_host_ip=10.168.0.101&avg=load1&avg=load5&align=false&align_end=true&format=flat_chart\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    datas = datas.map(v => {\\n        let idx = v.name.indexOf(\\\".\\\");\\n        if(idx>=0)\\n            v.name = v.name.substr(idx+1);\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\"},\"chart-d6270c93\":{\"name\":\"diskio_\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"内存使用率\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#name\":\"%\",\"panelsetting#yAxis#axisLabel#formatter\":\"\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/mem/histogram?start=before_10m&end=now&points=10&filter_host_ip=10.168.0.101&max=used_percent&align=false&align_end=true&format=flat_chart\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    datas = datas.map(v => {\\n        let idx = v.name.indexOf(\\\".\\\");\\n        if(idx>=0)\\n            v.name = v.name.substr(idx+1);\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\"}}',
        '{\"chartGroupName\":\"DiskIO\",\"chart-ebf178a2\":{\"configType\":\"form\",\"start\":\"before_10m\",\"end\":\"now\",\"metric\":\"disk\",\"filterTagKey1\":\"host_ip\",\"filterTagValue1\":\"10.168.0.101\",\"group1\":\"device\",\"sort1\":\"count\",\"limit1\":20,\"aggregator1\":\"max\",\"aggregatorType1\":\"field\",\"aggregatorField1\":\"pct_util\",\"searchType\":\"histogram\",\"points\":10,\"extraKey1\":\"align\",\"extraValue1\":\"false\",\"extraKey2\":\"align_end\",\"extraValue2\":\"true\"},\"chart-897b6a03\":{\"configType\":\"form\",\"start\":\"before_10m\",\"end\":\"now\",\"metric\":\"system\",\"filterTagKey1\":\"host_ip\",\"filterTagValue1\":\"10.168.0.101\",\"aggregator1\":\"avg\",\"aggregatorType1\":\"field\",\"aggregatorField1\":\"load1\",\"aggregator2\":\"avg\",\"aggregatorType2\":\"field\",\"aggregatorField2\":\"load5\",\"searchType\":\"histogram\",\"points\":10,\"extraKey1\":\"align\",\"extraValue1\":\"false\",\"extraKey2\":\"align_end\",\"extraValue2\":\"true\"},\"chart-d6270c93\":{\"configType\":\"form\",\"start\":\"before_10m\",\"end\":\"now\",\"metric\":\"mem\",\"filterTagKey1\":\"host_ip\",\"filterTagValue1\":\"10.168.0.101\",\"aggregator1\":\"max\",\"aggregatorType1\":\"field\",\"aggregatorField1\":\"used_percent\",\"searchType\":\"histogram\",\"points\":10,\"extraKey1\":\"align\",\"extraValue1\":\"false\",\"extraKey2\":\"align_end\",\"extraValue2\":\"true\"}}',
        'DiskIO', 'alert', '', '', 0, 0, 0, ''),
       (10, '2019-01-29 14:25:10', '2019-03-27 13:10:31', 'cpu',
        '[{\"w\":12,\"h\":9,\"x\":0,\"y\":0,\"i\":\"chart-7bd6bbac\",\"moved\":false,\"static\":false},{\"w\":12,\"h\":9,\"x\":0,\"y\":9,\"i\":\"chart-09a6297a\",\"moved\":false,\"static\":false},{\"w\":12,\"h\":9,\"x\":0,\"y\":18,\"i\":\"chart-dbd08f92\",\"moved\":false,\"static\":false}]',
        '{\"chart-7bd6bbac\":{\"name\":\"cpu\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/cpu/histogram?start=before_10m&end=now&points=10&filter_host_ip=10.168.0.101&filter_cpu=cpu-total&avg=usage_active&align=false&align_end=true&format=flat_chart\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    datas = datas.map(v => {\\n        let idx = v.name.indexOf(\\\".\\\");\\n        if(idx>=0)\\n            v.name = v.name.substr(idx+1);\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"CPU使用率\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"panelsetting#yAxis#name\":\"%\"},\"chart-09a6297a\":{\"name\":\"cpu_disk\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"磁盘使用率\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#name\":\"%\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/disk/histogram?start=before_10m&end=now&points=10&filter_host_ip=10.168.0.101&max=used_percent&group=device&sort=count&limit=20&align=false&align_end=true&format=flat_chart\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    datas = datas.map(v => {\\n        let idx = v.name.indexOf(\\\".\\\");\\n        if(idx>=0)\\n            v.name = v.name.substr(idx+1);\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\"},\"chart-dbd08f92\":{\"name\":\"cpu_mem\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"内存使用量\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#name\":\"%\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/disk/histogram?start=before_10m&end=now&points=10&filter_host_ip=10.168.0.101&max=used_percent&align=false&align_end=true&format=flat_chart\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    datas = datas.map(v => {\\n        let idx = v.name.indexOf(\\\".\\\");\\n        if(idx>=0)\\n            v.name = v.name.substr(idx+1);\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\"}}',
        '{\"chartGroupName\":\"CPU\",\"chart-7bd6bbac\":{\"configType\":\"form\",\"start\":\"before_10m\",\"end\":\"now\",\"metric\":\"cpu\",\"filterTagKey1\":\"host_ip\",\"filterTagValue1\":\"10.168.0.101\",\"filterTagKey2\":\"cpu\",\"filterTagValue2\":\"cpu-total\",\"aggregator1\":\"avg\",\"aggregatorType1\":\"field\",\"aggregatorField1\":\"usage_active\",\"searchType\":\"histogram\",\"points\":10,\"extraKey1\":\"align\",\"extraValue1\":\"false\",\"extraKey2\":\"align_end\",\"extraValue2\":\"true\"},\"chart-09a6297a\":{\"configType\":\"form\",\"start\":\"before_10m\",\"end\":\"now\",\"metric\":\"disk\",\"filterTagKey1\":\"host_ip\",\"filterTagValue1\":\"10.168.0.101\",\"group1\":\"device\",\"sort1\":\"count\",\"limit1\":20,\"aggregator1\":\"max\",\"aggregatorType1\":\"field\",\"aggregatorField1\":\"used_percent\",\"searchType\":\"histogram\",\"points\":10,\"extraKey1\":\"align\",\"extraValue1\":\"false\",\"extraKey2\":\"align_end\",\"extraValue2\":\"true\"},\"chart-dbd08f92\":{\"configType\":\"form\",\"start\":\"before_10m\",\"end\":\"now\",\"metric\":\"disk\",\"filterTagKey1\":\"host_ip\",\"filterTagValue1\":\"10.168.0.101\",\"aggregator1\":\"max\",\"aggregatorType1\":\"field\",\"aggregatorField1\":\"used_percent\",\"searchType\":\"histogram\",\"points\":10,\"extraKey1\":\"align\",\"extraValue1\":\"false\",\"extraKey2\":\"align_end\",\"extraValue2\":\"true\"},\"chart-f61ce059\":{\"filterTagsKeys\":[[\"filterTagKey1\",\"filterTagValue1\"]],\"excludeTagsKeys\":[],\"aggregatorKeys\":[[\"aggregator1\",\"aggregatorType1\",\"aggregatorField1\",\"aggregatorScript1\"],[\"aggregator2\",\"aggregatorType2\",\"aggregatorField2\",\"aggregatorScript2\"]],\"tagGroupKeys\":[],\"searchType\":\"histogram\",\"extraFieldKeys\":[],\"points\":10,\"start\":\"before_10m\",\"end\":\"now\",\"configType\":\"form\",\"metric\":\"netstat\",\"filterTagKey1\":\"host_ip\",\"filterTagValue1\":\"10.168.0.101\",\"aggregatorType1\":\"field\",\"aggregator1\":\"max\",\"aggregatorField1\":\"tcp_close\",\"aggregatorType2\":\"field\",\"aggregator2\":\"max\",\"aggregatorField2\":\"tcp_time_wait\"}}',
        'CPU', 'alert', '', '', 0, 0, 0, ''),
       (11, '2019-01-29 14:43:09', '2019-03-27 13:18:25', 'disk',
        '[{\"w\":12,\"h\":8,\"x\":0,\"y\":0,\"i\":\"chart-816f5bfa\",\"moved\":false,\"static\":false},{\"w\":12,\"h\":8,\"x\":0,\"y\":8,\"i\":\"chart-436a50d1\",\"moved\":false,\"static\":false}]',
        '{\"chart-816f5bfa\":{\"name\":\"disk\",\"chartType\":\"line\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"磁盘使用率\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#name\":\"%\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"paneldata#url\":\"/api/spot/metrics/charts/disk/histogram?start=before_10m&end=now&points=10&filter_host_ip=10.168.0.101&max=used_percent&group=device&sort=count&limit=20&align=false&align_end=true&format=flat_chart\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    datas = datas.map(v => {\\n        let idx = v.name.indexOf(\\\".\\\");\\n        if(idx>=0)\\n            v.name = v.name.substr(idx+1);\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\"},\"chart-436a50d1\":{\"name\":\"disk_load\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"系统负载\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/system/histogram?start=before_10m&end=now&points=10&filter_host_ip=10.168.0.101&avg=load1&avg=load5&align=false&align_end=true&format=flat_chart\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    datas = datas.map(v => {\\n        let idx = v.name.indexOf(\\\".\\\");\\n        if(idx>=0)\\n            v.name = v.name.substr(idx+1);\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\"}}',
        '{\"chartGroupName\":\"Disk\",\"chart-816f5bfa\":{\"configType\":\"form\",\"start\":\"before_10m\",\"end\":\"now\",\"metric\":\"disk\",\"filterTagKey1\":\"host_ip\",\"filterTagValue1\":\"10.168.0.101\",\"group1\":\"device\",\"sort1\":\"count\",\"limit1\":20,\"aggregator1\":\"max\",\"aggregatorType1\":\"field\",\"aggregatorField1\":\"used_percent\",\"searchType\":\"histogram\",\"points\":10,\"extraKey1\":\"align\",\"extraValue1\":\"false\",\"extraKey2\":\"align_end\",\"extraValue2\":\"true\"},\"chart-436a50d1\":{\"configType\":\"form\",\"start\":\"before_10m\",\"end\":\"now\",\"metric\":\"system\",\"filterTagKey1\":\"host_ip\",\"filterTagValue1\":\"10.168.0.101\",\"aggregator1\":\"avg\",\"aggregatorType1\":\"field\",\"aggregatorField1\":\"load1\",\"aggregator2\":\"avg\",\"aggregatorType2\":\"field\",\"aggregatorField2\":\"load5\",\"searchType\":\"histogram\",\"points\":10,\"extraKey1\":\"align\",\"extraValue1\":\"false\",\"extraKey2\":\"align_end\",\"extraValue2\":\"true\"},\"chart-e8e7f6b6\":{\"filterTagsKeys\":[[\"filterTagKey1\",\"filterTagValue1\"]],\"excludeTagsKeys\":[],\"aggregatorKeys\":[[\"aggregator1\",\"aggregatorType1\",\"aggregatorField1\",\"aggregatorScript1\"],[\"aggregator2\",\"aggregatorType2\",\"aggregatorField2\",\"aggregatorScript2\"]],\"tagGroupKeys\":[],\"searchType\":\"histogram\",\"extraFieldKeys\":[],\"points\":10,\"start\":\"before_10m\",\"end\":\"now\",\"configType\":\"form\",\"metric\":\"netstat\",\"filterTagKey1\":\"host_ip\",\"filterTagValue1\":\"10.168.0.101\",\"aggregatorType1\":\"field\",\"aggregator1\":\"max\",\"aggregatorField1\":\"tcp_close\",\"aggregatorType2\":\"field\",\"aggregator2\":\"max\",\"aggregatorField2\":\"tcp_time_wait\"}}',
        'Disk', 'alert', '', '', 0, 0, 0, ''),
       (12, '2019-01-29 14:59:59', '2019-03-27 13:24:22', 'swap',
        '[{\"w\":12,\"h\":8,\"x\":0,\"y\":8,\"i\":\"chart-47a668df\",\"moved\":false,\"static\":false},{\"w\":12,\"h\":8,\"x\":0,\"y\":0,\"i\":\"chart-e66dd8ab\",\"moved\":false,\"static\":false}]',
        '{\"chart-47a668df\":{\"name\":\"swap\",\"chartType\":\"line\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"交换分区使用率\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#name\":\"%\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"paneldata#url\":\"/api/spot/metrics/charts/swap/histogram?start=before_10m&end=now&points=10&filter_host_ip=10.168.0.101&max=used_percent&align=false&align_end=true&format=flat_chart\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    datas = datas.map(v => {\\n        let idx = v.name.indexOf(\\\".\\\");\\n        if(idx>=0)\\n            v.name = v.name.substr(idx+1);\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\"},\"chart-e66dd8ab\":{\"name\":\"swap_load\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"系统负载\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/system/histogram?start=before_10m&end=now&points=10&filter_host_ip=10.168.0.101&avg=load1&avg=load5&align=false&align_end=true&format=flat_chart\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    datas = datas.map(v => {\\n        let idx = v.name.indexOf(\\\".\\\");\\n        if(idx>=0)\\n            v.name = v.name.substr(idx+1);\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\"}}',
        '{\"chartGroupName\":\"Swap\",\"chart-47a668df\":{\"configType\":\"form\",\"start\":\"before_10m\",\"end\":\"now\",\"metric\":\"swap\",\"filterTagKey1\":\"host_ip\",\"filterTagValue1\":\"10.168.0.101\",\"aggregator1\":\"max\",\"aggregatorType1\":\"field\",\"aggregatorField1\":\"used_percent\",\"searchType\":\"histogram\",\"points\":10,\"extraKey1\":\"align\",\"extraValue1\":\"false\",\"extraKey2\":\"align_end\",\"extraValue2\":\"true\"},\"chart-e66dd8ab\":{\"configType\":\"form\",\"start\":\"before_10m\",\"end\":\"now\",\"metric\":\"system\",\"filterTagKey1\":\"host_ip\",\"filterTagValue1\":\"10.168.0.101\",\"aggregator1\":\"avg\",\"aggregatorType1\":\"field\",\"aggregatorField1\":\"load1\",\"aggregator2\":\"avg\",\"aggregatorType2\":\"field\",\"aggregatorField2\":\"load5\",\"searchType\":\"histogram\",\"points\":10,\"extraKey1\":\"align\",\"extraValue1\":\"false\",\"extraKey2\":\"align_end\",\"extraValue2\":\"true\"},\"chart-e575423d\":{\"filterTagsKeys\":[[\"filterTagKey1\",\"filterTagValue1\"]],\"excludeTagsKeys\":[],\"aggregatorKeys\":[[\"aggregator1\",\"aggregatorType1\",\"aggregatorField1\",\"aggregatorScript1\"],[\"aggregator2\",\"aggregatorType2\",\"aggregatorField2\",\"aggregatorScript2\"]],\"tagGroupKeys\":[],\"searchType\":\"histogram\",\"extraFieldKeys\":[],\"points\":10,\"start\":\"before_10m\",\"end\":\"now\",\"configType\":\"form\",\"metric\":\"netstat\",\"filterTagKey1\":\"host_ip\",\"filterTagValue1\":\"10.168.0.101\",\"aggregatorType1\":\"field\",\"aggregator1\":\"max\",\"aggregatorField1\":\"tcp_close\",\"aggregatorType2\":\"field\",\"aggregator2\":\"max\",\"aggregatorField2\":\"tcp_time_wait\"}}',
        'Swap', 'alert', '', '', 0, 0, 0, ''),
       (13, '2019-01-29 15:08:06', '2019-03-27 13:36:58', 'crash',
        '[{\"w\":12,\"h\":8,\"x\":0,\"y\":0,\"i\":\"chart-0b52f7df\",\"moved\":false,\"static\":false},{\"w\":12,\"h\":8,\"x\":0,\"y\":24,\"i\":\"chart-4648fba9\",\"moved\":false,\"static\":false},{\"w\":12,\"h\":8,\"x\":0,\"y\":8,\"i\":\"chart-7c485a98\",\"moved\":false,\"static\":false},{\"w\":12,\"h\":8,\"x\":0,\"y\":16,\"i\":\"chart-35650da8\",\"moved\":false,\"static\":false}]',
        '{\"chart-0b52f7df\":{\"name\":\"crash\",\"chartType\":\"line\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"系统负载\",\"panelsetting#legend#show\":false,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"paneldata#url\":\"/api/spot/metrics/charts/system/histogram?align=false&align_end=true&avg=load1&avg=load5&end=now&filter_cluster_name=terminus-dev&filter_host_ip=10.168.0.101&format=flat_chart&points=10&start=before_10m\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    datas = datas.map(v => {\\n        let idx = v.name.indexOf(\\\".\\\");\\n        if(idx>=0)\\n            v.name = v.name.substr(idx+1);\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\"},\"chart-4648fba9\":{\"name\":\"crash_swap\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"交换分区使用率\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#name\":\"%\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/swap/histogram?start=before_10m&end=now&points=10&filter_host_ip=10.168.0.101&max=used_percent&align=false&align_end=true&format=flat_chart\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    datas = datas.map(v => {\\n        let idx = v.name.indexOf(\\\".\\\");\\n        if(idx>=0)\\n            v.name = v.name.substr(idx+1);\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\"},\"chart-7c485a98\":{\"name\":\"crash_mem\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"内存使用率\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#name\":\"%\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/mem/histogram?align=false&align_end=true&end=now&filter_cluster_name=terminus-dev&filter_host_ip=10.168.0.101&format=flat_chart&max=used_percent&points=10&start=before_10m\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    datas = datas.map(v => {\\n        let idx = v.name.indexOf(\\\".\\\");\\n        if(idx>=0)\\n            v.name = v.name.substr(idx+1);\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\\n\"},\"chart-35650da8\":{\"name\":\"crash_cpu\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"CPU使用率\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/cpu/histogram?start=before_10m&end=now&points=10&filter_host_ip=10.168.0.101&avg=usage_active&align=false&align_end=true&format=flat_chart\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    datas = datas.map(v => {\\n        let idx = v.name.indexOf(\\\".\\\");\\n        if(idx>=0)\\n            v.name = v.name.substr(idx+1);\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\",\"panelsetting#yAxis#name\":\"%\"}}',
        '{\"chartGroupName\":\"宕机\",\"chart-0b52f7df\":{\"configType\":\"form\",\"start\":\"before_10m\",\"end\":\"now\",\"metric\":\"system\",\"filterTagKey1\":\"host_ip\",\"filterTagValue1\":\"10.168.0.101\",\"aggregator1\":\"avg\",\"aggregatorType1\":\"field\",\"aggregatorField1\":\"load1\",\"aggregator2\":\"avg\",\"aggregatorType2\":\"field\",\"aggregatorField2\":\"load5\",\"searchType\":\"histogram\",\"points\":10,\"extraKey1\":\"align\",\"extraValue1\":\"false\",\"extraKey2\":\"align_end\",\"extraValue2\":\"true\"},\"chart-f0070dbc\":{\"filterTagsKeys\":[[\"filterTagKey1\",\"filterTagValue1\"]],\"excludeTagsKeys\":[],\"aggregatorKeys\":[[\"aggregator1\",\"aggregatorType1\",\"aggregatorField1\",\"aggregatorScript1\"],[\"aggregator2\",\"aggregatorType2\",\"aggregatorField2\",\"aggregatorScript2\"]],\"tagGroupKeys\":[],\"searchType\":\"histogram\",\"extraFieldKeys\":[],\"points\":10,\"start\":\"before_10m\",\"end\":\"now\",\"configType\":\"form\",\"metric\":\"netstat\",\"filterTagKey1\":\"host_ip\",\"filterTagValue1\":\"10.168.0.101\",\"aggregatorType1\":\"field\",\"aggregator1\":\"max\",\"aggregatorField1\":\"tcp_close\",\"aggregatorType2\":\"field\",\"aggregator2\":\"max\",\"aggregatorField2\":\"tcp_time_wait\"},\"chart-4648fba9\":{\"configType\":\"form\",\"start\":\"before_10m\",\"end\":\"now\",\"metric\":\"swap\",\"filterTagKey1\":\"host_ip\",\"filterTagValue1\":\"10.168.0.101\",\"aggregator1\":\"max\",\"aggregatorType1\":\"field\",\"aggregatorField1\":\"used_percent\",\"searchType\":\"histogram\",\"points\":10,\"extraKey1\":\"align\",\"extraValue1\":\"false\",\"extraKey2\":\"align_end\",\"extraValue2\":\"true\"},\"chart-7c485a98\":{\"configType\":\"form\",\"start\":\"before_10m\",\"end\":\"now\",\"metric\":\"mem\",\"filterTagKey1\":\"host_ip\",\"filterTagValue1\":\"10.168.0.101\",\"aggregator1\":\"max\",\"aggregatorType1\":\"field\",\"aggregatorField1\":\"used_percent\",\"searchType\":\"histogram\",\"points\":10,\"extraKey1\":\"align\",\"extraValue1\":\"false\",\"extraKey2\":\"align_end\",\"extraValue2\":\"true\"},\"chart-35650da8\":{\"configType\":\"form\",\"start\":\"before_10m\",\"end\":\"now\",\"metric\":\"cpu\",\"filterTagKey1\":\"host_ip\",\"filterTagValue1\":\"10.168.0.101\",\"aggregator1\":\"avg\",\"aggregatorType1\":\"field\",\"aggregatorField1\":\"usage_active\",\"searchType\":\"histogram\",\"points\":10,\"extraKey1\":\"align\",\"extraValue1\":\"false\",\"extraKey2\":\"align_end\",\"extraValue2\":\"true\"}}',
        '宕机', 'alert', '', '', 0, 0, 0, '');

